<?php

defined('_JEXEC') or die('Restricted access');

class BackendControllerSettings extends BackendController
{
	function __construct()
	{
		parent::__construct();

		$this->registerTask('apply', 'save');
	}

  function save()
  {
    $model = $this->getModel('settings');

    if ($model->store())
    {
      $msg = JText::_('Settings Saved!');
    }
    else
    {
      $msg = JText::_('Error Saving Settings');
    }

    $tab = 0;
    if ('apply' == $this->getTask())
    {
      $tab =& JRequest::getVar('selected_tab', 0, 'POST', 'integer');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=settings&tab=' . $tab, $msg);
  }

  function cancel()
  {
    $msg = JText::_('Operation Cancelled');
    $this->setRedirect('index.php?option=com_lovefactory&task=dashboard', $msg);
  }

  function emptyShoutboxLog()
  {
    $log = JPATH_COMPONENT_ADMINISTRATOR.DS.'shoutbox_log.txt';

    file_put_contents($log, '');

    $msg = JText::_('Log empty!');
    $this->setRedirect('index.php?option=com_lovefactory&task=settings', $msg);
  }
}