<?php

defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_lovefactory"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require(JModuleHelper::getLayoutPath('mod_lovefactory_latest_viewed', 'error'));
}
else
{
  global $Itemid;

  require_once(JPATH_SITE.DS.'components'.DS.'com_lovefactory'.DS.'lib'.DS.'vendor'.DS.'TheFactoryHelper.class.php');

  $members = intval($params->get('members', 5));
  $members = $members > 10 ? 10 : $members;

  $session =& JFactory::getSession();
  $profiles = $session->get('lovefactory.mod_latest_viewed.members', array());

  if ($profiles)
  {
    krsort($profiles);
    array_splice($profiles, $members);

    foreach ($profiles as $i => $profile)
    {
      $profiles[$i]['viewed_at'] = TheFactoryHelper::date($profile['viewed_at']);
    }
  }

  JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('modules.css', 'components/com_lovefactory/assets/css/');

  $lang =& JFactory::getLanguage();
  $lang->load('com_lovefactory');

  require(JModuleHelper::getLayoutPath('mod_lovefactory_latest_viewed'));
}