<?php

defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_lovefactory"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require(JModuleHelper::getLayoutPath('mod_lovefactory_profile_visitors', 'error'));
}
else
{
  global $Itemid;

  $user     =& JFactory::getUser();
  $visitors =  intval($params->get('visitors', 5));
  $mode     =  intval($params->get('mode',     0));
  $unique   =  $params->get('unique', 1);

  $query = ($unique ? ' SELECT v.*, u.username, MAX(v.date) AS date' : ' SELECT v.*, u.username')
         . ' FROM #__lovefactory_profile_visitors v'
         . ' LEFT JOIN #__users u ON u.id = v.visitor_id'
         . ' WHERE v.user_id = ' . $user->id
         . ($unique ? ' GROUP BY v.visitor_id' : '')
         . ($unique ? ' ORDER BY MAX(v.date) DESC' : ' ORDER BY v.date DESC')
         . ' LIMIT 0, ' . $visitors;
  $database->setQuery($query);
  $visitors = $database->loadObjectList();

  $lang =& JFactory::getLanguage();
	$lang->load('com_lovefactory');

	require_once(JPATH_BASE.DS.'components'.DS.'com_lovefactory'.DS.'lib'.DS.'vendor'.DS.'TheFactoryHelper.class.php');

	foreach ($visitors as $i => $visitor)
	{
	  $visitors[$i]->username = is_null($visitor->username) ? $lang->_('USER_DELETED') : $visitor->username;
	  $visitors[$i]->date     = TheFactoryHelper::date($visitor->date);
	}

  JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('modules.css', 'components/com_lovefactory/assets/css/');

  $lang =& JFactory::getLanguage();
  $lang->load('com_lovefactory');

  require(JModuleHelper::getLayoutPath('mod_lovefactory_profile_visitors'));
}