<?php

defined('_JEXEC') or die('Restricted access');

class modLoveFactoryShoutboxHelper
{
	function getIntegration()
	{
	  $database =& JFactory::getDBO();

    $query = ' SELECT COUNT(c.id)'
           . ' FROM #__components c'
           . ' WHERE c.option="com_lovefactory"';
    $database->setQuery($query);
    $db_check = $database->loadResult();

    $file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');

    if (!$db_check || !$file_check)
    {
      return false;
    }

    return true;
	}

	function getMessages($limit)
	{
	  $db =& JFactory::getDBO();

	  $query = ' SELECT s.*, u.username'
	         . ' FROM #__lovefactory_shoutbox s'
	         . ' LEFT JOIN #__users u ON u.id = s.sender_id'
	         . ' ORDER BY s.id DESC'
	         . ' LIMIT 0, ' . $limit;
	  $db->setQuery($query);
	  $messages = $db->loadObjectList();

	  $lang =& JFactory::getLanguage();
	  $lang->load('com_lovefactory');

	  foreach ($messages as $i => $message)
	  {
	    $messages[$i]->username = is_null($message->username) ? $lang->_('USER_DELETED') : $message->username;
	    $messages[$i]->created_at = TheFactoryHelper::date($message->created_at);
	  }

	  return $messages;
	}

	function getAccess()
	{
	  JModel::addIncludePath(JPATH_SITE.DS.'components'.DS.'com_lovefactory'.DS.'models');
	  JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'tables');

	  $model =& JModel::getInstance('shoutbox', 'FrontendModel');

	  return $model->getAccess();
	}
}
