<?php

defined('_JEXEC') or die('Restricted access');

class TableReport extends JTable
{
	var $id             = null;
	var $reporting_id   = null;
	var $type_id        = null;
	var $date           = null;
	var $comment        = null;
	var $reported_id    = null;
	var $user_id        = null;
	var $status         = 0;
	var $text           = null;
	var $action_message = null;
	var $action_ban     = null;
	var $action_delete  = null;

	function TableReport(&$db)
	{
		parent::__construct('#__lovefactory_reports', 'id', $db);
	}

	function createNew($type, $object)
	{
	  switch ($type)
	  {
	    case 'photocomment':
	      $this->reporting_id = $object->_user_id;
	      $this->type_id      = 4;
	      $this->reported_id  = $object->id;
	      $this->user_id      = $object->user_id;
	      $this->text         = $object->text;
	    break;

	    case 'comment':
	      $this->reporting_id = $object->receiver_id;
	      $this->type_id      = 2;
	      $this->reported_id  = $object->id;
	      $this->user_id      = $object->sender_id;
	      $this->text         = $object->text;
	    break;

	    case 'videocomment':
	      $user =& JFactory::getUser();
	      $this->reporting_id = $user->id;
	      $this->type_id      = 5;
	      $this->reported_id  = $object->id;
	      $this->user_id      = $object->user_id;
	      $this->text         = $object->text;
	    break;

	    default:
	      return false;
	    break;
	  }

	  $this->store();
	}

	function store($updateNulls = false)
	{
	  $date =& JFactory::getDate();
	  $this->date = $date->toMySql();

	  parent::store($updateNulls);
	}
}