<?php

defined('_JEXEC') or die('Restricted access');

// Component Uninstaller
function com_uninstall()
{
  uninstallModulesAndPlugins();
}

// Modules Uninstaller
function uninstallModulesAndPlugins()
{
  jimport('joomla.filesystem.folder');
  jimport('joomla.filesystem.file');

  require_once(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_lovefactory'.DS.'modules'.DS.'info.php');

  // Modules
  foreach ($modules as $module => $options)
  {
    uninstallModule($module, $options);
  }

  // Plugins
  foreach ($plugins as $plugin => $options)
  {
    uninstallPlugin($plugin, $options);
  }
}

function uninstallModule($module, $options)
{
  $database =& JFactory::getDBO();

  // Delete module files
  $path = JPATH_ROOT.DS.'modules'.DS.'mod_'.$module;
  JFolder::delete($path);

  // Delete the language file
  foreach ($options['languages'] as $language)
  {
    JFile::delete(JPATH_ROOT.DS.'language'.DS.$language.DS.$language.'.mod_'.$module.'.ini');
  }

  // Remove from table
  $query = ' SELECT id'
         . ' FROM #__modules'
         . ' WHERE module = "mod_' . $module . '"';
  $database->setQuery($query);
  $id = $database->loadResult();

  if ($id)
  {
    $query = ' DELETE'
           . ' FROM #__modules'
           . ' WHERE id = ' . $id;
    $database->setQuery($query);
    $database->query();

    $query = ' DELETE'
           . ' FROM #__modules_menu'
           . ' WHERE moduleid = ' . $id;
    $database->setQuery($query);
    $database->query();
  }
}

function uninstallPlugin($plugin, $options)
{
  $database =& JFactory::getDBO();

  // Delete plugin files
  JFile::delete(JPATH_ROOT.DS.'plugins'.DS.$options['type'].DS.$plugin.'.php');
  JFile::delete(JPATH_ROOT.DS.'plugins'.DS.$options['type'].DS.$plugin.'.xml');

  $query = ' DELETE'
         . ' FROM #__plugins'
         . ' WHERE element = "' . $plugin . '"'
         . ' AND folder = "' . $options['type'] . '"';
  $database->setQuery($query);
  $database->query();
}