<?php defined('_JEXEC') or die('Restricted access'); ?>

<style>
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/love.png); }
</style>

  <table class="admintable" width="100%">
		<tr valign="top">
			<td width="50%">
				<fieldset>
					<legend><?php echo JText::_('Users'); ?></legend>
					<?php require_once('_users.php'); ?>
				</fieldset>

				<fieldset>
					<legend><?php echo JText::_('Latest payments'); ?></legend>

					<table class="adminlist">
					  <thead>
					   <tr>
					     <th style="width: 120px;"><?php echo JText::_('Received At'); ?></th>
					     <th><?php echo JText::_('User'); ?></th>
					     <th width="18%"><?php echo JText::_('Amount'); ?></th>
					     <th width="8%""><?php echo JText::_('Status'); ?></th>
					   </tr>
					  </thead>

					  <tbody>
					    <?php if (count($this->payments)): ?>
                <?php foreach ($this->payments as $i => $payment): ?>
                  <tr>
                    <td><a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=payment&task=view&id=' . $payment->id); ?>"><?php echo $payment->received_at; ?></a></td>
                    <td><a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=user&task=view&id=' . $payment->user_id); ?>"><?php echo $payment->username; ?></a></td>
                    <td style="text-align: right; "><?php echo number_format($payment->amount, 2); ?> <?php echo $payment->currency; ?></td>
                    <td><?php echo $payment->status; ?></td>
                  </tr>
                <?php endforeach; ?>
              <?php else: ?>
                <tr>
                  <td colspan="10"><?php echo JText::_('No payment found!'); ?></td>
                </tr>
              <?php endif; ?>
            </tbody>

            <tfoot>
              <tr>
                <td colspan="10" style="padding-top: 10px;"><a href="<?php echo JRoute::_('index.php?option=com_lovefactory&task=payments'); ?>"><?php echo JText::_('All payments'); ?></td>
              </tr>
            </tfoot>
					</table>

				</fieldset>
			</td>

			<td width="50%">
				<fieldset>
					<legend><?php echo JText::_('Latest Users'); ?></legend>

					<table class="adminlist">
					  <thead>
					   <tr>
					     <th style="width: 120px;"><?php echo JText::_('Date'); ?></th>
					     <th><?php echo JText::_('User'); ?></th>
					   </tr>
					  </thead>

					  <tbody>
					    <?php if (count($this->latest)): ?>
                <?php foreach ($this->latest as $i => $user): ?>
                  <tr>
                    <td><?php echo $user->date; ?></td>
                    <td><a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=user&task=view&id=' . $user->user_id); ?>"><?php echo $user->username; ?></a></td>
                  </tr>
                <?php endforeach; ?>
              <?php else: ?>
                <tr>
                  <td colspan="10"><?php echo JText::_('No user found!'); ?></td>
                </tr>
              <?php endif; ?>
            </tbody>

            <tfoot>
              <tr>
                <td colspan="10" style="padding-top: 10px;"><a href="<?php echo JRoute::_('index.php?option=com_lovefactory&task=users'); ?>"><?php echo JText::_('All users'); ?></td>
              </tr>
            </tfoot>
					</table>

				</fieldset>

				<fieldset>
					<legend><?php echo JText::_('Latest reports'); ?></legend>

					<table class="adminlist">
					  <thead>
					   <tr>
					     <th style="width: 120px;"><?php echo JText::_('Date'); ?></th>
					     <th><?php echo JText::_('User Reported'); ?></th>
					     <th width="18%"><?php echo JText::_('Type'); ?></th>
					     <th width="8%""><?php echo JText::_('Status'); ?></th>
					   </tr>
					  </thead>

					  <tbody>
					    <?php if (count($this->reports)): ?>
                <?php foreach ($this->reports as $i => $report): ?>
                  <tr>
                    <td><?php echo $report->date; ?></td>
                    <td><a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=user&task=view&id=' . $report->reported_id); ?>"><?php echo $report->username; ?></a></td>
                    <td><?php echo $this->report_types[$report->type_id]; ?>
                    <td style="text-align: center;">
			                  <img src="images/<?php echo $report->status ? 'tick' : 'publish_x'; ?>.png" />
			                </td>
                  </tr>
                <?php endforeach; ?>
              <?php else: ?>
                <tr>
                  <td colspan="10"><?php echo JText::_('No report found!'); ?></td>
                </tr>
              <?php endif; ?>
            </tbody>

            <tfoot>
              <tr>
                <td colspan="10" style="padding-top: 10px;"><a href="<?php echo JRoute::_('index.php?option=com_lovefactory&task=reports'); ?>"><?php echo JText::_('All reports'); ?></td>
              </tr>
            </tfoot>
					</table>

				</fieldset>
			</td>
		</tr>
	</table>