<?php defined('_JEXEC') or die('Restricted access'); ?>

<style>
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/love.png); }
  .icon-32-database { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/database.png); background-position: center; width: 32px !important; }
</style>

<script>
  window.addEvent('domready', function() {
    // Pane change
    $$("#pane dt").addEvent("click", function () {
      var id = this.id;

      if ('pages' == id)
      {
        document.location.href = "index.php?option=com_lovefactory&task=pages";
      }
    });
  });
</script>

<?php echo $this->pane->startPane('pane'); ?>
  <?php echo $this->pane->startPanel(JText::_('Fields'), 'fields'); ?>
    <form action="index.php" method="post" name="adminForm" style="width: 98%; margin: 0px auto;">

	<table width="100%">
		<tr>
			<td align="left" width="50%">
				<label for="search"><?php echo JText::_('Filter'); ?>:</label>
				<input type="text" id="search" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_('Go'); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_('Reset'); ?></button>
			</td>
			<td style="text-align: right;">
			  <?php echo JHTML::_('select.genericlist', $this->lists['systems'], 'system', 'size="1" onchange="document.adminForm.submit();"', 'value', 'text', $this->lists['system']); ?>
			  <?php echo JHTML::_('grid.state',         $this->lists['state']); ?>
			</td>
		</tr>
	</table>

<table class="adminlist">
	<thead>
		<tr>
			<th width="20px"><?php echo JText::_('NUM'); ?></th>
			<th width="20px"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->fields); ?>);" /></th>
			<th class="title"><?php echo JHTML::_('grid.sort', JText::_('Title'), 'title', $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="20%"><?php echo JHTML::_('grid.sort', JText::_('Type'), 'type_id', $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="8%"><?php echo JHTML::_('grid.sort', JText::_('System'), 'system', $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="8%"><?php echo JHTML::_('grid.sort', JText::_('Required'), 'required', $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="8%"><?php echo JHTML::_('grid.sort', JText::_('Published'), 'published', $this->lists['order_Dir'], $this->lists['order']); ?></th>
		</tr>
	</thead>

	<tfoot>
		<tr>
			<td colspan="12">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>

	<tbody>
	  <?php foreach ($this->fields as $i => $field): ?>
	    <tr class="row<?php echo $i % 2; ?>">
	      <td width="20px"><?php echo ($i + 1 + $this->pagination->limitstart); ?></td>
	      <td width="20px"><?php echo JHTML::_('grid.id', $i, $field->id); ?></td>
	      <td>
	        <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=field&task=edit&cid[]=' . $field->id); ?>">
	          <?php echo $field->title; ?>
	        </a>
	      </td>
	      <td><?php echo $field->type_name; ?></td>
	      <td style="text-align: center;"><img src="images/<?php echo $field->system ? 'tick' : 'publish_x'; ?>.png" /></td>
	      <td style="text-align: center;"><a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=field&task=change&field=required&value=' . !$field->required . '&id=' . $field->id); ?>"><img src="images/<?php echo $field->required ? 'tick' : 'publish_x'; ?>.png" /></a></td>
	      <td style="text-align: center;"><a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=field&task=change&field=published&value=' . !$field->published . '&id=' . $field->id); ?>"><img src="images/<?php echo $field->published ? 'tick' : 'publish_x'; ?>.png" /></a></td>
	    </tr>
	  <?php endforeach; ?>
	</tbody>
</table>

  <input type="hidden" name="controller" value="field" />
  <input type="hidden" name="boxchecked" value="0" />
  <input type="hidden" name="option" value="com_lovefactory" />
  <input type="hidden" name="task" value="fields" />
  <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
</form>

  <?php echo $this->pane->endPanel(); ?>

  <?php echo $this->pane->startPanel(JText::_('Pages'), 'pages'); ?>
    <?php echo JText::_('Loading'); ?>...
  <?php echo $this->pane->endPanel(); ?>
<?php echo $this->pane->endPane(); ?>