<?php defined('_JEXEC') or die('Restricted access'); ?>

<style>
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/love.png); }
  .icon-32-table_48 { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/table_48.png); }
  .icon-32-creditcard_paypal { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/creditcard_paypal.png); background-position: center; width: 48px !important; }
</style>

<form action="index.php" method="post" name="adminForm">

	<table width="100%">
		<tr>
			<td align="left" width="50%">
				<label for="search"><?php echo JText::_('Filter'); ?>:</label>
				<input type="text" id="search" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_('Go'); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('membership').value=-1;this.form.getElementById('method').value='';this.form.getElementById('status').value='';this.form.submit();"><?php echo JText::_('Reset'); ?></button>
			</td>
			<td style="text-align: right;">
			  <?php echo JHTML::_('select.genericlist', $this->lists['memberships'], 'membership', 'size="1" onchange="document.adminForm.submit();"', 'value', 'text', $this->lists['membership']); ?>
			  <?php #echo JHTML::_('select.genericlist', $this->lists['methods'],     'method',     'size="1" onchange="document.adminForm.submit();"', 'value', 'text', $this->lists['method']); ?>
			  <?php echo JHTML::_('select.genericlist', $this->lists['statuses'],    'status',     'size="1" onchange="document.adminForm.submit();"', 'value', 'text', $this->lists['status']); ?>
			</td>
		</tr>
	</table>

<table class="adminlist">
	<thead>
		<tr>
			<th width="20px"><?php echo JText::_('NUM'); ?></th>
			<th width="20px"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->payments); ?>);" /></th>
			<th width="4%"><?php echo JHTML::_('grid.sort',   JText::_('Id'),           'p.id',            $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="14%"><?php echo JHTML::_('grid.sort',   JText::_('Ref. number'),  'p.refnumber',     $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th class="title"><?php echo JHTML::_('grid.sort', JText::_('Username'),     'u.username',      $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="16%"><?php echo JHTML::_('grid.sort',   JText::_('Payment Date'), 'p.payment_date',  $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="8%"><?php echo JHTML::_('grid.sort',    JText::_('Order Id'),     'o.id',            $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="10%"><?php echo JHTML::_('grid.sort',   JText::_('Membership'),   'm.ordering',      $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="8%"><?php echo JHTML::_('grid.sort',    JText::_('Amount'),       'o.amount',        $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="6%"><?php echo JHTML::_('grid.sort',    JText::_('Months'),       'o.months',        $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="8%"><?php echo JHTML::_('grid.sort',    JText::_('Method'),       'p.gateway',       $this->lists['order_Dir'], $this->lists['order']); ?></th>
			<th width="8%"><?php echo JHTML::_('grid.sort',    JText::_('Status'),       'p.status',        $this->lists['order_Dir'], $this->lists['order']); ?></th>
		</tr>
	</thead>

	<tfoot>
		<tr>
			<td colspan="12">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>

	<tbody>
	  <?php foreach ($this->payments as $i => $payment): ?>
	    <tr class="row<?php echo $i % 2; ?>">
	      <td width="20px"><?php echo ($i + 1 + $this->pagination->limitstart); ?></td>
	      <td width="20px"><?php echo JHTML::_('grid.id', $i, $payment->id); ?></td>
	      <td style="text-align: center;"><?php echo $payment->id; ?></td>
	      <td style="text-align: center; ">
	        <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=payment&task=view&cid[]=' . $payment->id); ?>"><?php echo $payment->refnumber; ?></a>
	      </td>
	      <td>
	        <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=user&task=view&id=' . $payment->user_id); ?>">
	          <?php echo $payment->username; ?>
	        </a>
	      </td>
	      <td><?php echo $payment->payment_date; ?></td>

	      <?php if ($payment->order_id): ?>
	        <td style="text-align: center;"><?php echo $payment->order_id; ?></td>
	        <td><?php echo $payment->title; ?></td>
	        <td style="text-align: right;">
	          <?php echo number_format($payment->amount, 2); ?>&nbsp;<?php echo $payment->currency; ?>
	        </td>
	        <td style="text-align: center;">
	          <?php if ($payment->months == 0): ?>
	            <?php echo JText::_('unlimited'); ?>
	          <?php else: ?>
	            <?php echo $payment->months; ?>
	          <?php endif; ?>
	        </td>
	      <?php else: ?>
	        <td colspan="4" style="text-align: center;"><?php echo JText::_('Order not found!'); ?></td>
	      <?php endif; ?>

	      <td><?php echo $payment->gateway; ?></td>
	      <td class="<?php echo $payment->status; ?>"><?php echo $payment->status; ?></td>
	    </tr>
	  <?php endforeach; ?>
	</tbody>
</table>

  <input type="hidden" name="controller" value="payment" />
  <input type="hidden" name="boxchecked" value="0" />
  <input type="hidden" name="option" value="com_lovefactory" />
  <input type="hidden" name="task" value="payments" />
  <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
</form>

<style>
  .adminlist th { text-transform: capitalize; }
  td.ok { color: #008000; }
  td.manual-check { color: #ffa500; }
  td.error { color: #ff0000; }
</style>