<?php defined('_JEXEC') or die('Restricted access'); ?>

<style>
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/love.png); }
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm">

  <table class="admintable" width="100%">
		<tr valign="top">
			<td>
				<fieldset>
					<legend><?php echo JText::_('Report'); ?></legend>

					<table width="100%">
						<tr>
							<td class="key" align="right"><label for="type_id"><?php echo JText::_('Type'); ?>:</label></td>
							<td><?php echo $this->types[$this->report->type_id]; ?></td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="date"><?php echo JText::_('Submited at'); ?>:</label></td>
							<td><?php echo $this->report->date; ?></td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="reporting"><?php echo JText::_('User reporting'); ?>:</label></td>
							<td>
							  <a href="index.php?option=com_lovefactory&controller=user&task=view&id=<?php echo $this->report->reporting_id; ?>"><?php echo $this->report->reporting_user; ?></a>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="reported"><?php echo JText::_('User reported'); ?>:</label></td>
							<td>
							  <a href="index.php?option=com_lovefactory&controller=user&task=view&id=<?php echo $this->report->user_id; ?>"><?php echo $this->report->reported_user; ?></a>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="comment"><?php echo JText::_('Comment'); ?>:</label></td>
							<td><?php echo nl2br($this->report->comment); ?></td>
						</tr>

						<tr>
						  <td class="key" align="right"><label for="actions"><?php echo JText::_('Actions'); ?>:</label></td>
						  <td>
						    <ul style="margin: 0px; padding: 0px; margin-left: 20px; ">
						      <li>
						        <?php if ($this->report->action_message == ''): ?>
						          <a href="#" onclick="document.getElementById('report-warning').style.display='block'; return false;"><?php echo JText::_('Send warning message'); ?></a>
						        <?php else: ?>
						          <?php echo JText::_('Warning message sent'); ?>
						          <div style="background-color: #dddddd; padding: 5px; ">
						            <?php echo nl2br($this->report->action_message); ?>
						          </div>
						        <?php endif; ?>
						      </li>

						      <?php if ($this->report->type_id != 3): ?>
						      <li>
						        <?php if (!$this->report->action_delete): ?>
						          <a href="<?php echo Jroute::_('index.php?option=com_lovefactory&controller=report&task=actionDelete&id=' . $this->report->id); ?>">
						            <?php echo JText::_('Delete'); ?>
						            <?php if ($this->report->type_id == 1): ?>
						              <?php echo JText::_('message'); ?>
						            <?php elseif ($this->report->type_id == 2): ?>
						              <?php echo JText::_('comment'); ?>
						            <?php else: ?>
						            <?php endif; ?>
						          </a>
						        <?php else: ?>
						          <?php if ($this->report->type_id == 1): ?>
						              <?php echo JText::_('Message'); ?>
						            <?php elseif ($this->report->type_id == 2): ?>
						              <?php echo JText::_('Comment'); ?>
						            <?php else: ?>
						            <?php endif; ?>
						            <?php echo JText::_('deleted'); ?>
						        <?php endif; ?>
						      </li>
						      <?php endif; ?>

						      <li>
						        <?php if (!$this->report->action_ban): ?>
						          <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=report&task=actionBan&id=' . $this->report->id); ?>"><?php echo JText::_('Ban user'); ?></a>
						        <?php else: ?>
						          <?php echo JText::_('User banned'); ?>
						        <?php endif; ?>
						      </li>
						    </ul>
						  </td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="status"><?php echo JText::_('Status'); ?>:</label></td>
							<td>
							  <select id="status" name="status">
							    <option value="0" <?php echo (!$this->report->status) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Not resolved'); ?></option>
							    <option value="1" <?php echo ($this->report->status) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Resolved'); ?></option>
							  </select>
							</td>
						</tr>

						<tr>
              <td colspan="2"></td>
            </tr>

            <tr>
              <?php if ($this->report->type_id != 3): ?>
                <td class="key" align="right"><label for="text"><?php echo JText::_('Text reported'); ?>:</label></td>
	              <td><?php echo nl2br($this->report->text); ?></td>
	            <?php else: ?>
	              <td class="key" align="right"><label for="gallery"><?php echo JText::_('Gallery'); ?>:</label></td>
	              <td>
	                <?php foreach ($this->gallery as $image): ?>
	                  <div style="float: left; text-align: center; ">
	                    <div style="margin: 5px; height: <?php echo $this->settings->thumbnail_max_height; ?>px; width: <?php echo $this->settings->thumbnail_max_width; ?>px; background-image: url(<?php echo JURI::root() ;?>/components/com_lovefactory/storage/photos/<?php echo $this->report->user_id; ?>/thumb_<?php echo $image->filename; ?>); background-repeat: no-repeat; background-position: center center; border: 1px solid #cccccc; "></div>
	                    <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=report&task=actionDelete&photo=' . $image->id . '&id=' . $this->report->id); ?>">delete</a>
	                  </div>
	                <?php endforeach; ?>
	              </td>
	            <?php endif; ?>
            </tr>
					</table>

				</fieldset>
			</td>
		</tr>
	</table>
  <input type="hidden" name="controller" value="report" />
  <input type="hidden" name="id" value="<?php echo $this->report->id; ?>" />
  <input type="hidden" name="option" value="com_lovefactory" />
  <input type="hidden" name="task" value="" />
</form>

<?php if ($this->report->action_message == ''): ?>
	<div id="report-warning" style="display: none; ">
	  <form action="index.php" method="POST" id="tester">
      <textarea name="message" cols="40" rows="10"><?php echo $this->settings->notification_warning_message; ?></textarea>
			<br />
			<input type="submit" value="Send Message" />

			<input type="hidden" name="controller" value="report" />
      <input type="hidden" name="id" value="<?php echo $this->report->id; ?>" />
      <input type="hidden" name="option" value="com_lovefactory" />
      <input type="hidden" name="task" value="actionMessage" />
		</form>
	</div>
<?php endif; ?>