<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class BackendViewReport extends JView
{
  function display($tpl = null)
  {
    $report = $this->get('Report');

    JToolBarHelper::title(JText::_('Report').': <small><small>[ ' . JText::_('View') .' ]</small></small>');
    JToolBarHelper::save();
    JToolBarHelper::cancel('cancel', JText::_('Close'));

    if ($report->reporting_id == null)
    {
      $this->_layout = 'error';
    }
    else
    {
      $this->assignRef('report', $report);

      $types = array(1 => JText::_('Message'),
                     2 => JText::_('Comment'),
                     3 => JText::_('Gallery'),
                     4 => JText::_('Photo Comment'),
                     5 => JText::_('Video Comment'),
                     6 => JText::_('Group Post'));
      $this->assignRef('types', $types);

      require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'settings.php');
      $settings = new LovefactorySettings();
      $this->assignRef('settings', $settings);

      if ($report->type_id == 3)
      {
        $gallery = $this->get('Gallery');
        $this->assignRef('gallery', $gallery);
      }
    }

    parent::display($tpl);
  }
}