<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('stylesheet', 'main.css',             'components/com_lovefactory/assets/css/'); ?>
<?php JHTML::_('behavior.tooltip'); ?>

<?php JToolBarHelper::title(JText::_('Settings'), 'generic.png'); ?>

<?php JToolBarHelper::save(); ?>
<?php JToolBarHelper::apply(); ?>
<?php JToolBarHelper::cancel(); ?>

<style>
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/love.png); }
  td { vertical-align: top; }
</style>

<script>
  window.addEvent('domready', function() {
    // Pane change
    $$("#pane dt").addEvent("click", function () {
      var id = this.id.replace("tab-", "");

      $$("#selected_tab").setProperty("value", id);

      if (<?php echo $this->settings->enable_gmaps; ?> && !map_loaded && 4 == id)
      {
        initGMaps();
      }
    });

    // Google Maps loading
    if (load_map)
    {
      initGMaps();
    }
  });

</script>

<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">

<?php echo JText::_('Settings file is: '); ?>
<?php if ($this->writable): ?>
  <b style="color: green;"><?php echo JText::_('writable!'); ?></b>
<?php else: ?>
  <b style="color: red;"><?php echo JText::_('not writable'); ?></b> (<?php echo JPATH_COMPONENT_ADMINISTRATOR.DS.'settings.php'; ?>)
<?php endif; ?>

<div></div>

<?php echo $this->pane->startPane('pane'); ?>

  <!-- General -->
  <?php echo $this->pane->startPanel(JText::_('General'), 'tab-0'); ?>
    <table width="100%">
      <tr>
        <td width="50%">
          <fieldset>
            <legend><?php echo JText::_('General'); ?></legend>
            <?php require_once('_general.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('Registration'); ?></legend>
            <?php require_once('_general_registration.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('Smarty'); ?></legend>
            <?php require_once('_general_technical.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('Photos'); ?></legend>
            <?php require_once('_photos.php'); ?>
          </fieldset>
        </td>

        <td>
          <fieldset>
            <legend><?php echo JText::_('Groups'); ?></legend>
            <?php require_once('_general_groups.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('Info bar'); ?></legend>
            <?php require_once('_general_infobar.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('Shoutbox'); ?></legend>
            <?php require_once('_general_shoutbox.php'); ?>
          </fieldset>
        </td>
      </tr>
    </table>
  <?php echo $this->pane->endPanel(); ?>

  <!-- Page settings -->
  <?php echo $this->pane->startPanel(JText::_('Page settings'), 'tab-1'); ?>
    <table width="100%">
      <tr>
        <td>
          <fieldset>
            <legend><?php echo JText::_('Profile view page'); ?></legend>
            <?php require_once('_page_view.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('Wall page'); ?></legend>
            <?php require_once('_page_wall.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('Members\' map page'); ?></legend>
            <?php require_once('_page_members_map.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('My gallery page'); ?></legend>
            <?php require_once('_page_my_gallery.php'); ?>
          </fieldset>
        </td>

        <td>
          <fieldset>
            <legend><?php echo JText::_('Search page'); ?></legend>
            <?php require_once('_page_search.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('Search Radius Page'); ?></legend>
            <?php require_once('_page_search_radius.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('Videos Gallery Page'); ?></legend>
            <?php require_once('_page_videos.php'); ?>
          </fieldset>
        </td>
      </tr>
    </table>
  <?php echo $this->pane->endPanel(); ?>

  <!-- Interactions -->
  <?php echo $this->pane->startPanel(JText::_('Interactions'), 'tab-2'); ?>
    <fieldset>
      <legend><?php echo JText::_('General'); ?></legend>
      <?php require_once('_interactions_general.php'); ?>
    </fieldset>

    <fieldset class="interactions_related">
      <legend><?php echo JText::_('Interactions'); ?></legend>
      <?php require_once('_interactions_interactions.php'); ?>
    </fieldset>
  <?php echo $this->pane->endPanel(); ?>

  <!-- Notifications -->
  <?php echo $this->pane->startPanel(JText::_('Notifications'), 'tab-3'); ?>
    <fieldset>
      <legend><?php echo JText::_('General'); ?></legend>
      <?php require_once('_template_general.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('Warning message'); ?></legend>
      <?php require_once('_template_warning_message.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('End membership email notification'); ?></legend>
      <?php require_once('_template_end_membership.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('New comment notification'); ?></legend>
      <?php require_once('_template_new_comment.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('New photo comment notification'); ?></legend>
      <?php require_once('_template_new_photo_comment.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('New interaction notification'); ?></legend>
      <?php require_once('_template_new_interaction.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('New message notification'); ?></legend>
      <?php require_once('_template_new_message.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('New rating notification'); ?></legend>
      <?php require_once('_template_new_rating.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('Change membership notification'); ?></legend>
      <?php require_once('_template_change_membership.php'); ?>
    </fieldset>
  <?php echo $this->pane->endPanel(); ?>

  <!-- Integration -->
  <?php echo $this->pane->startPanel(JText::_('Integrations'), 'tab-4'); ?>
    <table width="100%">
      <tr>
        <td width="50%">
          <fieldset>
            <legend><?php echo JText::_('Chat Factory'); ?></legend>
            <?php require_once('_integration_chatfactory.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('ReCaptcha'); ?></legend>
            <?php require_once('_integration_recaptcha.php'); ?>
          </fieldset>
        </td>
        <td>
          <fieldset>
            <legend><?php echo JText::_('Gravatar'); ?></legend>
            <?php require_once('_integration_gravatar.php'); ?>
          </fieldset>

          <fieldset>
            <legend><?php echo JText::_('Google Maps'); ?></legend>
            <?php require_once('_gmaps_general.php'); ?>
          </fieldset>
        </td>
      </tr>
    </table>
  <?php echo $this->pane->endPanel(); ?>

  <!-- Ad Sense -->
  <?php echo $this->pane->startPanel(JText::_('Advertising'), 'tab-5'); ?>
    <p><?php echo JText::_('Here a code can be placed, like for example Google AdSense, which then will be displayed between the search result of the component, like below configured.'); ?></p>
    <fieldset>
      <legend><?php echo JText::_('Available'); ?></legend>
      <?php require_once('_ad_sense_available.php'); ?>
    </fieldset>

    <fieldset>
      <legend><?php echo JText::_('Add new'); ?></legend>
      <?php require_once('_ad_sense_new.php'); ?>
    </fieldset>
  <?php echo $this->pane->endPanel(); ?>

  <!-- Cron jobs -->
  <?php echo $this->pane->startPanel(JText::_('Cron Jobs'), 'tab-6'); ?>
    <fieldset>
      <legend><?php echo JText::_('General'); ?></legend>
      <?php require_once('_general_cron.php'); ?>
    </fieldset>
  <?php echo $this->pane->endPanel(); ?>

  <?php echo $this->pane->startPanel(JText::_('Backup & Restore'), 'tab-7'); ?>
    <table width="100%">
      <tr>
        <td width="50%">
          <fieldset>
            <legend><?php echo JText::_('Backup'); ?></legend>
            <?php require_once('_backup.php'); ?>
          </fieldset>
        </td>
        <td>
          <fieldset>
            <legend><?php echo JText::_('Restore'); ?></legend>
            <?php require_once('_restore.php'); ?>
          </fieldset>
        </td>
      </tr>
    </table>
  <?php echo $this->pane->endPanel(); ?>

<?php echo $this->pane->endPane(); ?>

  <input type="hidden" name="controller" value="settings" />
  <input type="hidden" name="option" value="com_lovefactory" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="selected_tab" id="selected_tab" value="<?php echo $this->selected_tab; ?>" />
</form>