<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.html.pane');

class BackendViewSettings extends JView
{
  function display($tpl = null)
  {
    $settings        =  new LovefactorySettings();
    $admins          =& $this->get('Admins');
    $selected_tab    =& JRequest::getVar('tab', 0, 'GET', 'integer');
    $access          =& $this->get('Access');
    $pane            =& JPane::getInstance('tabs', array('startOffset' => $selected_tab));
    $shoutbox_log    =& $this->get('ShoutboxLogSize');
    $writable        =& $this->get('SettingsFileIsWritable');
    $chatfactory     =& $this->get('ChatFactory');
    $location_fields =& $this->get('LocationFields');

    $this->assignRef('settings',        $settings);
    $this->assignRef('admins',          $admins);
    $this->assignRef('access',          $access);
    $this->assignRef('pane',            $pane);
    $this->assignRef('selected_tab',    $selected_tab);
    $this->assignRef('shoutbox_log',    $shoutbox_log);
    $this->assignRef('writable',        $writable);
    $this->assignRef('chatfactory',     $chatfactory);
    $this->assignRef('location_fields', $location_fields);

    if ($settings->enable_gmaps && $settings->gmaps_api_key)
    {
      JHTML::script('?file=api&amp;v=2&amp;sensor=false&amp;key=' . $settings->gmaps_api_key, 'http://maps.google.com/maps');
    }

    JHTML::script('settings.js', 'components/com_lovefactory/assets/js/views/backend/');

    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');

    parent::display($tpl);
  }
}