<?php

defined('_JEXEC') or die('Restricted access');

class FrontendControllerComment extends FrontendController
{
	function add()
	{
	  $model    = $this->getModel('comment');
	  $response = array();

    if ($model->store())
    {
      $response['status']  = 1;
      $response['message'] = JText::_('COMMENT_TASK_ADD_SUCCESS');
      $response['error']   = '';
    }
    else
    {
      $response['status']  = 0;
      $response['message'] = JText::_('COMMENT_TASK_ADD_FAILURE');
      $response['error']   = $model->getError();
    }

    $this->renderJson($response);
	}

	function delete()
	{
	  $model    = $this->getModel('comment');
	  $response = array();

    if ($model->delete())
    {
      $response['status']  = 1;
      $response['message'] = JText::_('COMMENT_TASK_DELETE_SUCCESS');
      $response['error']   = '';
      $response['text']    = JText::_('COMMENT_TASK_DELETE_SUCCESS_TEXT');
    }
    else
    {
      $response['status']  = 0;
      $response['message'] = JText::_('COMMENT_TASK_DELETE_FAILURE');
      $response['error']   = $model->getError();
      $response['text']    = '';
    }

    $this->renderJson($response);
	}

  function report()
	{
	  $model    = $this->getModel('comment');
	  $response = array();

    if ($model->report())
    {
      $response['status']  = 1;
      $response['message'] = JText::_('COMMENT_TASK_REPORT_SUCCESS');
      $response['error']   = '';
      $response['text']    = JText::_('COMMENT_TASK_REPORT_SUCCESS_TEXT');
    }
    else
    {
      $response['status']  = 0;
      $response['message'] = JText::_('COMMENT_TASK_REPORT_FAILURE');
      $response['error']   = $model->getError();
      $response['text']    = '';
    }

    $this->renderJson($response);
	}
}