<?php

defined('_JEXEC') or die('Restricted access');

class FrontendControllerGroupExclude extends FrontendController
{
	function remove()
	{
	  $model    =& $this->getModel('GroupExclude', 'FrontendModel');
	  $response =  array();

	  if ($model->remove())
	  {
	    $response['success'] = true;
	    $response['message'] = JText::_('GROUP_EXCLUDE_TASK_REMOVE_SUCCESS');
	    $response['link']    = JRoute::_('index.php?option=com_lovefactory&controller=groupexclude&task=add&group_id=' . $model->_group_id . '&user_id=' . $model->_user_id, false);
	    $response['text']    = JText::_('GROUP_EXCLUDE_LIST_EXCLUDE');
	    $response['ajax']    = true;
	  }
	  else
	  {
	    $response['success'] = false;
	    $response['message'] = '<b>'.JText::_('GROUP_EXCLUDE_TASK_REMOVE_FAILURE').'</b>';
	    $response['error']   = $model->getError();
	  }

	  $this->renderJson($response);
	}

	function add()
	{
	  $model    =& $this->getModel('GroupExclude', 'FrontendModel');
	  $response =  array();

	  if ($model->add())
	  {
	    $response['success'] = true;
	    $response['message'] = JText::_('GROUP_EXCLUDE_TASK_ADD_SUCCESS');
	    $response['link']    = JRoute::_('index.php?option=com_lovefactory&controller=groupexclude&task=remove&exclude_id=' . $model->_exclude_id, false);
	    $response['text']    = JText::_('GROUP_EXCLUDE_LIST_REMOVE');
	    $response['ajax']    = true;
	  }
	  else
	  {
	    $response['success'] = false;
	    $response['message'] = '<b>'.JText::_('GROUP_EXCLUDE_TASK_REMOVE_FAILURE').'</b>';
	    $response['error']   = $model->getError();
	  }

	  $this->renderJson($response);
	}
}