<?php

function smarty_function_load_template($params, &$smarty)
{
  $partial = $params['_'];
  $parts   = explode('/', $partial);

  if (2 == count($parts))
  {
    $path = $smarty->_base_path.DS.$parts[0].DS.'smarty'.DS.'default_'.$parts[1].'.tpl';
  }
  else
  {
    $path = $smarty->_view_path.DS.'default_'.$parts[0].'.tpl';
  }

  $values = array();
  foreach ($params as $key => $value)
  {
    if ('_' == $key)
    {
      continue;
    }

    $values[$key] = $value;
  }

  $smarty->_smarty_include(
      array('smarty_include_tpl_file' => $path,
            'smarty_include_vars'     => $values)
    );
}