<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FrontendModelMembersMap extends JModel
{
  function getMembers()
  {
    global $Itemid;

    $query = ' SELECT g.*'
           . ' FROM #__lovefactory_geo g'
           . ' WHERE g.lat <> 0'
           . ' AND g.lng <> 0';
    $this->_db->setQuery($query);
    $members = $this->_db->loadObjectList();

    foreach ($members as $i => $member)
    {
      $members[$i]->link = JRoute::_('index.php?option=com_lovefactory&view=profile&id=' . $member->user_id . '&Itemid=' . $Itemid);
    }

    return json_encode($members);
  }

  function getProfile($overrides = array())
  {
    $user =& JFactory::getUser();
    $profile =& JModel::getInstance('profile', 'FrontendModel');

    $id =& JRequest::getVar('id', 0, 'GET', 'integer');
    $id =  $id == 0 ? $user->id : $id;

    $zones = $this->getZones();
    $extra = $profile->getExtraFields($zones['types']);

	  $query = $profile->getMainSelectQuery($extra, $overrides)
	         . ' FROM #__lovefactory_profiles p'
	         . $profile->getLeftJoinsQuery($extra)
	         . ' WHERE p.user_id = ' . $id
	         . ' GROUP BY p.user_id';
	  $this->_db->setQuery($query);
	  $profile = $this->_db->loadObject();

    return $profile;
  }

  function getZones()
  {
    static $zones = null;

    if (!is_null($zones))
    {
      return $zones;
    }

    $model =& JModel::getInstance('zones', 'FrontendModel');
    $zones = $model->getZonesForDisplayForPage('moreinfo');

    return $zones;
  }
}