<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewGroup extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $document =& JFactory::getDocument();
    $settings = new LovefactorySettings();

    $group =& $this->get('Data');

    if (!($group->group_member || !$group->private))
    {
      return parent::display('notmember');
    }

    $posts      =& $this->get('Posts');
    $pagination =& $this->get('Pagination');

    $this->assignRef('group',      $group);
    $this->assignRef('posts',      $posts);
    $this->assignRef('pagination', $pagination);
    $this->assignRef('Itemid',     $Itemid);

    $this->assignJavascript('group_id',            $group->id);
    $this->assignJavascript('txt_allowed_html',    JText::sprintf('GROUP_POST_ALLOWED_HTML', $settings->groups_post_allowed_html));
    $this->assignJavascript('root',                JURI::root());
    $this->assignJavascript('txt_group_post',      JText::_('GROUP_POST'));
    $this->assignJavascript('txt_group_cancel',    JText::_('GROUP_CANCEL'));
    $this->assignJavascript('txt_group_reported',  JText::_('GROUP_REPORTED'));
    $this->assignJavascript('txt_group_excluded',  JText::_('GROUP_EXCLUDED'));
    $this->assignJavascript('txt_group_read_more', JText::_('GROUP_READ_MORE'));
    $this->assignJavascript('txt_group_new_post_title', JText::_('GROUP_ADD_POST_TITLE'));

    if ($settings->groups_photo_max_width > 150)
    {
      $document->addStyleDeclaration('#lf-group-container { padding-left: ' . ($settings->groups_photo_max_width + 10) . 'px !important;}');
    }

    JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('group.css',  'components/com_lovefactory/assets/css/views/');

    JHtmlFactory::IEStylesheet('ie.css');

    JHtmlFactory::jQueryScript('cookie', 'ajaxaction', 'expander', 'autoresize', 'effects', 'effects-highlight');
    JHTML::script('group.js', 'components/com_lovefactory/assets/js/views/');

    parent::display($tpl);
  }
}