<fieldset class="lovefactory-system">
  <legend>{if $group->id}{jtext|@sprintf:$group->title _='GROUP_CREATE_EDIT_TITLE'}{else}{jtext _='GROUP_CREATE_TITLE'}{/if}</legend>

  <form action="index.php" method="POST" id="lf-form" enctype="multipart/form-data">
    <table class="lf-group-table">
      <tr>
        <th><label for="title">{jtext _='GROUP_CREATE_GROUP_TITLE'}: <span class="lf-required">*</span></label></th>
        <td><input class="lf-input" id="title" name="title" value="{$group->title}" /></td>
      </tr>

      <tr>
        <th><label for="description">{jtext _='GROUP_CREATE_GROUP_DESCRIPTION'}:</label></th>
        <td><textarea class="lf-input" id="description" name="description" style="width: 100%;">{$group->description}</textarea></td>
      </tr>

      <tr>
        <th><label for="thumbnail">{jtext _='GROUP_CREATE_GROUP_THUMBNAIL'}:</label></th>
        <td>
          {if $group->id && $group->thumbnail}
            <img src="{$group->getThumbnail()}" />
            <br />
            <input type="checkbox" id="delete_thumb" name="delete_thumb" value="1" />
            <label for="delete_thumb">{jtext _='GROUP_DELETE_THUMBNAIL'}</label>
            <br />
          {/if}

          <input type="file" id="thumbnail" name="thumbnail" />
        </td>
      </tr>

      <tr>
        <th>{jtext _='GROUP_CREATE_GROUP_TYPE'}: <span class="lf-required">*</span></th>
        <td>
          <div>
            <input type="radio" id="type_public" name="private" value="0" {if !$group->private}checked="checked"{/if} /><label for="type_public">{jtext _='GROUP_CREATE_GROUP_PUBLIC'}</label><br />
            <span class="lf-group-type-info"><small>{jtext _='GROUP_CREATE_GROUP_PUBLIC_INFO'}</small></span>
          </div>

          <div>
            <input type="radio" id="type_private" name="private" value="1" {if $group->private}checked="checked"{/if} /><label for="type_private">{jtext _='GROUP_CREATE_GROUP_PRIVATE'}</label><br />
            <span class="lf-group-type-info"><small>{jtext _='GROUP_CREATE_GROUP_PRIVATE_INFO'}</small></span>
          </div>
        </td>
      </tr>

      <tr>
        <td colspan="2" style="padding-top: 20px;">
          <input type="submit" class="lf-submit lf-submit-grey-accept" value="{if $group->id}{jtext _='GROUP_CREATE_EDIT'}{else}{jtext _='GROUP_CREATE_SUBMIT'}{/if}" />
          <span class="lf-required-info"><span class="lf-required">*</span> {jtext _='GROUP_FORM_WARNING_REQUIRED_FIELDS'}</span>
        </td>
      </tr>

      {if $group->id}
        <tr>
          <td colspan="2" style="text-align: right;">
            <a href="{jroute _='index.php?option=com_lovefactory&controller=group&task=delete&id=%id%&Itemid=%Itemid%' id=$group->id Itemid=$Itemid}" class="lovefactory-button lovefactory-delete" id="lovefactory-delete-group">
              {jtext _='GROUP_DELETE_GROUP'}
            </a>
          </td>
        </tr>
      {/if}
    </table>

    <input type="hidden" name="option"     value="com_lovefactory" />
    <input type="hidden" name="controller" value="group" />
    <input type="hidden" name="task"       value="save" />
    <input type="hidden" name="id"         value="{$group->id}" />
  </form>
</fieldset>

<div class="lf-page-spacer"></div>