<h1>{jtext _='INTERACTIONS_TITLE'}</h1>

{if $interactions|@count}
  <table cellpadding="0px" cellspacing="0px" class="lovefactory-table">
    <thead>
      <tr>
        <th style="width: 240px;">{jtext _='INTERACTIONS_INTERACTION'}</th>
        <th>{jtext _='INTERACTIONS_ACTION'}</th>
        <th style="width: 150px;">{jtext _='INTERACTIONS_DATE'}</th>
      </tr>
    </thead>
    <tbody>
      {foreach from=$interactions key=i item=interaction}
        <tr class="{if $i % 2}even{/if}">
          <td>
            <a href="{jroute _='index.php?option=com_lovefactory&view=profile&id=%id%&Itemid=%Itemid%' id=$interaction->sender_id Itemid=$Itemid}">{$interaction->username}</a>
            {$interaction->text} <img src="components/com_lovefactory/assets/images/interaction_{$interaction->img}.png" alt="Interaction" />
          </td>
          <td>
            {if $interaction->action}
              <a class="lovefactory-button lovefactory-go" href="{jroute _='index.php?option=com_lovefactory&controller=interaction&task=respond&id=%id%&Itemid=%Itemid%' id=$interaction->id Itemid=$Itemid}">{$interaction->action}</a>
            {/if}
          </td>
          <td><span class="lovefactory-button lovefactory-date">{$interaction->date}</td>
        </tr>
      {/foreach}
    </tbody>
  </table>

  <br />
  <a href="{jroute _='index.php?option=com_lovefactory&controller=interactions&task=deleteall&Itemid=%Itemid%' Itemid=$Itemid}" class="lovefactory-button lovefactory-cross">
  {jtext _='INTERACTIONS_EMPTY_LIST'}
  </a>
{else}
  {jtext _='INTERACTIONS_NO_INTERACTION_FOUND'}
{/if}

<div>
  {$pagination->getPagesLinks()}
</div>