<?php defined('_JEXEC') or die('Restricted access'); ?>

<h1><?php echo JText::_('MY_MEMBERSHIP_TITLE'); ?></h1>

<table cellpadding="0px" cellspacing="0px" class="lovefactory-table2">
  <tbody>
    <tr>
      <th><?php echo JText::_('MY_MEMBERSHIP_MEMBERSHIP_TITLE'); ?>:</th>
      <td><?php echo $this->membership->title; ?></td>
    </tr>

    <?php if (1 != $this->membership->id): ?>
      <tr>
        <th><?php echo JText::_('MY_MEMBERSHIP_STARTED_ON'); ?>:</th>
        <td><?php echo $this->membership->start_membership; ?></td>
      </tr>

      <tr>
        <th><?php echo JText::_('MY_MEMBERSHIP_ENDS_ON'); ?>:</th>
        <td><?php echo $this->membership->end_membership; ?></td>
      </tr>
    <?php endif; ?>

    <tr>
      <th><?php echo JText::_('MY_MEMBERSHIP_PHOTOS'); ?>:</th>
      <td style="text-align: center;"><?php echo $this->membership->max_photos; ?></td>
    </tr>

    <tr>
      <th><?php echo JText::_('MY_MEMBERSHIP_VIDEOS'); ?>:</th>
      <td style="text-align: center;"><?php echo $this->membership->max_videos; ?></td>
    </tr>

    <tr>
      <th><?php echo JText::_('MY_MEMBERSHIP_FRIENDS'); ?>:</th>
      <td style="text-align: center;"><?php echo $this->membership->max_friends; ?></td>
    </tr>

    <tr>
      <th><?php echo JText::_('MY_MEMBERSHIP_MESSAGES_PER_DAY'); ?>:</th>
      <td style="text-align: center;"><?php echo $this->membership->max_messages_per_day; ?></td>
    </tr>

    <tr>
      <th><?php echo JText::_('MY_MEMBERSHIP_INTERACTIONS_PER_DAY'); ?>:</th>
      <td style="text-align: center;"><?php echo $this->membership->max_interactions_per_day; ?></td>
    </tr>

    <?php if ($this->settings->enable_top_friends): ?>
      <tr>
        <th><?php echo JText::_('MY_MEMBERSHIP_TOP_FRIENDS'); ?>:</th>
        <td style="text-align: center;"><?php echo $this->membership->top_friends; ?></td>
      </tr>
    <?php endif; ?>

    <?php if ($this->settings->enable_shoutbox): ?>
      <tr>
        <th><?php echo JText::_('MY_MEMBERSHIP_SHOUTBOX_ACCESS'); ?>:</th>
        <td style="text-align: center;"><?php echo $this->membership->shoutbox; ?></td>
      </tr>
    <?php endif; ?>

    <?php if ($this->settings->enable_chatfactory_integration): ?>
      <tr>
        <th><?php echo JText::_('MY_MEMBERSHIP_CHAT_FACTORY_ACCESS'); ?>:</th>
        <td style="text-align: center;"><?php echo $this->membership->chatfactory ? JText::_('YES') : JText::_('NO'); ?></td>
      </tr>
    <?php endif; ?>

    <?php if ($this->settings->enable_groups): ?>
      <?php if ($this->settings->groups_allow_users_create): ?>
        <tr>
          <th><?php echo JText::_('MY_MEMBERSHIP_GROUPS_CREATE'); ?>:</th>
          <td style="text-align: center;"><?php echo $this->membership->groups_create; ?></td>
        </tr>
      <?php endif; ?>
      <tr>
        <th><?php echo JText::_('MY_MEMBERSHIP_GROUPS_JOIN'); ?>:</th>
        <td style="text-align: center;"><?php echo $this->membership->groups_join; ?></td>
      </tr>
    <?php endif; ?>

    <?php if (1 != $this->membership->id): ?>
      <tr>
        <th><?php echo JText::_('MY_MEMBERSHIP_PAYMENT_DATE'); ?>:</th>
        <td style="text-align: center;"><?php echo $this->membership->payment_date; ?></td>
      </tr>

      <tr>
        <th><?php echo JText::_('MY_MEMBERSHIP_PRICE'); ?>:</th>
        <td style="text-align: center;"><?php echo $this->membership->amount, ' ', $this->membership->currency; ?></td>
      </tr>
    <?php endif; ?>
  </tbody>
</table>

<div style="margin: 5px;">
  <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=memberships&Itemid=' . $this->Itemid); ?>" class="lovefactory-button lovefactory-go"><?php echo JText::_('MY_MEMBERSHIP_UPGRADE_MEMBERSHIP'); ?></a>
  <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=mymemberships&Itemid=' . $this->Itemid); ?>" class="lovefactory-button lovefactory-go"><?php echo JText::_('MY_MEMBERSHIP_MY_MEMBERSHIPS_ARCHIVE'); ?></a>
</div>