<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php require_once(JPATH_COMPONENT_SITE.DS.'views'.DS.'myfriends'.DS.'tmpl'.DS.'_menu.php'); ?>

<h1 style="text-transform: capitalize;"><?php echo JText::_('REQUESTS_TITLE'); ?></h1>

<div>
  <input type="checkbox" id="my_requests" name="my_requests" <?php echo $this->my_requests; ?> /><label for="my_requests"><?php echo JText::_('REQUESTS_MY_REQUESTS'); ?></label>
</div>

<?php foreach ($this->friends as $i => $friend): ?>
  <fieldset class="lovefactory-zone <?php echo ($i % 2) ? 'even' : ''; ?>">
    <legend><?php echo $friend->username; ?></legend>
    <?php echo $this->renderer->renderPageZones($this->zones, $friend, 'view', 'result'); ?>

    <div class="lovefactory-extra">
      <!-- Actions -->
      <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=messagewrite&to='.$friend->friend_id.'&Itemid='.$this->Itemid); ?>" class="lovefactory-button lovefactory-email-go"><?php echo JText::_('REQUESTS_WRITE_MESSAGE'); ?></a>
      <?php if ($friend->my_request): ?>
        <?php if (1 == $friend->request_type): ?>
          <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=friend&task=cancel&Itemid=' . $this->Itemid . '&id=' . $friend->friendship_id); ?>" class="lovefactory-button lovefactory-user-delete"><?php echo JText::_('REQUESTS_CANCEL_FRIENDSHIP_REQUEST'); ?></a>
        <?php else: ?>
          <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=relationship&task=cancel&Itemid=' . $this->Itemid . '&id=' . $friend->friendship_id); ?>" class="lovefactory-button lovefactory-heart-delete"><?php echo JText::_('REQUESTS_CANCEL_RELATIONSHIP_REQUEST'); ?></a>
        <?php endif; ?>
      <?php else: ?>
        <?php if (1 == $friend->request_type): ?>
          <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=friend&task=accept&Itemid=' . $this->Itemid . '&id=' . $friend->friendship_id); ?>" class="lovefactory-button lovefactory-user-add"><?php echo JText::_('REQUESTS_ACCEPT_FRIENDSHIP_REQUEST'); ?></a>
          <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=friend&task=reject&Itemid=' . $this->Itemid . '&id=' . $friend->friendship_id); ?>" class="lovefactory-button lovefactory-user-delete"><?php echo JText::_('REQUESTS_REJECT_FRIENDSHIP_REQUEST'); ?></a>
        <?php else: ?>
          <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=relationship&task=accept&Itemid=' . $this->Itemid . '&id=' . $friend->friendship_id); ?>" class="lovefactory-button lovefactory-heart-add"><?php echo JText::_('REQUESTS_ACCPET_RELATIONSHIP_REQUEST'); ?></a>
          <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=relationship&task=reject&Itemid=' . $this->Itemid . '&id=' . $friend->friendship_id); ?>" class="lovefactory-button lovefactory-heart-delete"><?php echo JText::_('REQUESTS_REJECT_RELATIONSHIP_REQUEST'); ?></a>
        <?php endif; ?>
      <?php endif; ?>

      <!-- Message -->
      <?php if (1 == $friend->type && '' != $friend->message): ?>
        <div style="font-style: italic; margin-top: 5px;">
          "<?php echo nl2br($friend->message); ?>"
        </div>
      <?php endif; ?>
    </div>
  </fieldset>
<?php endforeach; ?>

<div>
  <?php echo $this->pagination->getPagesLinks(); ?>
</div>