<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewSignup extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $zones   =& $this->get('Zones');
    $session =& JFactory::getSession();

    $fields =& JModel::getInstance('fields', 'FrontendModel');
    $fields->addRequiredConditionsFor($zones['required']);

    $renderer =& JModel::getInstance('renderer', 'FrontendModel');
    $renderer->_mode = 'edit';

    $this->assignRef('zones',    $zones);
    $this->assignRef('renderer', $renderer);
    $this->assignRef('Itemid',   $Itemid);

    $this->assign('has_required_fields', count($zones['required']));

    $this->assignJavascript('root',         JURI::root());
    $this->assignJavascript('session_id',   $session->getId());
    $this->assignJavascript('session_name', $session->getName());

    $this->assignJavascript('txt_upload',          JText::_('SIGNUP_UPLOAD'));
    $this->assignJavascript('txt_error_uploading', JText::_('SIGNUP_ERROR_UPLOADING'));

    JHtmlFactory::jQueryScript('ui', 'ui-widget', 'ui-progressbar', 'swfupload');
    JHTML::script('form-validation.js',   'components/com_lovefactory/assets/js/');
    JHTML::script('signup.js',            'components/com_lovefactory/assets/js/views/');
    JHTML::script('swfupload.js',         'components/com_lovefactory/assets/js/');

    JHTML::stylesheet('main.css',     'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css',  'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('signup.css',   'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('ui.theme.css', 'components/com_lovefactory/assets/css/');

    JHTML::_('behavior.tooltip');

    parent::display($tpl);
  }
}