<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class BackendController extends JController
{
  function __construct()
  {
    parent::__construct();

    require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'settings.php');
    require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'vendor'.DS.'html.php');
  }

  function display()
  {
    parent::display();
  }

  function dashboard()
  {
    $view  =& $this->getView('dashboard', 'html');
    $model =& $this->getModel('dashboard');

    $view->setModel($model, true);
    $view->display();
  }

  function fields()
  {
    $view  =& $this->getView('fields', 'html');
    $model =& $this->getModel('fields');

    $view->setModel($model, true);
    $view->display();
  }

  function pages()
  {
    $view  =& $this->getView('pages', 'html');
    $model =& $this->getModel('pages');

    $view->setModel($model, true);
    $view->display();
  }

  function settings()
  {
    $view  =& $this->getView('settings', 'html');
    $model =& $this->getModel('settings');

    $view->setModel($model, true);
    $view->display();
  }

  function users()
  {
    $view  =& $this->getView('users', 'html');
    $model =& $this->getModel('users');

    $view->setModel($model, true);
    $view->display();
  }

  function reports()
  {
    $view  =& $this->getView('reports', 'html');
    $model =& $this->getModel('reports');

    $view->setModel($model, true);
    $view->display();
  }

  function about()
  {
    $view  =& $this->getView('about', 'html');
    $model =& $this->getModel('about');

    $view->setModel($model, true);
    $view->display();
  }

  function pricing()
  {
    $view  =& $this->getView('pricing', 'html');
    $model =& $this->getModel('pricing');

    $view->setModel($model, true);
    $view->display();
  }

  function groups()
  {
    $view  =& $this->getView('groups', 'html');
    $model =& $this->getModel('groups');

    $view->setModel($model, true);
    $view->display();
  }

  function groupMembers()
  {
    $view  =& $this->getView('GroupMembers', 'html');
    $model =& $this->getModel('GroupMembers');

    $view->setModel($model, true);
    $view->display();
  }

  function payments()
  {
    $view  =& $this->getView('payments', 'html');
    $model =& $this->getModel('payments');

    $view->setModel($model, true);
    $view->display();
  }

  function backup()
  {
    $model =& $this->getModel('backup');

    if (!$model->create())
    {
      $msg = JText::_('Backup Error!');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=settings', $msg);
  }

  function restore()
  {
    $model =& $this->getModel('backup');

    if ($model->restore())
    {
      $msg = JText::_('Backup Restored Successfully!');
    }
    else
    {
      $msg = JText::_('Error Restoring Backup!');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=settings', $msg);
  }

  function memberships()
  {
    $view  =& $this->getView('memberships', 'html');
    $model =& $this->getModel('memberships');

    // Check for default sold membership
    $model->checkDefaultSoldMembership();

    // Show the view
    $view->setModel($model, true);
    $view->display();
  }

  function gateways()
  {
    $view  =& $this->getView('gateways', 'html');
    $model =& $this->getModel('gateways');

    $view->setModel($model, true);
    $view->display();
  }

  function getParameters()
  {
    $view  =& $this->getView('field', 'raw');
    $view->display();
  }

  function verifyFields()
  {
    $fields =& JModel::getInstance('fields', 'BackendModel');
    $fields->verify();
  }

  function membershipsOptions()
  {
    $view  =& $this->getView('memberships', 'html');
    $model =& $this->getModel('memberships');

    $view->_layout = 'options';

    // Show the view
    $view->setModel($model, true);
    $view->display();
  }

  function usersOptions()
  {
    $view  =& $this->getView('users', 'html');
    $model =& $this->getModel('users');

    $view->_layout = 'options';

    // Show the view
    $view->setModel($model, true);
    $view->display();
  }

  function pricingOptions()
  {
    $view  =& $this->getView('pricing', 'html');
    $model =& $this->getModel('pricing');

    $view->_layout = 'options';

    // Show the view
    $view->setModel($model, true);
    $view->display();
  }
}