<?php

defined('_JEXEC') or die('Restricted access');

class BackendControllerPayment extends BackendController
{
	function __construct()
	{
		parent::__construct();

		$this->registerTask('edit', 'view');
	}

	function remove()
  {
    $model = $this->getModel('payment');

    if (!$model->delete())
    {
      $msg = JText::_('Error: One or More Payments Could not be Deleted');
    }
    else
    {
      $msg = JText::_('Payment(s) Deleted');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=payments', $msg);
  }

  function validate()
  {
    $model = $this->getModel('payment');

    if (!$model->validate())
    {
      $msg = JText::_('Error: One or More Payments Could not be Validated');
    }
    else
    {
      $msg = JText::_('Payment(s) Validated');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=payments', $msg);
  }

  function invalidate()
  {
    $model = $this->getModel('payment');

    if (!$model->invalidate())
    {
      $msg = JText::_('Error: One or More Payments Could not be Invalidated');
    }
    else
    {
      $msg = JText::_('Payment(s) Invalidated');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=payments', $msg);
  }

  function view()
  {
    JRequest::setVar('view',   'payment');
    JRequest::setVar('layout', 'view');

    parent::display();
  }

  function cancel()
  {
    $msg = JText::_('Operation Cancelled');
    $this->setRedirect('index.php?option=com_lovefactory&task=payments', $msg);
  }

  function save()
  {
    $model = $this->getModel('payment');

    if ($model->store())
    {
      $msg = JText::_('Payment Saved!');
    }
    else
    {
      $msg = JText::_('Error Saving Payment');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=payments', $msg);
  }

  function log()
  {
    $view =& $this->getView('payment', 'html');
    $view->_layout = 'log';
    $view->log();
  }

  function saveLog()
  {
    $log = JRequest::getVar('log', '0', 'POST', 'string');

    if ($log != '0')
    {
      $msg = JText::_('Log saved');
      file_put_contents(JPATH_COMPONENT_ADMINISTRATOR.DS.'payments_log.txt', $log);
    }
    else
    {
      $msg = JText::_('Error saving log');
    }
    $this->setRedirect('index.php?option=com_lovefactory&task=payments', $msg);
  }
}