<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_lovefactory"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require(JModuleHelper::getLayoutPath('mod_lovefactory_best_rated', 'error'));
}
else
{
  global $Itemid;

  $members = intval($params->get('members', 5));

  $query = ' SELECT u.username, p.rating, p.user_id'
         . ' FROM #__lovefactory_profiles p'
         . ' LEFT JOIN #__users u ON u.id = p.user_id'
         . ' WHERE p.validated = 1'
         . ' AND u.block = 0'
         . ' AND p.rating <> 0'
         . ' ORDER BY p.rating DESC'
         . ' LIMIT 0, ' . $members;
  $database->setQuery($query);
  $members = $database->loadObjectList();

  JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('modules.css', 'components/com_lovefactory/assets/css/');

  require(JModuleHelper::getLayoutPath('mod_lovefactory_best_rated'));
}