<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_lovefactory"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require(JModuleHelper::getLayoutPath('mod_lovefactory_random', 'error'));
}
else
{
  global $Itemid;

  require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');
  $settings = new LovefactorySettings();

  $memberships =  $params->get('memberships');
  $memberships = is_array($memberships) ? implode(',', $memberships) : $memberships;

  if ('' != $memberships)
  {
    $query = ' SELECT p.user_id, p.main_photo, p.sex, u.username, u.email AS _email'
           . ' FROM #__lovefactory_profiles p'
           . ' LEFT JOIN #__lovefactory_memberships_sold m ON m.id = p.membership_sold_id'
           . ' LEFT JOIN #__users u ON u.id = p.user_id'
           . ' WHERE m.membership_id IN (' . $memberships . ')'
           . ' AND p.validated = 1'
           . ' AND p.online = 0'
           . ' AND u.block = 0'
           . ' ORDER BY RAND()'
           . ' LIMIT 0,1';
    $database->setQuery($query);
    $result = $database->loadObject();

    if ($result)
    {
      // Get photo source
      JTable::addIncludePath(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_lovefactory'.DS.'tables');
      $profile = JTable::getInstance('profile', 'Table');
      $profile->bind($result);
      $profile->_email = $result->_email;

      // Get main photo field
      $field = JTable::getInstance('field', 'Table');
      $field->getMainPhoto();

      switch ($field->visibility)
      {
        case 0: // Hidden
          $src = JURI::root() . 'components/com_lovefactory/assets/images/love.png';
        break;

        case 1: // Visible for all
          $src = $profile->getMainPhotoSource(true);
        break;

        case 2: // Visible only for friends
          $user =& JFactory::getUser();
          if ($user->id == $profile->user_id)
          {
            $is_friend = 1;
          }
          else
          {
            $query = ' SELECT f.id'
                   . ' FROM #__lovefactory_friends f'
                   . ' WHERE ((f.sender_id = ' . $profile->user_id . ' AND f.receiver_id = ' . $user->id . ')'
                   . ' OR (f.sender_id = ' . $user->id . ' AND f.receiver_id = ' . $profile->user_id . '))'
                   . ' AND f.pending = 0';
            $database->setQuery($query);
            $is_friend = $database->loadResult();
          }

          if ($is_friend)
          {
            $src = $profile->getMainPhotoSource(true);
          }
          else
          {
            $src = JURI::root() . 'components/com_lovefactory/assets/images/love.png';
          }
        break;
      }
    }
  }
  else
  {
    $result = null;
  }

  JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('modules.css', 'components/com_lovefactory/assets/css/');

  require(JModuleHelper::getLayoutPath('mod_lovefactory_random'));
}