<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_lovefactory"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require(JModuleHelper::getLayoutPath('mod_lovefactory_users_statistics', 'error'));
}
else
{
  $query = ' SELECT COUNT(1) AS count, p.sex'
         . ' FROM #__lovefactory_profiles p'
         . ' WHERE p.validated = 1'
         . ' AND p.sex <> ""'
         . ' GROUP BY p.sex'
         . ' ORDER BY count DESC';
  $database->setQuery($query);
  $total = $database->loadObjectList('sex');

  $gtotal = 0;
  foreach ($total as $values)
  {
    $gtotal += $values->count;
  }

  JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('modules.css', 'components/com_lovefactory/assets/css/');

  require(JModuleHelper::getLayoutPath('mod_lovefactory_users_statistics'));
}