<?php

defined('_JEXEC') or die('Restricted access');

class LovefactorySettings
{
  var $enable_groups                            = 1;
  var $groups_allow_users_create                = 1;
  var $groups_post_allowed_html                 = 'a,b,i,u';
  var $groups_photo_max_width                   = 120;
  var $groups_photo_max_height                  = 200;
  var $enable_token_auth                        = 0;
  var $update_fields_location                   = 1;

  var $photo_max_width                          = 600;
  var $photo_max_height                         = 800;
  var $thumbnail_max_height                     = 100;
  var $thumbnail_max_width                      = 100;
  var $enable_comments                          = 1;
  var $enable_messages                          = 1;
  var $enable_rating                            = 1;
  var $currency                                 = "EUR";
  var $enable_wallpage                          = 1;
  var $wallpage_entries                         = 5;
  var $enable_infobar                           = 1;
  var $infobar_location                         = 1;
  var $infobar_refresh_interval                 = 30;
  var $jump_to_results                          = 1;
  var $sort_by_membership                       = 1;
  var $results_columns                          = 1;
  var $display_hidden                           = 0;
  var $gender_pricing                           = 0;
  var $gender_change                            = 1;
  var $profile_status_change                    = 1;
  var $enable_shoutbox                          = 1;
  var $shoutbox_refresh_interval                = 5;
  var $shoutbox_messages                        = 20;
  var $cron_job_shoutbox_messages               = 10;
  var $shoutbox_log                             = 0;
  var $enable_gmaps                             = 0;
  var $invalid_membership_action                = 0;
  var $my_gallery_action_links                  = 1;
  var $enable_gravatar_integration              = 0;
  var $enable_chatfactory_integration           = 0;
  var $chatfactory_integration_users_list       = 1;
  var $gmaps_api_key                            = "";
  var $gmaps_default_x                          = "0";
  var $gmaps_default_y                          = "0";
  var $gmaps_default_z                          = 0;
  var $search_radius_group_users                = 1;
  var $search_radius_group_zoom                 = 10;
  var $limit_search_results                     = 0;
  var $distances_unit                           = 0;
  var $max_search_radius                        = 1000;
  var $enable_top_friends                       = 1;
  var $fields_location                          = 0;
  var $enable_relationships                     = 1;
  var $enable_search_radius                     = 1;
  var $enable_search_radius_sex_filter          = 1;
  var $allow_guest_search_radius                = 0;
  var $html_notifications                       = 0;
  var $user_delete_comments                     = 1;
  var $user_delete_photo_comments               = 1;
  var $user_delete_video_comments               = 1;
  var $user_delete_profile_visits               = 1;
  var $user_delete_ratings                      = 1;
  var $user_delete_shoutbox                     = 1;
  var $user_delete_interactions                 = 1;
  var $user_delete_payments                     = 1;
  var $user_delete_actions                      = 1;
  var $user_delete_created_groups               = 1;
  var $user_delete_posts_in_groups              = 1;
  var $enable_members_map                       = 1;
  var $allow_guest_members_map                  = 1;
  var $members_map_group_users                  = 1;
  var $members_map_group_zoom                   = 10;
  var $enable_status                            = 1;
  var $status_max_length                        = 255;
  var $registration_mode                        = 1;
  var $hide_banned_profiles                     = 1;
  var $hide_ignored_profiles                    = 1;
  var $default_photo_extension                  = "";
  var $enable_user_email_notify                 = 1;
  var $enable_smarty                            = 0;
  var $number_search_results_per_page           = 10;
  var $allow_guests_view_profile                = 1;
  var $end_membership_notification              = 1;
  var $accept_terms                             = 1;
  var $terms_and_conditions                     = "PGgxPjxzdHJvbmc+VGVybXMgYW5kIGNvbmRpdGlvbnMgPC9zdHJvbmc+PC9oMT4NCjxwPjxzdHJvbmc+VGhlIExvdmUgRmFjdG9yeSBBZG1pbiBUZWFtPGJyIC8+PC9zdHJvbmc+PC9wPg==";
  var $cron_password                            = "cronjobpassword123";
  var $end_membership_notify_interval           = "10";
  var $enable_interactions                      = 1;
  var $enable_interaction_kiss                  = 1;
  var $enable_interaction_wink                  = 1;
  var $enable_interaction_hug                   = 1;
  var $wallpage_add_status                      = 1;
  var $wallpage_add_photo                       = 1;
  var $wallpage_add_rating                      = 1;
  var $wallpage_add_comment                     = 1;
  var $wallpage_add_photo_comment               = 1;
  var $enable_profile_friends                   = 1;
  var $profile_friends_number                   = 5;
  var $profile_friends_sort                     = 0;
  var $profile_friends_top                      = 1;
  var $results_default_sort_by                  = 1;
  var $results_default_sort_order               = 1;
  var $enable_recaptcha                         = 0;
  var $enable_infobar_interactions              = 1;
  var $infobar_interactions_itemid              = 0;
  var $enable_infobar_messages                  = 1;
  var $infobar_messages_itemid                  = 0;
  var $enable_infobar_requests                  = 1;
  var $infobar_requests_itemid                  = 0;
  var $enable_infobar_view_profile              = 1;
  var $infobar_view_profile_itemid              = 0;
  var $enable_infobar_update_profile            = 1;
  var $infobar_update_profile_itemid            = 0;
  var $enable_infobar_gallery                   = 1;
  var $infobar_gallery_itemid                   = 0;
  var $enable_infobar_friends                   = 1;
  var $enable_infobar_close                     = 1;
  var $infobar_friends_itemid                   = 0;
  var $videos_pagination_limit                  = 18;
  var $videos_list_pagination_limit             = 10;
  var $videos_comments_pagination_limit         = 10;
  var $videos_embed_allowed_html                = "object,embed,param,iframe";
  var $recaptcha_public_key                     = "";
  var $recaptcha_private_key                    = "";
  var $notification_warning_message             = "A report was filed against you. Please be more careful about your actions in the future, or disciplinary measures will be taken.

The Love Factory Admin Team";
  var $notification_end_membership_subject      = "Love Factory membership ending";
  var $notification_end_membership_message      = "Dear %%username%%,

Your membership is about to expire in less than %%days%% day(s). If you wish to keep all your photos and friends, please prolong your membership as soon as possible.

Regards,
Love Factory Team";
  var $notification_new_comment_enabled         = 1;
  var $notification_new_comment_subject         = "New comment added";
  var $notification_new_comment_message         = "Dear %%username%%,

A new comment was added to your profile.

Regards,
Love Factory Team";
  var $notification_new_photo_comment_enabled   = 1;
  var $notification_new_photo_comment_subject   = "New photo comment";
  var $notification_new_photo_comment_message   = "Dear %%username%%,

A new comment was added for this photo: %%link%%.

Regards,
Love Factory Team";
  var $notification_change_membership_enabled   = 1;
  var $notification_change_membership_subject   = "Membership change";
  var $notification_change_membership_message   = "Dear %%receiver%%,

%%member%% changed the membership to %%membership%% until %%until%%.

Regards,
Love Factory Team";
  var $notification_change_membership_receivers = array();
  var $notification_new_interaction_enabled     = 1;
  var $notification_new_interaction_subject     = "New interaction received";
  var $notification_new_interaction_message     = "Dear %%username%%,

Someone interacted with you!

Regards,
Love Factory Team";
  var $notification_new_message_enabled         = 1;
  var $notification_new_message_subject         = "New message received";
  var $notification_new_message_message         = "Dear %%username%%,

You have received a new message!

Regards,
Love Factory Team";
  var $notification_new_rating_enabled          = 1;
  var $notification_new_rating_subject          = "New rating received";
  var $notification_new_rating_message          = "Dear %%username%%,

Your profile has received a new rating!

Regards,
Love Factory Team";
  var $cron_job_wallpage_entries_interval       = 2;
  var $default_membership_access                = array();
}