<?php

defined('_JEXEC') or die('Restricted access');

class TableMembership extends JTable
{
	var $id                       = null;
	var $title                    = null;
	var $published                = null;
	var $ordering                 = null;
	var $default                  = null;
	var $icon_extension           = null;
	var $max_friends              = null;
	var $max_photos               = null;
	var $max_videos               = null;
	var $max_messages_per_day     = null;
	var $max_interactions_per_day = null;
	var $shoutbox                 = null;
	var $chatfactory              = null;
	var $top_friends              = null;
	var $groups_create            = null;
	var $groups_join              = null;

	function TableMembership(&$db)
	{
		parent::__construct('#__lovefactory_memberships', 'id', $db);
	}

	function delete()
	{
	  $this->deleteAssociatedPrices();

	  return parent::delete();
	}

	function deleteAssociatedPrices()
	{
	  $query = ' DELETE'
	         . ' FROM #__lovefactory_pricing'
	         . ' WHERE membership_id = ' . $this->id;
	  $this->_db->setQuery($query);
	  $this->_db->query();
	}

	function hasUsers()
	{
	  $query = ' SELECT COUNT(p.user_id)'
	         . ' FROM #__lovefactory_profiles p'
	         . ' WHERE p.membership = ' . $this->id
	         . ' LIMIT 0,1';
	  $this->_db->setQuery($query);

	  return $this->_db->loadResult();
	}

	function getShoutboxValues($list = false)
	{
	  $array = array(
	    0 => JText::_('No access'),
	    1 => JText::_('Only read'),
	    2 => JText::_('Full access'),
	  );

	  if ($list)
	  {
	    foreach ($array as $value => $text)
	    {
	      $array[$value] = array('value' => $value, 'text' => $text);
	    }
	  }

	  return $array;
	}
}
