<?php

defined('_JEXEC') or die('Restricted access');

class TablePage extends JTable
{
	var $id          = null;
	var $type_id     = null;
	var $title       = null;
	var $description = null;
	var $fields      = null;
	var $titles      = null;

	function TablePage(&$db)
	{
		parent::__construct('#__lovefactory_pages', 'id', $db);
	}

	function getZones($type_id)
	{
	  $query = ' SELECT `fields`'
	         . ' FROM #__lovefactory_pages'
	         . ' WHERE type_id = ' . $type_id;
	  $this->_db->setQuery($query);

	  return $this->_db->loadResult();
	}

	function loadPageTypeId($type_id)
	{
	  $query = ' SELECT id'
	         . ' FROM #__lovefactory_pages'
	         . ' WHERE type_id = ' . $type_id;
	  $this->_db->setQuery($query);

	  return $this->load($this->_db->loadResult());
	}

	function check()
	{
	  // No fields selected
	  if ('' == $this->fields)
    {
      $this->setError(JText::_('Improper page setup! You must select at least one field!'));
      return false;
    }

    // Registration page: check for required fields
    if (1 == $this->id)
    {
      $db =& JFactory::getDBO();

      // Get current fields
      $array  = array();
      $fields = explode('#', $this->fields);

      foreach ($fields as $field)
      {
        $field   = explode('_', $field);
        $array[] = $field[2];
      }

      // Get required fields
      $query = ' SELECT f.id'
             . ' FROM #__lovefactory_fields f'
             . ' WHERE f.type_id IN (12, 18, 19, 20)';
      $db->setQuery($query);
      $fields = array_keys($db->loadObjectList('id'));

      $diff = array_diff($fields, $array);

      if (!empty($diff))
      {
        $this->setError(JText::_('WARNING_REGISTRATION_PAGE'));
        return false;
      }
    }

    return true;
	}
}
