<?php

defined('_JEXEC') or die('Restricted access');

class TableShoutbox extends JTable
{
	var $id         = null;
	var $sender_id  = null;
	var $message    = null;
	var $created_at = null;

	function __construct(&$db)
	{
		parent::__construct('#__lovefactory_shoutbox', 'id', $db);
	}

	function store($updateNulls = false)
	{
	  require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'settings.php');

	  $settings =  new LovefactorySettings();
	  $date     =& JFactory::getDate();

	  $this->created_at = $date->toMySql();

	  if ($settings->shoutbox_log)
	  {
	    $user =& JFactory::getUser();
	    $log  =  JPATH_COMPONENT_ADMINISTRATOR.DS.'shoutbox_log.txt';

	    file_put_contents($log, '[' . $this->created_at . ']' .$user->username . ': ' . $this->message . "\n", FILE_APPEND);
	  }

	  return parent::store($updateNulls);
	}
}
