<?php

defined('_JEXEC') or die('Restricted access');

class TableVideoComment extends JTable
{
	var $id         = null;
	var $user_id    = null;
	var $video_id   = null;
	var $text       = null;
	var $reported   = null;
	var $created_at = null;

	function __construct(&$db)
	{
		parent::__construct('#__lovefactory_video_comments', 'id', $db);
	}

	function store($updateNulls = false)
	{
	  $user =& JFactory::getUser();
	  $this->user_id = $user->id;

	  if (is_null($this->id))
	  {
	    $date =& JFactory::getDate();
	    $this->created_at = $date->toMySql();
	  }

	  return parent::store($updateNulls);
	}

	function report()
	{
	  $this->reported = 1;

	  // Create new report
    $report =& JTable::getInstance('report', 'Table');
    $report->createNew('videocomment', $this);

	  return $this->store();
	}
}
