<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class BackendViewDashboard extends JView
{
  function display($tpl = null)
  {
    require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'settings.php');
    JToolBarHelper::title(JText::_('Dashboard'), 'generic.png');

    $settings     = new LovefactorySettings();
    $users        = $this->get('Users');
    $latest       = $this->get('Latest');
    $payments     = $this->get('Payments');
    $reports      = $this->get('Reports');
    $report_types = array(1 => 'Message', 2 => 'Comment', 3 => 'Gallery', 4 => 'Photo Comment');
    $memberships  = $this->get('Memberships');

    $this->assignRef('users',        $users);
    $this->assignRef('latest',       $latest);
    $this->assignRef('payments',     $payments);
    $this->assignRef('reports',      $reports);
    $this->assignRef('report_types', $report_types);
    $this->assignRef('settings',     $settings);
    $this->assignRef('memberships',  $memberships);

    parent::display($tpl);
  }
}