<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.html.pane');

class BackendViewField extends JView
{
  function display($tpl = null)
  {
    $field =& $this->get('Data');
    $isNew = ($field->id < 1);

    $text = $isNew ? JText::_('New') : JText::_('Edit');
    JToolBarHelper::title(JText::_('Field').': <small><small>[ ' . $text.' ]</small></small>');
    JToolBarHelper::save();
    JToolBarHelper::apply();

    if ($isNew)
    {
      JToolBarHelper::cancel();
    }
    else
    {
      JToolBarHelper::cancel('cancel', JText::_('Close'));
    }

    $document =& JFactory::getDocument();
    $fields   =& JModel::getInstance('fields', 'BackendModel');
    $types    =& $fields->getTypes();
    $pane     =& JPane::getInstance('tabs');

    $this->assignRef('field',  $field);
    $this->assignRef('types',  $types);
		$this->assignRef('pane',   $pane);

		$document->addScriptDeclaration('route_get_parameters = "index.php?option=com_lovefactory&task=getparameters";');

		JHtmlFactory::jQueryScript();
    JHTML::script('field.js', 'components/com_lovefactory/assets/js/views/backend/');

    JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('backend.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');

    JHTML::_('behavior.tooltip');

    parent::display($tpl);
  }
}