<?php defined('_JEXEC') or die('Restricted access'); ?>

<style>
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/love.png); }
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm">

  <table class="admintable" width="100%">
		<tr valign="top">
			<td width="">
				<fieldset>
					<legend><?php echo JText::_('Membership properties'); ?></legend>

					<table width="">
						<?php if ($this->membership->id): ?>
						  <tr>
							  <td class="key" width="20%" align="right"><?php echo JText::_('ID'); ?>:</td>
							  <td width="80%" colspan="2"><strong><?php echo $this->membership->id; ?></strong></td>
						  </tr>
						<?php endif; ?>

						<tr>
							<td class="key" align="right"><label for="title"><?php echo JText::_('Title'); ?>:</label></td>
							<td colspan="2">
							  <input name="title" id="title" value="<?php echo $this->membership->title;?>" />
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="published"><?php echo JText::_('Published'); ?>:</label></td>
							<td colspan="2">
							  <select name="published" id="published">
							    <option value="0" <?php echo (!$this->membership->published) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
							    <option value="1" <?php echo ($this->membership->published) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							  </select>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="max_photos"><?php echo JText::_('Max Photos'); ?>:</label></td>
							<td colspan="2">
							  <input type="text" name="max_photos" id="max_photos" value="<?php echo $this->membership->max_photos; ?>" />
							  <input type="checkbox" id="max_photos_unlimited" <?php echo ($this->membership->max_photos == -1) ? 'checked' : ''; ?> />
							  <label for="max_photos_unlimited"><?php echo JText::_('Unlimited'); ?></label>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="max_videos"><?php echo JText::_('Max Videos'); ?>:</label></td>
							<td colspan="2">
							  <input type="text" name="max_videos" id="max_videos" value="<?php echo $this->membership->max_videos; ?>" />
							  <input type="checkbox" id="max_videos_unlimited" <?php echo ($this->membership->max_videos == -1) ? 'checked' : ''; ?> />
							  <label for="max_videos_unlimited"><?php echo JText::_('Unlimited'); ?></label>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="max_friends"><?php echo JText::_('Max Friends'); ?>:</label></td>
							<td colspan="2">
							  <input type="text" name="max_friends" id="max_friends" value="<?php echo $this->membership->max_friends; ?>" />
							  <input type="checkbox" id="max_friends_unlimited" <?php echo ($this->membership->max_friends == -1) ? 'checked' : ''; ?> />
							  <label for="max_friends_unlimited"><?php echo JText::_('Unlimited'); ?></label>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="max_messages_per_day"><?php echo JText::_('Max Messages per day'); ?>:</label></td>
							<td colspan="2">
							  <input type="text" name="max_messages_per_day" id="max_messages_per_day" value="<?php echo $this->membership->max_messages_per_day; ?>" />
							  <input type="checkbox" id="max_messages_per_day_unlimited" <?php echo ($this->membership->max_messages_per_day == -1) ? 'checked' : ''; ?> />
							  <label for="max_messages_per_day_unlimited"><?php echo JText::_('Unlimited'); ?></label>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="max_interactions_per_day"><?php echo JText::_('Max interactions per day'); ?>:</label></td>
							<td colspan="2">
							  <input type="text" name="max_interactions_per_day" id="max_interactions_per_day" value="<?php echo $this->membership->max_interactions_per_day; ?>" />
							  <input type="checkbox" id="max_interactions_per_day_unlimited" <?php echo ($this->membership->max_interactions_per_day == -1) ? 'checked' : ''; ?> />
							  <label for="max_interactions_per_day_unlimited"><?php echo JText::_('Unlimited'); ?></label>
							</td>
						</tr>

						<?php if ($this->settings->enable_shoutbox): ?>
						  <tr>
							  <td class="key" align="right"><label for="shoutbox"><?php echo JText::_('Shoutbox access'); ?>:</label></td>
							  <td>
							    <?php echo JHTML::_('select.genericlist', $this->membership->getShoutboxValues(true), 'shoutbox', '', 'value', 'text', $this->membership->shoutbox); ?>
							  </td>
							  <td>
							    <input type="checkbox" name="apply_to_sold[shoutbox]" id="apply_to_soldshoutbox" value="1" />
							    <label for="apply_to_soldshoutbox"><?php echo JText::_('Apply to all sold memberships?'); ?></label>
							  </td>
						  </tr>
						<?php endif; ?>

					  <?php if ($this->settings->enable_chatfactory_integration): ?>
						  <tr>
							  <td class="key" align="right"><label for="chatfactory"><?php echo JText::_('Chat Factory access'); ?>:</label></td>
							  <td>
							    <select name="chatfactory" id="chatfactory">
							      <option value="0" <?php echo (!$this->membership->chatfactory) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
							      <option value="1" <?php echo ($this->membership->chatfactory) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							    </select>
							  </td>
							  <td>
							    <input type="checkbox" name="apply_to_sold[chatfactory]" id="apply_to_soldchatfactory" value="1" />
							    <label for="apply_to_soldchatfactory"><?php echo JText::_('Apply to all sold memberships?'); ?></label>
							  </td>
						  </tr>
						<?php else: ?>
						  <input type="hidden" name="chatfactory" value="0" />
						<?php endif; ?>

						<?php if ($this->settings->enable_top_friends): ?>
						  <tr>
							  <td class="key" align="right"><label for="top_friends"><?php echo JText::_('Top Friends'); ?>:</label></td>
							  <td>
							    <input type="text" name="top_friends" id="top_friends" value="<?php echo $this->membership->top_friends; ?>" />
							    <input type="checkbox" id="top_friends_unlimited" <?php echo ($this->membership->top_friends == -1) ? 'checked' : ''; ?> />
							    <label for="top_friends_unlimited"><?php echo JText::_('Unlimited'); ?></label>
							  </td>
							  <td>
							    <input type="checkbox" name="apply_to_sold[top_friends]" id="apply_to_soldtop_friends" value="1" />
							    <label for="apply_to_soldtop_friends"><?php echo JText::_('Apply to all sold memberships?'); ?></label>
							  </td>
						  </tr>
						<?php endif; ?>

						<?php if ($this->settings->enable_groups): ?>
						  <?php if ($this->settings->groups_allow_users_create): ?>
						    <tr>
							    <td class="key" align="right"><label for="groups_create"><?php echo JText::_('Groups allowed to create'); ?>:</label></td>
							    <td>
							      <input type="text" name="groups_create" id="groups_create" value="<?php echo $this->membership->groups_create; ?>" />
							      <input type="checkbox" id="groups_create_unlimited" <?php echo ($this->membership->groups_create == -1) ? 'checked' : ''; ?> />
							      <label for="groups_create_unlimited"><?php echo JText::_('Unlimited'); ?></label>
							    </td>
							    <td>
							      <input type="checkbox" name="apply_to_sold[groups_create]" id="apply_to_soldgroups_create" value="1" />
							      <label for="apply_to_soldgroups_create"><?php echo JText::_('Apply to all sold memberships?'); ?></label>
							    </td>
						     </tr>
						  <?php endif; ?>

						  <tr>
							  <td class="key" align="right"><label for="groups_join"><?php echo JText::_('Groups allowed to join'); ?>:</label></td>
							  <td>
							    <input type="text" name="groups_join" id="groups_join" value="<?php echo $this->membership->groups_join; ?>" />
							    <input type="checkbox" id="groups_join_unlimited" <?php echo ($this->membership->groups_join == -1) ? 'checked' : ''; ?> />
							    <label for="groups_join_unlimited"><?php echo JText::_('Unlimited'); ?></label>
							  </td>
							  <td>
							    <input type="checkbox" name="apply_to_sold[groups_join]" id="apply_to_soldgroups_join" value="1" />
							    <label for="apply_to_soldgroups_join"><?php echo JText::_('Apply to all sold memberships?'); ?></label>
							  </td>
						  </tr>
						<?php endif; ?>

					</table>
				</fieldset>
			</td>
		</tr>
	</table>
  <input type="hidden" name="controller" value="membership" />
  <input type="hidden" name="id" value="<?php echo $this->membership->id; ?>" />
  <input type="hidden" name="option" value="com_lovefactory" />
  <input type="hidden" name="task" value="save" />
</form>