<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class BackendViewMembership extends JView
{
  function display($tpl = null)
  {
    $membership =& $this->get('Data');
    $isNew      =  ($membership->id < 1);

    $text = $isNew ? JText::_('New') : JText::_('Edit');
    JToolBarHelper::title(JText::_('Membership').': <small><small>[ ' . $text.' ]</small></small>');
    JToolBarHelper::save();
    JToolBarHelper::apply();

    if ($isNew)
    {
      JToolBarHelper::cancel();
    }
    else
    {
      JToolBarHelper::cancel('cancel', 'Close');
    }

    JHTML::_('behavior.tooltip');

    JHTML::_('stylesheet', 'main.css',             'components/com_lovefactory/assets/css/');
    JHTML::_('stylesheet', 'ui.all.css',           'components/com_lovefactory/assets/css/');

    JHtmlFactory::jQueryScript();
    JHTML::_('script', 'membership.js', 'components/com_lovefactory/assets/js/views/backend/');

    $settings = new LovefactorySettings();
    $model =& JModel::getInstance('settings', 'BackendModel');
    $chatfactory = $model->getChatFactory();

    $this->assignRef('membership',  $membership);
    $this->assignRef('settings',    $settings);
    $this->assignRef('chatfactory', $chatfactory);

    parent::display($tpl);
  }
}