<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.html.pane');

class BackendViewPages extends JView
{
  function display($tpl = null)
  {
    JToolBarHelper::title(JText::_('Pages'), 'generic.png');
    JToolBarHelper::editListX();

    $pages      =& $this->get('Data');
    $pagination =& $this->get('Pagination');
    $info       =& $this->get('Info');
    $lists		  =& $this->_getViewLists();
    $pane       =& JPane::getInstance('tabs', array('startOffset' => 1));

    $this->assignRef('pages',      $pages);
    $this->assignRef('pagination', $pagination);
    $this->assignRef('info',       $info);
    $this->assignRef('lists',      $lists);
    $this->assignRef('pane',       $pane);

    parent::display($tpl);
  }

	function &_getViewLists()
	{
		global $mainframe, $option;

		$filter_order     = $mainframe->getUserStateFromRequest($option . 'filter_order',     'filter_order',     'title', 'cmd');
    $filter_order_Dir = $mainframe->getUserStateFromRequest($option . 'filter_order_Dir', 'filter_order_Dir', 'asc',   'word');
    $filter_state		  = $mainframe->getUserStateFromRequest($option . 'filter_state',		  'filter_state',		  '',			 'word' );
    $search				    = $mainframe->getUserStateFromRequest($option . 'search',			      'search',			      '',			 'string');
		$search				    = JString::strtolower($search);

		// table ordering
		$lists['order_Dir']	= $filter_order_Dir;
		$lists['order']		  = $filter_order;

		// search
		$lists['search'] = $search;

		// state
		$lists['state'] = $filter_state;

		return $lists;
	}
}
