<?php defined('_JEXEC') or die('Restricted access'); ?>

<style>
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/love.png); }
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm">

  <table class="admintable" width="500px">
		<tr valign="top">
			<td width="">
				<fieldset>
					<legend><?php echo JText::_('Price properties'); ?></legend>

					<table width="100%">
						<?php if ($this->price->id): ?>
						  <tr>
							  <td class="key" width="30%" align="right"><?php echo JText::_('ID'); ?>:</td>
							  <td width="70%"><strong><?php echo $this->price->id; ?></strong></td>
						  </tr>
						<?php endif; ?>

						<tr>
							<td class="key" align="right"><label for="membership_id"><?php echo JText::_('Membership'); ?>:</label></td>
							<td><?php echo $this->membership_select; ?></td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="published"><?php echo JText::_('Published'); ?>:</label></td>
							<td>
							  <select name="published" id="published">
							    <option value="0" <?php echo (!$this->price->published) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
							    <option value="1" <?php echo ($this->price->published) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							  </select>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="is_trial"><?php echo JText::_('Trial Membership'); ?>:</label></td>
							<td>
							  <select name="is_trial" id="is_trial">
							    <option value="0" <?php echo (!$this->price->is_trial) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
							    <option value="1" <?php echo ($this->price->is_trial) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							  </select>
							</td>
						</tr>

						<tr id="row-months">
							<td class="key" align="right"><label for="months"><?php echo JText::_('Months'); ?>:</label></td>
							<td>
							  <input type="text" name="months" id="months" value="<?php echo $this->price->months; ?>" />
							  <span class="editlinktip">
							    <img src="<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/information.png" class="hasTip lovefactory_icon2" title="<?php echo JText::_('Months'); ?>::<?php echo JText::_('Enter the time interval in months.<br /><br />Set 0 for unlimited.'); ?>" />
							  </span>
							</td>
						</tr>

						<tr id="row-hours">
							<td class="key" align="right"><label for="months"><?php echo JText::_('Hours'); ?>:</label></td>
							<td>
							  <input type="text" name="months" id="months" value="<?php echo $this->price->months; ?>" />
							  <span class="editlinktip">
							    <img src="<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/information.png" class="hasTip lovefactory_icon2" title="<?php echo JText::_('Hours'); ?>::<?php echo JText::_('Enter the time interval in hours.'); ?>" />
							  </span>
							</td>
						</tr>

						<tr class="row-trial">
							<td class="key" align="right"><label for="available_interval"><?php echo JText::_('Available always'); ?>:</label></td>
							<td>
							  <select name="available_interval" id="available_interval">
							    <option value="1" <?php echo $this->price->available_interval ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
							    <option value="0" <?php echo !$this->price->available_interval ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							  </select>
							</td>
						</tr>

						<tr class="row-trial row-available-interval">
							<td class="key" align="right"><label for="available_from"><?php echo JText::_('Available from'); ?>:</label></td>
							<td><?php echo JHTML::_('calendar', $this->price->available_from, 'available_from', 'available_from', $format = '%Y-%m-%d %H:%M:%S', array('class'=>'inputbox', 'size'=>'25', 'maxlength'=>'19')); ?></td>
						</tr>

						<tr class="row-trial row-available-interval">
							<td class="key" align="right"><label for="available_until"><?php echo JText::_('Available until'); ?>:</label></td>
							<td><?php echo JHTML::_('calendar', $this->price->available_until, 'available_until', 'available_until', $format = '%Y-%m-%d %H:%M:%S', array('class'=>'inputbox', 'size'=>'25', 'maxlength'=>'19')); ?></td>
						</tr>

						<tr class="row-trial">
							<td class="key" align="right"><label for="new_trial"><?php echo JText::_('Trial available for users who have already used a trial before'); ?>:</label></td>
							<td>
							  <select name="new_trial" id="new_trial">
							    <option value="0" <?php echo !$this->price->new_trial ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
							    <option value="1" <?php echo $this->price->new_trial ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							  </select>
							</td>
						</tr>

						<?php if (!$this->settings->gender_pricing): ?>
						  <tr class="row-price">
							  <td class="key" align="right"><label for="price"><?php echo JText::_('Price'); ?>:</label></td>
							  <td><input type="text" name="price" id="price" value="<?php echo $this->price->price; ?>" />&nbsp;<?php echo $this->settings->currency; ?></td>
						  </tr>
						<?php else: ?>
						  <?php foreach ($this->genders as $i => $gender): ?>
						    <tr class="hasTip row-price" title="<?php echo JText::sprintf('Price for %s', $gender); ?>::<?php echo JText::_('Set to 0 for FREE Membership'); ?>">
						      <td class="key" align="right"><label for="price_<?php echo $i; ?>"><?php echo JText::sprintf('Price for %s', $gender); ?>:</label></td>
							    <td>
							      <span>
							        <input type="text" name="price_<?php echo $i; ?>" id="price_<?php echo $i; ?>" value="<?php echo isset($this->price->_gender_prices[$gender]) ? $this->price->_gender_prices[$gender] : '0.00'; ?>" />&nbsp;<?php echo $this->settings->currency; ?>
							      </span>
							      <input type="checkbox" id="price_unavailable_<?php echo $i; ?>" class="price_unavailable" <?php echo @$this->price->_gender_prices[$gender] == -1 ? 'checked="checked"' : ''; ?>><label for="price_unavailable_<?php echo $i; ?>"><?php echo JText::_('unavailable'); ?></label>
							    </td>
						    </tr>
						  <?php endforeach; ?>
						<?php endif; ?>

					</table>
				</fieldset>
			</td>
		</tr>
	</table>
  <input type="hidden" name="controller" value="price" />
  <input type="hidden" name="id" value="<?php echo $this->price->id; ?>" />
  <input type="hidden" name="option" value="com_lovefactory" />
  <input type="hidden" name="task" value="" />
</form>