<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.html.pane');

class BackendViewPrice extends JView
{
  function display($tpl = null)
  {
    $price       =& $this->get('Data');
    $memberships =& $this->get('Memberships');
    $isNew       =  ($price->id < 1);
    $genders     =& $this->get('Genders');

    $text = $isNew ? JText::_('New') : JText::_('Edit');
    JToolBarHelper::title(JText::_('Price').': <small><small>[ ' . $text.' ]</small></small>');
    JToolBarHelper::save();
    JToolBarHelper::apply();

    if ($isNew)
    {
      JToolBarHelper::cancel();
    }
    else
    {
      JToolBarHelper::cancel('cancel', 'Close');
    }

    JHTML::_('behavior.tooltip');

    require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'settings.php');
    $settings = new LovefactorySettings();

    $membership_select = JHTML::_('select.genericlist', $memberships, 'membership_id', 'class="inputbox" size="1"', 'id', 'title', $price->membership_id);

    $this->assignRef('price',             $price);
    $this->assignRef('settings',          $settings);
    $this->assignRef('membership_select', $membership_select);
    $this->assignRef('genders',           $genders);

    JHtmlFactory::jQueryScript();
    JHTML::script('price.js', 'components/com_lovefactory/assets/js/views/backend/');

    parent::display($tpl);
  }
}