<?php defined('_JEXEC') or die('Restricted access'); ?>

<script>
  if (<?php echo $this->settings->enable_gmaps; ?>)
  {
    var map_loaded = false;
    var load_map   = <?php echo 4 == $this->selected_tab ? 'true' : 'false'; ?>;
    var marker     = null;
    var map        = null;

    function initGMaps()
    {
      map   = new GMap2(document.getElementById("google-map"));
      var start = new GLatLng(<?php echo $this->settings->gmaps_default_x; ?>, <?php echo $this->settings->gmaps_default_y; ?>);

      var zoom = <?php echo $this->settings->gmaps_default_z; ?>;

      map.setCenter(start, zoom);
      map.setUIToDefault();

      var newIcon = new GIcon(G_DEFAULT_ICON);

      newIcon.image      = "<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/pin.png";
      newIcon.iconSize   = new GSize(32, 32);
      newIcon.shadow     = "<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/pin_shadow.png";
      newIcon.shadowSize = new GSize(40, 32);
      newIcon.iconAnchor = new GPoint(5, 30);

      marker = new GMarker(start, { draggable: true, icon: newIcon });
      map.addOverlay(marker);

      map_loaded = true;
    }

    function submitbutton(pressbutton)
    {
      if (null != marker)
      {
        $$("#gmaps_default_x").setProperty("value", marker.getLatLng().y);
        $$("#gmaps_default_y").setProperty("value", marker.getLatLng().x);
        $$("#gmaps_default_z").setProperty("value", map.getZoom());
      }

      submitform(pressbutton);
    }
  }
</script>

<table class="paramlist admintable">
  <!-- Enable Google Maps -->
  <tr class="hasTip" title="<?php echo JText::_('Enable Google Maps'); ?>::<?php echo JText::_('Enable Google Maps'); ?>">
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label for="enable_gmaps"><?php echo JText::_('Enable Google Maps'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <select id="enable_gmaps" name="enable_gmaps">
        <option value="0" <?php echo !$this->settings->enable_gmaps ? 'selected' : ''; ?>><?php echo JText::_('No'); ?></option>
        <option value="1" <?php echo  $this->settings->enable_gmaps ? 'selected' : ''; ?>><?php echo JText::_('Yes'); ?></option>
      </select>
    </td>
  </tr>

  <!-- Google Maps Api Key -->
  <tr class="gmaps_related hasTip" title="<?php echo JText::_('Google Maps Api Key'); ?>::<?php echo JText::_('Google Maps Api Key'); ?>">
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label for="gmaps_api_key"><?php echo JText::_('Google Maps Api Key'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <a href="http://code.google.com/apis/maps/signup.html"><?php echo JText::_('Get Google Maps Api Key'); ?></a>
      <br />
      <input type="text" name="gmaps_api_key" id="gmaps_api_key" value="<?php echo $this->settings->gmaps_api_key; ?>" style="width: 250px;" />
    </td>
  </tr>

  <!-- Distance_type -->
  <tr class="gmaps_related hasTip" title="<?php echo JText::_('Distances unit'); ?>::<?php echo JText::_('Distances unit'); ?>">
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label for="distances_unit"><?php echo JText::_('Distances unit'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <select id="distances_unit" name="distances_unit">
        <option value="0" <?php echo 0 == $this->settings->distances_unit ? 'selected' : ''; ?>><?php echo JText::_('Kilometers'); ?></option>
        <option value="1" <?php echo 1 == $this->settings->distances_unit ? 'selected' : ''; ?>><?php echo JText::_('Miles'); ?></option>
      </select>
    </td>
  </tr>

  <!-- Enable Field location -->
  <tr class="gmaps_related hasTip" title="<?php echo JText::_('Use location fields to determine user location'); ?>::<?php echo JText::_('Use location fields to determine user location'); ?>">
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label for="fields_location"><?php echo JText::_('Use location fields to determine user location'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <select id="fields_location" name="fields_location">
        <option value="0" <?php echo !$this->settings->fields_location ? 'selected' : ''; ?>><?php echo JText::_('No'); ?></option>
        <option value="1" <?php echo  $this->settings->fields_location ? 'selected' : ''; ?>><?php echo JText::_('Yes'); ?></option>
      </select>
    </td>
  </tr>

  <!-- Update Field location -->
  <tr class="gmaps_related hasTip" title="<?php echo JText::_('Update fields location when saving profile'); ?>::<?php echo JText::_('Update fields location when saving profile'); ?>">
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label for="update_fields_location"><?php echo JText::_('Update fields location when saving profile'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <select id="update_fields_location" name="update_fields_location">
        <option value="0" <?php echo !$this->settings->update_fields_location ? 'selected' : ''; ?>><?php echo JText::_('Always'); ?></option>
        <option value="1" <?php echo  $this->settings->update_fields_location ? 'selected' : ''; ?>><?php echo JText::_('Only when it has changed'); ?></option>
      </select>
    </td>
  </tr>

  <!-- Google Maps starting location -->
  <tr class="gmaps_related">
    <td width="40%" class="paramlist_key hasTip" title="<?php echo JText::_('Google Maps default starting location and zoom'); ?>::<?php echo JText::_('Set the Google Maps default starting location and zoom'); ?>">
      <span class="editlinktip">
        <label><?php echo JText::_('Google Maps default starting location and zoom'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <?php if ($this->settings->enable_gmaps && !empty($this->settings->gmaps_api_key)): ?>
        <div id="google-map" style="width: 400px; height: 350px;"></div>
        <input type="hidden" id="gmaps_default_x" name="gmaps_default_x" value="<?php echo $this->settings->gmaps_default_x; ?>" />
        <input type="hidden" id="gmaps_default_y" name="gmaps_default_y" value="<?php echo $this->settings->gmaps_default_y; ?>" />
        <input type="hidden" id="gmaps_default_z" name="gmaps_default_z" value="<?php echo $this->settings->gmaps_default_z; ?>" />
      <?php else: ?>
        <?php echo JText::_('Enable Google Maps and enter the API Key first to set the starting location.'); ?>
      <?php endif; ?>
    </td>
  </tr>

</table>