<?php defined('_JEXEC') or die('Restricted access'); ?>

<table class="paramlist admintable">
  <!-- notification_change_membership_enabled -->
  <tr class="hasTip" title="<?php echo JText::_('Enable notification'); ?>::<?php echo JText::_('Enable notification'); ?>">
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label for="notification_change_membership_enabled"><?php echo JText::_('Enable notification'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <select id="notification_change_membership_enabled" name="notification_change_membership_enabled">
        <option value="0" <?php echo (!$this->settings->notification_change_membership_enabled) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
        <option value="1" <?php echo ($this->settings->notification_change_membership_enabled) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
      </select>
    </td>
  </tr>

  <!-- notification_change_membership_subject -->
  <tr>
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label class="hasTip" for="notification_change_membership_subject" title="<?php echo JText::_('Subject'); ?>::<?php echo JText::_('Email subject'); ?>"><?php echo JText::_('Subject'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <input style="width: 200px; " value="<?php echo htmlspecialchars(stripslashes($this->settings->notification_change_membership_subject)); ?>" id="notification_change_membership_subject" name="notification_change_membership_subject" />
    </td>
    <td rowspan="2">
      <fieldset>
        <legend><?php echo JText::_('Legend'); ?></legend>
        <table>
          <tr>
            <td>%%receiver%%</td>
            <td>-</td>
            <td><?php echo JText::_("Receiver's Joomla username"); ?></td>
          </tr>

          <tr>
            <td>%%member%%</td>
            <td>-</td>
            <td><?php echo JText::_("Member's Joomla username"); ?></td>
          </tr>

          <tr>
            <td>%%membership%%</td>
            <td>-</td>
            <td><?php echo JText::_('Membership title'); ?></td>
          </tr>

          <tr>
            <td>%%until%%</td>
            <td>-</td>
            <td><?php echo JText::_('Membership ending date'); ?></td>
          </tr>
        </table>
      </fieldset>
    </td>
  </tr>

  <!-- notification_change_membership_message -->
  <tr>
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label class="hasTip" for="notification_change_membership_message" title="<?php echo JText::_('Message'); ?>::<?php echo JText::_('Email message'); ?>"><?php echo JText::_('Message'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <textarea id="notification_change_membership_message" name="notification_change_membership_message" rows="10" cols="60"><?php echo htmlspecialchars(stripslashes($this->settings->notification_change_membership_message)); ?></textarea>
    </td>
  </tr>

  <!-- notification_change_membership_receivers -->
  <tr>
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label class="hasTip" for="notification_change_membership_receivers" title="<?php echo JText::_('Receivers'); ?>::<?php echo JText::_('Receivers'); ?>"><?php echo JText::_('Receivers'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <select id="notification_change_membership_receivers" name="notification_change_membership_receivers[]" multiple>
        <?php foreach ($this->admins as $admin): ?>
          <option value="<?php echo $admin->id; ?>" <?php echo in_array($admin->id, $this->settings->notification_change_membership_receivers) ? 'selected' : ''; ?>><?php echo $admin->username; ?></option>
        <?php endforeach; ?>
      </select>
    </td>
  </tr>
</table>