<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.html.pane');

class BackendViewSettings extends JView
{
  function display($tpl = null)
  {
    //$editor       =& JFactory::getEditor();
    $settings     =& new LovefactorySettings();
    $admins       =& $this->get('Admins');
    $selected_tab =& JRequest::getVar('tab', 0, 'GET', 'integer');
    $access       =& $this->get('Access');
    $pane         =& JPane::getInstance('tabs', array('startOffset' => $selected_tab));
    $shoutbox_log =& $this->get('ShoutboxLogSize');
    $writable     =& $this->get('SettingsFileIsWritable');
    $chatfactory  =& $this->get('ChatFactory');

    $this->assignRef('settings',     $settings);
    //$this->assignRef('editor',       $editor);
    $this->assignRef('admins',       $admins);
    $this->assignRef('access',       $access);
    $this->assignRef('pane',         $pane);
    $this->assignRef('selected_tab', $selected_tab);
    $this->assignRef('shoutbox_log', $shoutbox_log);
    $this->assignRef('writable',     $writable);
    $this->assignRef('chatfactory',  $chatfactory);

    if ($settings->enable_gmaps && $settings->gmaps_api_key)
    {
      JHTML::script('?file=api&amp;v=2&amp;sensor=false&amp;key=' . $settings->gmaps_api_key, 'http://maps.google.com/maps');
    }

    JHTML::script('settings.js', 'components/com_lovefactory/assets/js/views/backend/');

    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');

    parent::display($tpl);
  }
}