jQueryFactory(document).ready(function ($) {
  $("#lovefactory-delete-messages").click(function () {
    $("#lovefactory-action-form").submit();

    return false;
  });

  // Action form submit
  $("#lovefactory-action-form").submit(function () {
    var link = $("#lovefactory-delete-messages");

    link.parent().find("div:first").fadeOut("fast");

    // Check if any items are selected
    var params  = {};
    var checked = false;

    $(this).find("input.checkbox").each(function () {
      if ($(this).attr("checked"))
      {
        params[$(this).attr("name")] = $(this).attr("checked");
        checked = true;
      }
    });

    if (!checked)
    {
      link.parent().append('<div class="lovefactory-error-field lovefactory-button lovefactory-bullet-error" style="display: none;">' + txt_select_items + '</div>');
      link.parent().find("div:first").fadeIn("fast");
      return false;
    }

    // No errors found, submit the form
    return true;
  });

  // Check all
  $("#check-all").click(function () {
    var status = $(this).attr("checked");

    $("input.checkbox").each(function () {
      $(this).attr("checked", status);
    });
  });
});