jQueryFactory(document).ready(function ($) {
  var map    = new GMap2(document.getElementById("google-map"));
  var start  = new GLatLng(45, 24);
  var zoom   = 1;

  map.setCenter(start, zoom);
  map.setUIToDefault();

  var members = [];
  for (var i = 0, count = lf_members.length; i < count; ++i)
  {
    var member = lf_members[i];
    var latlng = new GLatLng(member.lat, member.lng);

    member = new Member(latlng, { username: member.username, user_id: member.user_id, link: member.link });
    if (lf_group_members)
    {
      members.push(member);
    }
    else
    {
      map.addOverlay(member);
    }
  }

  if (lf_group_members)
  {
    var markerCluster = new MarkerClusterer(map, members, { maxZoom: lf_group_members_zoom } );
  }
});