<?php

defined('_JEXEC') or die('Restricted access');

class FrontendControllerMessage extends FrontendController
{
	function send()
	{
	  $model =& $this->getModel('message');
	  $response = array();

	  if ($model->send($this->isAjaxRequest()))
	  {
	    $response['status']  = 1;
	    $response['message'] = JText::_('MESSAGE_TASK_SEND_SUCCESS');
	    $response['error']   = '';
	    $response['code']    = 0;
	  }
	  else
	  {
	    $response['status']  = 0;
	    $response['message'] = JText::_('MESSAGE_TASK_SEND_FAILURE');
	    $response['error']   = $model->getError();
	    $response['code']    = isset($model->_code) ? $model->_code : 0;
	  }

	  if ($this->isAjaxRequest())
	  {
	    $this->renderJson($response);
	  }

	  global $Itemid;

	  $settings = new LovefactorySettings();
	  if (isset($model->_code) && 2 == $model->_code && $settings->invalid_membership_action)
    {
      global $mainframe;

      $mainframe->redirect(JRoute::_('index.php?option=com_lovefactory&controller=membership&task=redirectnomembership&code=3&Itemid=' . $Itemid, true));
    }

	  if (!$response['status'])
	  {
	    JError::raiseWarning(0, $model->getError());
	    $link = JRoute::_('index.php?option=com_lovefactory&view=messagewrite&Itemid=' . $Itemid, false);
	  }
	  else
	  {
	    $link = JRoute::_('index.php?option=com_lovefactory&view=outbox&Itemid=' . $Itemid, false);
	  }

	  $this->setRedirect($link, $msg);
	}

	function delete()
	{
	  $model =& $this->getModel('message');

	  if ($model->delete())
	  {
	    $msg = JText::_('MESSAGE_TASK_DELETE_SUCCESS');
	  }
	  else
	  {
	    $msg = JText::_('MESSAGE_TASK_DELETE_FAILURE');
	  }

	  global $Itemid;
	  $link = JRoute::_('index.php?option=com_lovefactory&view=' . $model->redirect . '&Itemid=' . $Itemid, false);

	  $this->setRedirect($link, $msg);
	}

	function report()
	{
	  $model =& $this->getModel('message');
	  $response = array();

	  if ($model->report())
	  {
	    $response['msg']    = JText::_('MESSAGE_TASK_REPORT_SUCCESS');
	    $response['status'] = 1;
	  }
	  else
	  {
	    $response['msg']    = JText::_('MESSAGE_TASK_REPORT_FAILURE') . '<br />' . $model->getError();
	    $response['status'] = 0;
	  }

	  $this->renderJson($response);
	}
}