<?php

defined('_JEXEC') or die('Restricted access');

class FrontendControllerPhoto extends FrontendController
{
	function deleteComment()
	{
	  $model = $this->getModel('photo');
	  $response = array();

    if ($model->deleteComment())
    {
      $response['status']  = 1;
      $response['message'] = JText::_('PHOTO_TASK_DELETECOMMENT_SUCCESS');
      $response['error']   = '';
      $response['text']    = JText::_('PHOTO_COMMENT_DELETED');
    }
    else
    {
      $response['status']  = 0;
      $response['message'] = JText::_('PHOTO_TASK_DELETECOMMENT_FAILURE');
      $response['error']   = $model->getError();
      $response['text']    = '';
    }

    $this->renderJson($response);
	}

	function reportComment()
	{
	  $model = $this->getModel('photo');
	  $response = array();

    if ($model->reportComment())
    {
      $response['status']  = 1;
      $response['message'] = JText::_('PHOTO_TASK_REPORTCOMMENT_SUCCESS');
      $response['error']   = '';
      $response['text']    = JText::_('PHOTO_COMMENT_REPORTED');
    }
    else
    {
      $response['status']  = 0;
      $response['message'] = JText::_('PHOTO_TASK_REPORTCOMMENT_FAILURE');
      $response['error']   = $model->getError();
      $response['text']    = '';
    }

    $this->renderJson($response);
	}

	function addComment()
	{
	  $model = $this->getModel('photo');
	  $response = array();

    if ($model->addComment())
    {
      $response['status']  = 1;
      $response['message'] = JText::_('PHOTO_TASK_ADDCOMMENT_SUCCESS');
      $response['error']   = '';
    }
    else
    {
      $response['status']  = 0;
      $response['message'] = JText::_('PHOTO_TASK_ADDCOMMENT_FAILURE');
      $response['error']   = $model->getError();
    }

    $this->renderJson($response);
	}
}