<?php

defined('_JEXEC') or die('Restricted access');

class FrontendControllerShoutbox extends FrontendController
{
  function getMessages()
  {
    $model    =& $this->getModel('shoutbox', 'FrontendModel');
    $response =  array();

    $messages = $model->getMessages();
    $last     = $messages && count($messages) ? $messages[count($messages) - 1]->id : 0;

    if ($messages)
    {
      $response['status']   = 1;
      $response['messages'] = $messages;
      $response['last']     = $last;
    }
    else
    {
      $response['status'] = 0;
      $response['message'] = $model->getError();
    }

    $this->renderJson($response);
  }

  function postMessage()
  {
    $model    =& $this->getModel('shoutbox', 'FrontendModel');
    $response = array();

    if ($model->postMessage())
    {
      $response['status'] = 1;
    }
    else
    {
      $response['status']  = 0;
      $response['message'] = $model->getError();
    }

    $this->renderJson($response);
  }
}