<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FrontendModelFillin extends JModel
{
  // View
	function getZones()
  {
    $zones =& JModel::getInstance('zones', 'FrontendModel');
    $zones = $zones->getZonesForDisplayForPage('fillin');

    return $zones;
  }

  // Helpers
  function fillin()
  {
    $user =& JFactory::getUser();

    $profile =& $this->getTable('profile', 'Table');
    $profile->load($user->id);

    $fields =& JModel::getInstance('fields', 'FrontendModel');
    $fields->getFieldsForPage('fillin');

    /* @var $profile TableProfile */
    $profile->updateFromFields($fields->_fields);

    if ($profile->_has_errors)
    {
      return false;
    }

    $profile->addDefaultInTable();
    $profile->createUserFolder();
    $profile->storeMainPhotoUpload();

    // Update fields location
    $settings = new LovefactorySettings();
    if ($settings->fields_location)
    {
      $model =& JModel::getInstance('signup', 'FrontendModel');
      $model->_updateFieldsLocation($profile->user_id, 'fillin');
    }

    return $profile->store();
  }
}