<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FrontendModelInfoBar extends JModel
{
  function update()
  {
    $settings = new LovefactorySettings();

    $array  = array();
    $output = array();

    $array['s'] = 1;

    if ($settings->enable_interactions)
    {
      $interactions =& JModel::getInstance('interactions', 'FrontendModel');
      $array['i'] = $interactions->getUnseen();
    }

    if ($settings->enable_messages)
    {
      $inbox =& JModel::getInstance('inbox', 'FrontendModel');
      $array['m'] = $inbox->getUnreadCount();
    }

    $friends =& JModel::getInstance('friends', 'FrontendModel');
    $array['r'] = $friends->getRequests();

    foreach ($array as $key => $val)
    {
      $output[$key] = intval($val);
    }

    return $output;
  }

  function close()
  {
    $user =& JFactory::getUser();

    if ($user->guest)
    {
      return false;
    }

    $query = ' UPDATE #__lovefactory_profiles'
           . ' SET infobar = 0'
           . ' WHERE user_id = ' . $user->id;
    $this->_db->setQuery($query);
    $this->_db->query();
  }
}