<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FrontendModelRenderer extends JModel
{
  var $_mode;

  function __construct()
  {
    parent::__construct();

    $this->settings        = new LovefactorySettings();
    $this->_display_hidden = $this->settings->display_hidden;
  }

  function renderFields($fields, $profile = null, $showAll = false)
  {
    require(JPATH_COMPONENT_SITE.DS.'lib'.DS.'renderer'.DS.'fields.php');
  }

  function renderZone($title, $columns, $profile = null, $layout = null, $showAll = false)
  {
    $class = '';

    if (isset($profile->username))
    {
      $title = str_replace('%%username%%', $profile->username, $title);
    }

    $layout = file_exists(JPATH_COMPONENT_SITE.DS.'lib'.DS.'renderer'.DS.$layout.'.php') ? $layout : 'zone';

    require(JPATH_COMPONENT_SITE.DS.'lib'.DS.'renderer'.DS.$layout.'.php');
  }

  function renderPageZones($zones, $profile, $mode, $layout = null, $showAll = false)
  {
    $zones = isset($zones['formatting']) ? $zones['formatting'] : $zones;
    $this->_mode = $mode;

    foreach ($zones as $zone)
    {
      $this->renderZone($zone['title'], $zone['columns'], $profile, $layout, $showAll);
    }
  }
}