<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewEdit extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $document =& JFactory::getDocument();

    $profile       =& $this->get('Profile');
    $zones         =& $this->get('Zones');
    $settings_zone =& $this->get('SettingsZone');
    $renderer      =& JModel::getInstance('renderer', 'FrontendModel');

    $fields =& JModel::getInstance('fields', 'FrontendModel');
    $fields->addRequiredConditionsFor($zones['required']);

    $this->assignRef('zones',         $zones);
    $this->assignRef('profile',       $profile);
    $this->assignRef('renderer',      $renderer);
    $this->assignRef('settings_zone', $settings_zone);
    $this->assignRef('Itemid',        $Itemid);

    $this->assign('has_required_fields', count($zones['required']));

    $this->assignJavascript('txt_hidden',       JText::_('EDIT_HIDDEN'));
    $this->assignJavascript('txt_for_all',      JText::_('EDIT_FOR_ALL'));
    $this->assignJavascript('txt_for_friends',  JText::_('EDIT_ONLY_FOR_FRIENDS'));
    $this->assignJavascript('txt_apply',        JText::_('EDIT_APPLY'));
    $this->assignJavascript('txt_visibilities', array(JText::_('EDIT_HIDDEN'), JText::_('EDIT_FOR_ALL'), JText::_('EDIT_ONLY_FOR_FRIENDS')));

    JHtmlFactory::jQueryScript();
    JHTML::script('form-validation.js', 'components/com_lovefactory/assets/js/');
    JHTML::script('edit.js',            'components/com_lovefactory/assets/js/views/');
    JHTML::script('gmaps.unload.js',    'components/com_lovefactory/assets/js/');

    JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('edit.css',    'components/com_lovefactory/assets/css/views/');

    JHtmlFactory::IEStylesheet('ie.css');

    JHTML::_('behavior.tooltip');

    parent::display($tpl);
  }
}