<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewGroupExclude extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $group       =& $this->get('Group');

    if (!$group)
    {
      $tpl = 'notfound';
    }
    else
    {
      $members     =& $this->get('Data');
      $pagination  =& $this->get('Pagination');
      $sort_filter =& $this->get('GroupsSort');

      $this->assignRef('group',       $group);
      $this->assignRef('members',     $members);
      $this->assignRef('sort_filter', $sort_filter);
      $this->assignRef('pagination',  $pagination);
      $this->assignRef('Itemid',      $Itemid);

      $this->assignJavascript('txt_asc',       JText::_('GROUPEXCLUDE_LIST_SORT_ORDER_ASC'));
      $this->assignJavascript('txt_desc',      JText::_('GROUPEXCLUDE_LIST_SORT_ORDER_DESC'));
      $this->assignJavascript('txt_read_more', JText::_('GROUPEXCLUDE_LIST_READ_MORE'));
      $this->assignJavascript('txt_read_less', JText::_('GROUPEXCLUDE_LIST_READ_LESS'));
      $this->assignJavascript('lf_group_id',   $group->id);

      JHTML::stylesheet('main.css',            'components/com_lovefactory/assets/css/');
      JHTML::stylesheet('buttons.css',         'components/com_lovefactory/assets/css/');
      JHTML::stylesheet('jquery-colortip.css', 'components/com_lovefactory/assets/css/');
      JHTML::stylesheet('groupexclude.css',    'components/com_lovefactory/assets/css/views/');

      JHtmlFactory::IEStylesheet('ie.css');

      JHtmlFactory::jQueryScript('cookie', 'expander', 'ajaxaction');
      JHTML::script('groupexclude.js', 'components/com_lovefactory/assets/js/views/');
    }

    parent::display($tpl);
  }
}