<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewGroupMembers extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $group =& $this->get('Group');

    if (!$group)
    {
      $tpl = 'notfound';
    }
    else
    {
      $members     =& $this->get('Data');
      $pagination  =& $this->get('Pagination');
      $sort_filter =& $this->get('GroupsSort');

      $this->assignRef('group',       $group);
      $this->assignRef('members',     $members);
      $this->assignRef('sort_filter', $sort_filter);
      $this->assignRef('pagination',  $pagination);
      $this->assignRef('Itemid',      $Itemid);

      $this->assignJavascript('txt_asc',     JText::_('GROUPMEMBERS_LIST_SORT_ORDER_ASC'));
      $this->assignJavascript('txt_desc',    JText::_('GROUPMEMBERS_LIST_SORT_ORDER_DESC'));
      $this->assignJavascript('lf_group_id', $group->id);

      JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
      JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
      JHTML::stylesheet('groupmembers.css',  'components/com_lovefactory/assets/css/views/');

      JHtmlFactory::IEStylesheet('ie.css');

      JHtmlFactory::jQueryScript('cookie');
      JHTML::script('groupmembers.js', 'components/com_lovefactory/assets/js/views/');
    }

    parent::display($tpl);
  }
}