<tfoot>
  <tr>
    <td colspan="4" class="lf-pagination">{$pagination->getPagesLinks()}</td>
    <td colspan="20" style="text-align: right;">{$pagination->getResultsCounter()}</td>
  </tr>
</tfoot>

<tbody>
  {if !$groups}
    <tr><td colspan="20">{jtext _='GROUPS_LIST_NO_GROUPS_FOUND'}</td></tr>
  {/if}

  {foreach from=$groups item=group key=i}
    <tr class="{if $i % 2}even2{else}even{/if}">
      <td><div class="lf-group-thumb" style="background-image: url('{$group->getThumbnail('small')}');"></div></td>

      <td>
        <a href="{$group->getLink()}" class="lf-title">{$group->title}</a>
        <div class="lf-description"><small class="expandable">{$group->description}</small></div>

        <div class="lf-group-actions">
          {if !$group->isMyGroup()}
            {if $group->is_member}
              <a href="{jroute _='index.php?option=com_lovefactory&controller=group&task=leave&group_id=%id%' id=$group->id}" class="lovefactory-button lovefactory-go lovefactory-ajax-action"><span>{jtext _='GROUP_LIST_LEAVE_GROUP'}</span></a>
            {else}
              <a href="{jroute _='index.php?option=com_lovefactory&controller=group&task=join&group_id=%id%' id=$group->id}" class="lovefactory-button lovefactory-go lovefactory-ajax-action"><span>{jtext _='GROUP_LIST_JOIN_GROUP'}</span></a>
            {/if}
          {else}
            <a href="{jroute _='index.php?option=com_lovefactory&view=groupexclude&group_id=%id%&Itemid=%Itemid%' id=$group->id Itemid=$this->Itemid}" class="lovefactory-button lovefactory-user-cross">{jtext _='GROUPS_LIST_EXCLUDE_LIST'}</a>
          {/if}
        </div>
      </td>

      <td style="text-align: center;">{$group->posts}</td>

      <td style="text-align: center;">
        <a href="{jroute _='index.php?option=com_lovefactory&view=groupmembers&group_id=%id%&Itemid=%Itemid%' id=$group->id Itemid=$Itemid}" class="lovefactory-button lovefactory-user-go">{$group->members}</a>
      </td>

      <td><span class="lovefactory-button lovefactory-time">{$group->last_activity}</span></td>

      <td style="text-align: center;">
        <img src="{$group->private_img}" />
      </td>
    </tr>
  {/foreach}
</tbody>