<?php defined('_JEXEC') or die('Restricted access'); ?>

    <tfoot>
      <tr>
        <td colspan="4" class="lf-pagination"><?php echo $this->pagination->getPagesLinks(); ?></td>
        <td colspan="20" style="text-align: right;"><?php echo $this->pagination->getResultsCounter(); ?></td>
      </tr>
    </tfoot>

    <tbody>
      <?php if (!$this->groups): ?>
        <tr><td colspan="20"><?php echo JText::_('GROUPS_LIST_NO_GROUPS_FOUND'); ?></td></tr>
      <?php endif; ?>

      <?php foreach ($this->groups as $i => $group): ?>
        <tr class="<?php echo $i % 2 ? 'even2' : 'even'; ?>">
          <td><div class="lf-group-thumb" style="background-image: url('<?php echo $group->getThumbnail('small'); ?>');"></div></td>

          <td>
            <a href="<?php echo $group->getLink(); ?>" class="lf-title"><?php echo $group->title; ?></a>
            <div class="lf-description"><small class="expandable"><?php echo $group->description; ?></small></div>

            <div class="lf-group-actions">
              <?php if (!$group->isMyGroup()): ?>
                <?php if ($group->is_member): ?>
                  <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=group&task=leave&group_id=' . $group->id); ?>" class="lovefactory-button lovefactory-go lovefactory-ajax-action"><span><?php echo JText::_('GROUP_LIST_LEAVE_GROUP'); ?></span></a>
                <?php else: ?>
                  <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=group&task=join&group_id=' . $group->id); ?>" class="lovefactory-button lovefactory-go lovefactory-ajax-action"><span><?php echo JText::_('GROUP_LIST_JOIN_GROUP'); ?></span></a>
                <?php endif; ?>
              <?php else: ?>
                <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=groupexclude&group_id=' . $group->id . '&Itemid=' . $this->Itemid); ?>" class="lovefactory-button lovefactory-user-cross"><?php echo JText::_('GROUPS_LIST_EXCLUDE_LIST'); ?></a>
              <?php endif; ?>
            </div>
          </td>

          <td style="text-align: center;"><?php echo $group->posts; ?></td>

          <td style="text-align: center;">
            <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=groupmembers&group_id='.$group->id.'&Itemid='.$this->Itemid); ?>" class="lovefactory-button lovefactory-user-go"><?php echo $group->members; ?></a>
          </td>

          <td><span class="lovefactory-button lovefactory-time"><?php echo $group->last_activity; ?></span></td>

          <td style="text-align: center;">
            <img src="<?php echo $group->private_img; ?>" />
          </td>
        </tr>
      <?php endforeach; ?>
    </tbody>