<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewGroups extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $groups        =& $this->get('Data');
    $pagination    =& $this->get('Pagination');
    $groups_filter =& $this->get('GroupsFilter');
    $sort_filter   =& $this->get('GroupsSort');

    $this->assignRef('groups',        $groups);
    $this->assignRef('pagination',    $pagination);
    $this->assignRef('groups_filter', $groups_filter);
    $this->assignRef('sort_filter',   $sort_filter);
    $this->assignRef('Itemid',        $Itemid);
    $this->assignRef('root',          JURI::root());

    $this->assignJavascript('txt_asc',  JText::_('GROUPS_LIST_SORT_ORDER_ASC'));
    $this->assignJavascript('txt_desc', JText::_('GROUPS_LIST_SORT_ORDER_DESC'));

    JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('groups.css',  'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('jquery-colortip.css', 'components/com_lovefactory/assets/css/');

    JHtmlFactory::IEStylesheet('ie.css');

    JHtmlFactory::jQueryScript('cookie', 'ajaxaction', 'expander');
    JHTML::script('groups.js', 'components/com_lovefactory/assets/js/views/');

    parent::display($tpl);
  }
}