<?php defined('_JEXEC') or die('Restricted access'); ?>

<h1><?php echo JText::_('INTERACTIONS_TITLE'); ?></h1>

<?php if (count($this->interactions)): ?>
  <table cellpadding="0px" cellspacing="0px" class="lovefactory-table">
    <thead>
      <tr>
        <th style="width: 240px;"><?php echo JText::_('INTERACTIONS_INTERACTION'); ?></th>
        <th><?php echo JText::_('INTERACTIONS_ACTION'); ?></th>
        <th style="width: 150px;"><?php echo JText::_('INTERACTIONS_DATE'); ?></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach ($this->interactions as $i => $interaction): ?>
        <tr class="<?php echo ($i % 2) ? 'even' : ''; ?>">
          <td>
            <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=profile&id=' . $interaction->sender_id . '&Itemid=' . $this->Itemid); ?>"><?php echo $interaction->username; ?></a>
            <?php echo $this->types[$interaction->type_id]['text']; ?> <img src="<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/interaction_<?php echo $this->types[$interaction->type_id]['img']; ?>.png" alt="Interaction" />
          </td>
          <td>
            <?php if ($this->types[$interaction->type_id]['action']): ?>
              <a class="lovefactory-button lovefactory-go" href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=interaction&task=respond&id=' . $interaction->id . '&Itemid=' . $this->Itemid); ?>"><?php echo $this->types[$interaction->type_id]['action']; ?></a>
            <?php endif; ?>
          </td>
          <td><span class="lovefactory-button lovefactory-date"><?php echo TheFactoryHelper::format_date($interaction->date, 'ago'); ?></span></td>
        </tr>
      <?php endforeach; ?>
    </tbody>
  </table>

  <br />
  <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=interactions&task=deleteall&Itemid=' . $this->Itemid); ?>" class="lovefactory-button lovefactory-cross">
    <?php echo JText::_('INTERACTIONS_EMPTY_LIST'); ?>
  </a>
<?php else: ?>
  <?php echo JText::_('INTERACTIONS_NO_INTERACTION_FOUND'); ?>
<?php endif; ?>

<div>
  <?php echo $this->pagination->getPagesLinks(); ?>
</div>