<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewMembersMap extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $document =& JFactory::getDocument();
    $settings =  new LovefactorySettings();
    $members  =& $this->get('Members');

    $document->addScriptDeclaration('var lf_members            = ' . $members . ';');
    $document->addScriptDeclaration('var lf_group_members      = ' . $settings->members_map_group_users . ';');
    $document->addScriptDeclaration('var lf_group_members_zoom = ' . $settings->members_map_group_zoom . ';');
    $document->addScriptDeclaration('var Itemid                = ' . $Itemid . ';');

    JHtmlFactory::jQueryScript();
    JHTML::script('?file=api&amp;v=2&amp;sensor=false&amp;key=' . $settings->gmaps_api_key, 'http://maps.google.com/maps');
    JHTML::script('member.js',               'components/com_lovefactory/assets/js/');
    JHTML::script('membersmap.js',           'components/com_lovefactory/assets/js/views/');
    JHTML::script('markercluster.packed.js', 'components/com_lovefactory/assets/js/');
    JHTML::script('gmaps.unload.js',         'components/com_lovefactory/assets/js/');

    JHTML::stylesheet('main.css',       'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css',    'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('membersmap.css', 'components/com_lovefactory/assets/css/views/');

    parent::display($tpl);
  }
}