<h1>{jtext _='MY_MEMBERSHIP_TITLE'}</h1>

<table cellpadding="0px" cellspacing="0px" class="lovefactory-table2">
  <tbody>
    <tr>
      <th>{jtext _='MY_MEMBERSHIP_MEMBERSHIP_TITLE'}:</th>
      <td>{$membership->title}</td>
    </tr>

    {if 1 != $membership->id}
      <tr>
        <th>{jtext _='MY_MEMBERSHIP_STARTED_ON'}:</th>
        <td>{$membership->start_membership}</td>
      </tr>

      <tr>
        <th>{jtext _='MY_MEMBERSHIP_ENDS_ON'}:</th>
        <td>{$membership->end_membership}</td>
      </tr>
    {/if}

    <tr>
      <th>{jtext _='MY_MEMBERSHIP_PHOTOS'}:</th>
      <td style="text-align: center;">{$membership->max_photos}</td>
    </tr>

    <tr>
      <th>{jtext _='MY_MEMBERSHIP_VIDEOS'}:</th>
      <td style="text-align: center;">{$membership->max_videos}</td>
    </tr>

    <tr>
      <th>{jtext _='MY_MEMBERSHIP_FRIENDS'}:</th>
      <td style="text-align: center;">{$membership->max_friends}</td>
    </tr>

    <tr>
      <th>{jtext _='MY_MEMBERSHIP_MESSAGES_PER_DAY'}:</th>
      <td style="text-align: center;">{$membership->max_messages_per_day}</td>
    </tr>

    <tr>
      <th>{jtext _='MY_MEMBERSHIP_INTERACTIONS_PER_DAY'}:</th>
      <td style="text-align: center;">{$membership->max_interactions_per_day}</td>
    </tr>

    {if $settings->enable_top_friends}
      <tr>
        <th>{jtext _='MY_MEMBERSHIP_TOP_FRIENDS'}:</th>
        <td style="text-align: center;">{$membership->top_friends}</td>
      </tr>
    {/if}

    {if $settings->enable_shoutbox}
      <tr>
        <th>{jtext _='MY_MEMBERSHIP_SHOUTBOX_ACCESS'}:</th>
        <td style="text-align: center;">{$membership->shoutbox}</td>
      </tr>
    {/if}

    {if $settings->enable_chatfactory_integration}
      <tr>
        <th>{jtext _='MY_MEMBERSHIP_CHAT_FACTORY_ACCESS'}:</th>
        <td style="text-align: center;">{if $membership->chatfactory}{jtext _='Yes'}{else}{jtext _='No'}{/if}</td>
      </tr>
    {/if}

    {if $settings->enable_groups}
      {if $settings->groups_allow_users_create}
        <tr>
          <th>{jtext _='MY_MEMBERSHIP_GROUPS_CREATE'}:</th>
          <td style="text-align: center;">{$membership->groups_create}</td>
        </tr>
      {/if}
      <tr>
        <th>{jtext _='MY_MEMBERSHIP_GROUPS_JOIN'}:</th>
        <td style="text-align: center;">{$membership->groups_join}</td>
      </tr>
    {/if}

    {if 1 != $membership->id}
      <tr>
        <th>{jtext _='MY_MEMBERSHIP_PAYMENT_DATE'}:</th>
        <td style="text-align: center;">{$membership->payment_date}</td>
      </tr>

      <tr>
        <th>{jtext _='MY_MEMBERSHIP_PRICE'}:</th>
        <td style="text-align: center;">{$membership->amount} {$membership->currency}</td>
      </tr>
    {/if}
  </tbody>
</table>

<div style="margin: 5px;">
  <a href="{jroute _='index.php?option=com_lovefactory&view=memberships&Itemid=%Itemid%' Itemid=$Itemid}" class="lovefactory-button lovefactory-go">{jtext _='MY_MEMBERSHIP_UPGRADE_MEMBERSHIP'}</a>
  <a href="{jroute _='index.php?option=com_lovefactory&view=mymemberships&Itemid=%Itemid%' Itemid=$Itemid}" class="lovefactory-button lovefactory-go">{jtext _='MY_MEMBERSHIP_MY_MEMBERSHIPS_ARCHIVE'}</a>
</div>