<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewOnline extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $search   =& JModel::getInstance('search',   'FrontendModel');
    $renderer =& JModel::getInstance('renderer', 'FrontendModel');
    $session  =& JFactory::getSession();
    $juri     =& JFactory::getUri();
    $settings =  new LovefactorySettings();

    $search->_type   = 'quick';
    $search->_show   = 1;
    $search->_online = 1;
    $renderer->_mode = 'view';

    $result_zones =& $search->getResultZones();

    $results      =& $search->getData();
    $pagination   =& $search->getPagination();
    $total        =& $search->getTotal();

    $show         =& $search->_show;
    $columns      =  $settings->results_columns == 2 ? 'lovefactory-double-columns' : '';
    $iterator     =  $settings->results_columns == 2 ? 4 : 2;
    $valid        =  $settings->results_columns == 2 ? array(0, 1) : array(0);

    $this->assignRef('result_zones', $result_zones);
    $this->assignRef('renderer',     $renderer);
    $this->assignRef('results',      $results);
    $this->assignRef('show',         $show);
    $this->assignRef('pagination',   $pagination);
    $this->assignRef('sort_by',      $session->get('lovefactory.search.sortby',    1));
    $this->assignRef('sort_order',   $session->get('lovefactory.search.sortorder', 0));
    $this->assignRef('Itemid',       $Itemid);
    $this->assignRef('total',        $total);
    $this->assignRef('referer',      str_replace('&', '&amp;', $juri->_uri));
    $this->assignRef('columns',      $columns);
    $this->assignRef('iterator',     $iterator);
    $this->assignRef('valid',        $valid);
    $this->assignRef('settings',     $settings);
    $this->assign('hide_goto_form',  1);

    $this->setLayout('_list');

    parent::display($tpl);
  }
}