<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewOutbox extends JFactoryView
{
  function __construct()
  {
    parent::__construct();

    require_once(JPATH_COMPONENT_SITE.DS.'lib'.DS.'vendor'.DS.'TheFactoryHelper.class.php');
  }

  function display($tpl = null)
  {
    global $Itemid;

    $document =& JFactory::getDocument();
    $inbox    =& JModel::getInstance('inbox', 'FrontendModel');

    $unread      =& $inbox->getUnreadCount();
    $messages    =& $this->get('Data');
    $pagaination =& $this->get('Pagination');

    $this->assignRef('unread',     $unread);
    $this->assignRef('messages',   $messages);
    $this->assignRef('pagination', $pagaination);
    $this->assignRef('view',       $this->getName());
    $this->assignRef('Itemid',     $Itemid);

    $this->assignJavascript('txt_select_action', JText::_('OUTBOX_SELECT_ACTION'));
    $this->assignJavascript('txt_select_items',  JText::_('OUTBOX_SELECT_AT_LEAST_ONE_MESSAGE'));

    JHtmlFactory::jQueryScript();
    JHTML::script('inbox.js', 'components/com_lovefactory/assets/js/views/');

    JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('mailbox.css', 'components/com_lovefactory/assets/css/views/');

    parent::display($tpl);
  }
}