<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php if ($this->profile->_my_profile): ?>
  <div style="float: right; ">
    <?php if (2 == $this->profile->online && $this->settings->profile_status_change): ?>
      <span class="lovefactory-button lovefactory-bullet-error lovefactory-error-field"><?php echo JText::_('PROFILE_OFFLINE'); ?></span>
    <?php elseif (1 == $this->profile->online && $this->settings->profile_status_change): ?>
      <span class="lovefactory-button lovefactory-bullet-error"><?php echo JText::_('PROFILE_FOR_FRIENDS'); ?></span>
    <?php endif; ?>
    <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=edit&Itemid=' . $this->Itemid); ?>" class="lovefactory-button lovefactory-go"><?php echo JText::_('PROFILE_EDIT_PROFILE'); ?></a>
    <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=gallery&user_id=' . $this->profile->user_id .'&Itemid=' . $this->Itemid); ?>" class="lovefactory-button lovefactory-go"><?php echo JText::_('PROFILE_VIEW_PHOTOS_GALLERY'); ?></a>
  </div>
<?php endif; ?>

<?php if ($this->profile->banned): ?>
  <h1 class="lovefactory-banned"><?php echo JText::_('PROFILE_USER_BANNED'); ?></h1>
<?php endif; ?>

<table width="100%">
  <tr>
    <td style="vertical-align: top;">
      <?php echo $this->renderer->renderPageZones($this->zones, $this->profile, 'view'); ?>
    </td>

    <td width="200" style="vertical-align: top;" class="lovefactory-right-menu">

      <!-- What are you doing right now -->
      <?php require_once('_status.php'); ?>

      <!-- Interactions -->
      <?php require_once('_interact.php'); ?>

      <!-- Ratings -->
      <?php require_once('_ratings.php'); ?>

      <!-- Comments -->
      <?php if ($this->settings->enable_comments): ?>
        <fieldset>
          <legend><?php echo JText::_('PROFILE_COMMENTS'); ?></legend>
          <?php echo JText::sprintf('PROFILE_COMMENTS_INFO', $this->comments->_total); ?>
          <br /><br />
          <a href="#" id="lovefactory-goto-comments" class="lovefactory-button lovefactory-comments-go"><?php echo JText::_('PROFILE_GO_TO_COMMENTS'); ?></a>
        </fieldset>
      <?php endif; ?>
    </td>
  </tr>

  <tr>
    <td colspan="2">
      <!-- Wallpage -->
      <?php require_once('_wallpage.php'); ?>
    </td>
  </tr>

  <tr>
    <td colspan="2">
      <!-- Friends -->
      <?php require_once('_friends.php'); ?>
    </td>
  </tr>

  <tr>
    <td colspan="2">
      <!-- Comments -->
      <?php if ($this->settings->enable_comments): ?>
        <?php require_once('_comments.php'); ?>
      <?php endif; ?>
    </td>
  </tr>
</table>