<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewRequests extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $settings =  new LovefactorySettings();
    $renderer =& JModel::getInstance('renderer', 'FrontendModel');
    $model    =& JModel::getInstance('friends',  'FrontendModel');
    $user     =& JFactory::getUser();
    $session  =& JFactory::getSession();

    $requests   = $model->getRequests();
    $friends    = $model->getPending();
    $pagination = $model->getPagination();
    $zones      = $model->getZones();
    $view       = $this->getName();

    $this->assignRef('friends',    $friends);
    $this->assignRef('user',       $user);
    $this->assignRef('total',      $total);
    $this->assignRef('max',        $max);
    $this->assignRef('pagination', $pagination);
    $this->assignRef('requests',   $requests);
    $this->assignRef('renderer',   $renderer);
    $this->assignRef('zones',      $zones);
    $this->assignRef('view',       $view);
    $this->assignRef('Itemid',     $Itemid);
    $this->assignRef('settings',   $settings);
    $this->assign('my_requests', ($session->get('lovefactory.requests.filter.my_requests', 0) ? 'checked="checked"' : ''));

    $this->assignJavascript('root',   JURI::root());
    $this->assignJavascript('Itemid', $Itemid);

    JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('search.css',  'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('friends.css', 'components/com_lovefactory/assets/css/views/');

    JHtmlFactory::jQueryScript();
    JHTML::script('requests.js', 'components/com_lovefactory/assets/js/views/');

    parent::display($tpl);
  }
}