<?php

defined('_JEXEC') or die('Restricted access');

class FrontendViewVideo extends JFactoryView
{
  function __construct()
  {
    parent::__construct();

    $profile =& JModel::getInstance('profile', 'FrontendModel');
    $profile->checkOnlineStatus();
  }

  function display($tpl = null)
  {
    global $Itemid;

    $document =& JFactory::getDocument();
    $gallery  =& JModel::getInstance('Gallery', 'FrontendModel');
    $comments =& JModel::getInstance('VideoComments', 'FrontendModel');
    $settings =  new LovefactorySettings();

    $videos     = $this->get('Data');
    $pagination = $this->get('Pagination');
    $my_gallery = $gallery->getIsMyGallery();
    $profile    = $gallery->getProfile();

    $video               = $this->get('Video');
    $comments_pagination = $comments->getPagination();
    $comments            = $comments->getData();

    $this->assignRef('profile',    $profile);
    $this->assignRef('my_gallery', $my_gallery);
    $this->assignRef('videos',     $videos);
    $this->assignRef('Itemid',     $Itemid);
    $this->assignRef('pagination', $pagination);

    $this->assignRef('video',               $video);
    $this->assignRef('comments',            $comments);
    $this->assignRef('comments_pagination', $comments_pagination);
    $this->assignRef('my_video',            $video->isMyVideo());

    $this->assignJavascript('lf_auto_play', JRequest::getVar('video_id', 0, 'GET', 'integer'));
    $this->assignJavascript('lf_current_video', $video->id);

    JHtmlFactory::jQueryScript();
    JHTML::script('video.js', 'components/com_lovefactory/assets/js/views/');
    JHTML::script('main.js',   'components/com_lovefactory/assets/js/');

    JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('video.css',  'components/com_lovefactory/assets/css/views/');

    parent::display($tpl);
  }
}