<?php

defined('_JEXEC') or die('Restricted access');

class FrontendViewVideos extends JFactoryView
{
  function __construct()
  {
    parent::__construct();

    $profile =& JModel::getInstance('profile', 'FrontendModel');
    $profile->checkOnlineStatus();
  }

  function display($tpl = null)
  {
    global $Itemid;

    $user_id  =& JRequest::getVar('id', 0, 'GET', 'integer');
    $gallery  =& JModel::getInstance('Gallery', 'FrontendModel');
    $settings =  new LovefactorySettings();

    $videos     = $this->get('Data');
    $pagination = $this->get('Pagination');
    $my_gallery = $gallery->getIsMyGallery();
    $profile    = $this->get('Profile');

    $this->assignRef('profile',    $profile);
    $this->assignRef('my_gallery', $my_gallery);
    $this->assignRef('videos',     $videos);
    $this->assignRef('profile',    $profile);
    $this->assignRef('user_id',    $user_id);
    $this->assignRef('Itemid',     $Itemid);
    $this->assignRef('pagination', $pagination);

    JHtmlFactory::jQueryScript();
    JHTML::script('videos.js', 'components/com_lovefactory/assets/js/views/');
    JHTML::script('main.js',   'components/com_lovefactory/assets/js/');

    JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('videos.css',  'components/com_lovefactory/assets/css/views/');

    parent::display($tpl);
  }
}