<?php

defined('_JEXEC') or die('Restricted access');

class BackendControllerGroup extends BackendController
{
	function __construct()
	{
		parent::__construct();

		$this->registerTask('add',   'edit');
		$this->registerTask('apply', 'save');
	}

	function edit()
  {
    JRequest::setVar('view',   'group');
    JRequest::setVar('layout', 'form');

    parent::display();
  }

  function save()
  {
    $model = $this->getModel('Group');

    if ($model->store())
    {
      $msg = JText::_('Group Saved!');
    }
    else
    {
      $msg = JText::_('Error Saving Group!');
    }

    if ($this->getTask() == 'apply')
    {
      $this->setRedirect('index.php?option=com_lovefactory&controller=group&task=edit&cid[]=' . $model->id, $msg);
    }
    else
    {
      $this->setRedirect('index.php?option=com_lovefactory&task=groups', $msg);
    }
  }

  function cancel()
  {
    $msg = JText::_('Operation Cancelled');
    $this->setRedirect('index.php?option=com_lovefactory&task=groups', $msg);
  }

  function remove()
  {
    $model = $this->getModel('Group');

    if (!$model->delete())
    {
      $msg = JText::_('Error Removing Group(s)!');
    }
    else
    {
      $msg = JText::_('Group(s) Removed!');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=groups', $msg);
  }
}