<?php

defined('_JEXEC') or die('Restricted access');

class BackendControllerPrice extends BackendController
{
	function __construct()
	{
		parent::__construct();

		$this->registerTask('add',   'edit');
		$this->registerTask('apply', 'save');
	}

	function edit()
  {
    JRequest::setVar('view', 'price');
    JRequest::setVar('layout', 'form');
    JRequest::setVar('hidemainmenu', 1);

    parent::display();
  }

  function save()
  {
    $model = $this->getModel('price');

    if ($model->store())
    {
      $msg = JText::_('Price Saved!');
    }
    else
    {
      $msg = JText::_('Error Saving Price!');
    }

    if ('apply' == $this->getTask())
    {
      $this->setRedirect('index.php?option=com_lovefactory&controller=price&task=edit&cid[]=' . $model->_id, $msg);
    }
    else
    {
      $this->setRedirect('index.php?option=com_lovefactory&task=pricing', $msg);
    }
  }

  function remove()
  {
    $model = $this->getModel('price');

    if (!$model->delete())
    {
      $msg = JText::_('Error: One or More Prices Could not be Deleted');
    }
    else
    {
      $msg = JText::_('Price(s) Deleted');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=pricing', $msg);
  }

  function cancel()
  {
    $msg = JText::_('Operation Cancelled');
    $this->setRedirect('index.php?option=com_lovefactory&task=pricing', $msg);
  }

	function unpublish()
	{
	  $model = $this->getModel('price');

    if ($model->unpublish())
    {
      $msg = JText::_('Field(s) Unpublished!');
    }
    else
    {
      $msg = JText::_('Error Unpublishing Field(s)');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=pricing', $msg);
	}

	function publish()
	{
	  $model = $this->getModel('price');

    if ($model->publish())
    {
      $msg = JText::_('Field(s) Published!');
    }
    else
    {
      $msg = JText::_('Error Publishing Field(s)');
    }

    $this->setRedirect('index.php?option=com_lovefactory&task=pricing', $msg);
	}
}