<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class BackendModelGateway extends JModel
{
  function __construct()
  {
    parent::__construct();
  }

  function getData()
  {
    $gateway =& JRequest::getVar('gateway', '', 'GET', 'string');

    JLoader::register($gateway, JPATH_COMPONENT_ADMINISTRATOR.DS.'plugins'.DS.'payment'.DS.$gateway.'.php');

    if (!class_exists($gateway))
    {
      JError::raiseWarning('ERROR', JText::_('Payment Gateway Not Found!'));

      global $mainframe;
      $mainframe->redirect('index.php?option=com_lovefactory&task=gateways');
    }

    $gateway = new $gateway();

    return $gateway;
  }


  function publish()
  {
    $cids    =& JRequest::getVar('cid', array(0), 'REQUEST', 'array');
    $gateway =& $this->getTable('gateway');

    foreach ($cids as $cid)
    {
      $gateway->load($cid);

      $gateway->enabled = 1;
      $gateway->store();
    }

    return true;
  }

  function unpublish()
  {
    $cids    =& JRequest::getVar('cid', array(0), 'REQUEST', 'array');
    $gateway =& $this->getTable('gateway');

    foreach ($cids as $cid)
    {
      $gateway->load($cid);
      $gateway->enabled = 0;
      $gateway->store();
    }

    return true;
  }

  function store()
  {
    $gateway =& JRequest::getVar('gateway', '', 'POST', 'string');

    JLoader::register($gateway, JPATH_COMPONENT_ADMINISTRATOR.DS.'plugins'.DS.'payment'.DS.$gateway.'.php');

    if (!class_exists($gateway))
    {
      JError::raiseWarning('ERROR', JText::_('Payment Gateway Not Found!'));

      global $mainframe;
      $mainframe->redirect('index.php?option=com_lovefactory&task=gateways');
    }

    $gateway = new $gateway();

    $gateway->saveAdminConfig();

    $this->title = $gateway->title;

    return true;
  }
}