<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_lovefactory"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require(JModuleHelper::getLayoutPath('mod_lovefactory_birthday_reminder', 'error'));
}
else
{
  global $Itemid;

  $user =& JFactory::getUser();

  $show_date   = $params->get('show_date', 1);
  $separator   = $params->get('date_separator', '.');
  $date_format = $params->get('date_format', 0) ? '%m'.$separator.'%d'.$separator.'%Y' : '%d'.$separator.'%m'.$separator.'%Y';

  $query = ' SELECT p.user_id, u.username, p.field_6 AS birthday, DATE_FORMAT(p.field_6, "%m%d") AS date, DATE_FORMAT(p.field_6, "'.$date_format.'") AS birthday'
         . ' FROM #__lovefactory_profiles p'
         . ' LEFT JOIN #__users u ON u.id = p.user_id'
         . ' LEFT JOIN #__lovefactory_friends f ON ((f.sender_id = '.$user->id.' AND f.receiver_id = p.user_id) OR (f.receiver_id = '.$user->id.' AND f.sender_id = p.user_id)) AND f.pending = 0'
         . ' WHERE f.id IS NOT NULL'
         . ' ORDER BY date ASC';
  $database->setQuery($query);
  $friends = $database->loadObjectList();

  $birthdays   = array('today' => array(), 'tomorrow' => array(), 'week' => array(), 'month' => array());
  $today       = date('md');
  $tomorrow    = date('md', strtotime('+1 day'));
  $next_sunday = date('md', strtotime('next Sunday'));
  $last_day    = date('mt',strtotime('today'));

  foreach ($friends as $friend)
  {
    // Today
    if ($params->get('show_today', 1) && $friend->date == $today)
    {
      $birthdays['today'][] = $friend;
    }
    // Tomorrow
    elseif ($params->get('show_tomorrow', 1) && $friend->date > $today && $friend->date <= $tomorrow)
    {
      $birthdays['tomorrow'][] = $friend;
    }
    // This week
    elseif ($params->get('show_week', 1) && $friend->date > $tomorrow && $friend->date <= $next_sunday)
    {
      $birthdays['week'][] = $friend;
    }
    // This month
    elseif ($params->get('show_month', 1) && $friend->date > $next_sunday && $friend->date <= $last_day)
    {
      $birthdays['month'][] = $friend;
    }
  }

  JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('modules.css', 'components/com_lovefactory/assets/css/');

  require(JModuleHelper::getLayoutPath('mod_lovefactory_birthday_reminder'));
}