<?php

defined('_JEXEC') or die('Restricted access');

class TableFriend extends JTable
{
	var $id              = null;
	var $type            = null;
	var $receiver_id     = null;
	var $sender_id       = null;
	var $date            = null;
	var $message         = null;
	var $sender_status   = null;
	var $receiver_status = null;
	var $pending         = null;

	function TableFriend(&$db)
	{
		parent::__construct('#__lovefactory_friends', 'id', $db);
	}

	function request($sender_id, $receiver_id, $message, $type = 1)
	{
	  $date =& JFactory::getDate();

	  $this->sender_id   = $sender_id;
	  $this->receiver_id = $receiver_id;
	  $this->date        = $date->toMySql();
	  $this->message     = $message;
	  $this->pending     = 1;
	  $this->type        = $type;

	  $this->store();
	}

	function accept()
	{
	  $this->pending = 0;
	  $this->store();

	  $sender   =& JTable::getInstance('profile', 'Table');
	  $receiver =& JTable::getInstance('profile', 'Table');

	  $sender->load($this->sender_id);
	  $receiver->load($this->receiver_id);

	  switch ($this->type)
	  {
	    // Friendship
	    case 1:
	      $sender->friends++;
	      $receiver->friends++;
	    break;

	    // Relationship
	    case 2:
	      $sender->relationship   = $this->receiver_id;
	      $receiver->relationship = $this->sender_id;
	    break;
	  }

	  $sender->store();
	  $receiver->store();
	}

	function remove()
	{
	  $sender   =& JTable::getInstance('profile', 'Table');
	  $receiver =& JTable::getInstance('profile', 'Table');

	  $sender->load($this->sender_id);
	  $receiver->load($this->receiver_id);

	  switch ($this->type)
	  {
	    // Friendship
	    case 1:
	      $sender->friends--;
	      $receiver->friends--;
	    break;

	    // Relationship
	    case 2:
	      $sender->relationship   = 0;
	      $receiver->relationship = 0;
	    break;
	  }

	  $sender->store();
	  $receiver->store();

	  $this->delete();
	}
}
