<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class BackendViewGroupMembers extends JView
{
  function display($tpl = null)
  {
    $group_id   =& $this->get('GroupId');
    $group      =& $this->get('Group');
    $members    =& $this->get('Data');
    $pagination =& $this->get('Pagination');
    $lists		  =& $this->_getViewLists();

    $this->assignRef('group_id',   $group_id);
    $this->assignRef('members',    $members);
    $this->assignRef('pagination', $pagination);
    $this->assignRef('lists',      $lists);

    JToolBarHelper::title(JText::_('Group Members: <small><small>"'.$group->title.'"</small></small>'), 'generic.png');
    JToolBarHelper::deleteList();

    parent::display($tpl);
  }

  function &_getViewLists()
	{
		global $mainframe, $option;

		$filter_order     = $mainframe->getUserStateFromRequest($option.'.groupmembers.filter_order',     'filter_order',     'title', 'cmd');
    $filter_order_Dir = $mainframe->getUserStateFromRequest($option.'.groupmembers.filter_order_Dir', 'filter_order_Dir', 'asc',   'word');
    $filter_state		  = $mainframe->getUserStateFromRequest($option.'.groupmembers.filter_state',		  'filter_state',		  '',			 'word');

		// table ordering
		$lists['order_Dir']	= $filter_order_Dir;
		$lists['order']		  = $filter_order;

		// state
		$lists['state'] = $filter_state;

		return $lists;
	}
}