<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.html.pane');

class BackendViewPage extends JView
{
  function display($tpl = null)
  {
    JToolBarHelper::title(JText::_('Page').': <small><small>[ Edit ]</small></small>');
    JToolBarHelper::save();
    JToolBarHelper::apply();
    JToolBarHelper::cancel('cancel', JText::_('Close'));

    $page   =& $this->get('Data');
    $pane   =& JPane::getInstance('tabs');
    $spacer =& $this->get('Spacer');

    $this->assignRef('page', $page);
		$this->assignRef('pane', $pane);

		$document =& JFactory::getDocument();
		$document->addScriptDeclaration('var txt_drag_zone     = "' . addslashes(JText::_('Drag zone')) . '"');
		$document->addScriptDeclaration('var txt_zone_title    = "' . addslashes(JText::_('Zone title')) . '"');
		$document->addScriptDeclaration('var txt_add_column    = "' . addslashes(JText::_('Add column')) . '"');
		$document->addScriptDeclaration('var txt_add_spacer    = "' . addslashes(JText::_('Add spacer')) . '"');
		$document->addScriptDeclaration('var txt_delete_column = "' . addslashes(JText::_('Delete column')) . '"');
		$document->addScriptDeclaration('var txt_delete_zone   = "' . addslashes(JText::_('Delete zone')) . '"');
		$document->addScriptDeclaration('var type_id           = '  . $page->type_id . ';');
		$document->addScriptDeclaration('var spacer_id         = '  . $spacer->id . ';');
		$document->addScriptDeclaration('var spacer_link       = "'  . $spacer->link . '";');

		JHTML::stylesheet('backend.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('main.css'   , 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('ui.all.css',  'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('page.css',    'components/com_lovefactory/assets/css/views/backend/');

    JHtmlFactory::jQueryScript('ui', 'ui-widget', 'ui-mouse', 'ui-sortable');
    JHTML::script('page.js', 'components/com_lovefactory/assets/js/views/backend/');

    JHTML::_('behavior.tooltip');

    parent::display($tpl);
  }
}