<?php defined('_JEXEC') or die('Restricted access'); ?>

<style>
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/love.png); }
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm">

  <table class="admintable" width="100%">
		<tr valign="top">
			<td>
				<fieldset>
					<legend><?php echo JText::_('Payment'); ?></legend>

					<table width="100%">
						<tr>
						 <td class="key" width="20%" align="right"><?php echo JText::_('ID'); ?>:</td>
						 <td width="80%"><strong><?php echo $this->payment->id; ?></strong></td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="method"><?php echo JText::_('Method'); ?>:</label></td>
							<td><?php echo $this->payment->gateway; ?></td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="refnumber"><?php echo JText::_('Ref. number'); ?>:</label></td>
							<td><?php echo $this->payment->refnumber; ?></td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="date"><?php echo JText::_('Payment Date'); ?>:</label></td>
							<td><?php echo $this->payment->payment_date; ?></td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="user_id"><?php echo JText::_('User'); ?>:</label></td>
							<td>
							 <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=user&task=view&id=' . $this->payment->user_id); ?>">
							   <?php echo $this->payment->username; ?>
							 </a>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="amount"><?php echo JText::_('Amount'); ?>:</label></td>
							<td>
							  <?php echo number_format($this->payment->payment_amount, 2); ?> <?php echo $this->payment->payment_currency; ?>
							  (<?php echo JText::_('expected'); ?>: <?php if ($this->payment->order_id): ?><?php echo number_format($this->payment->order_amount, 2); ?> <?php echo $this->payment->order_currency; ?><?php else: ?><?php echo JText::_('Order not found'); ?><?php endif; ?>)
							</td>
						</tr>

						<?php if ($this->payment->order_id): ?>
						  <tr>
							  <td class="key" align="right"><label for="membership"><?php echo JText::_('Membership'); ?>:</label></td>
							  <td><?php echo $this->payment->membership_title; ?></td>
						  </tr>

						  <tr>
							  <td class="key" align="right"><label for="months"><?php echo JText::_('Months'); ?>:</label></td>
							  <td><?php echo $this->payment->months; ?></td>
						  </tr>
						<?php endif; ?>

						<tr>
							<td class="key" align="right"><label for="status"><?php echo JText::_('Status'); ?>:</label></td>
							<td>
							  <?php if ($this->payment->status != 'manual-check'): ?>
							    <?php echo $this->payment->status; ?>
							  <?php else: ?>
							    <select id="status" name="status">
							      <option value="manual-check">manual-check</option>
							      <option value="ok">ok</option>
							      <option value="error">error</option>
							    </select>
							  <?php endif; ?>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="errors"><?php echo JText::_('Errors'); ?>:</label></td>
							<td>
							  <?php if ($this->payment->errors != ''): ?>
							    <?php echo nl2br($this->payment->errors); ?>
							  <?php else: ?>
							    -
							  <?php endif; ?>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="log"><?php echo JText::_('Log'); ?>:</label></td>
							<td><?php echo nl2br($this->payment->log); ?></td>
						</tr>

					</table>
				</fieldset>
			</td>
		</tr>
	</table>
  <input type="hidden" name="controller" value="payment" />
  <input type="hidden" name="id" value="<?php echo $this->payment->id; ?>" />
  <input type="hidden" name="option" value="com_lovefactory" />
  <input type="hidden" name="task" value="" />
</form>