<?php defined('_JEXEC') or die('Restricted access'); ?>

<form action="index.php" method="post" name="adminForm" id="adminForm">

  <?php echo $this->pane->startPane('user'); ?>

    <!-- User Info -->
    <?php echo $this->pane->startPanel(JText::_('User Info'), 'info'); ?>
	    <table class="paramlist admintable">
			  <tr>
				  <td class="paramlist_key" align="right"><label for="username"><?php echo JText::_('Username'); ?>:</label></td>
					<td><?php echo $this->user->username; ?></td>
			  </tr>

				<tr>
				  <td class="paramlist_key" align="right"><label for=""><?php echo JText::_('Current membership'); ?>:</label></td>
				  <td>
				    <b><?php echo $this->user->membership_title; ?></b>
					  <?php if ($this->user->payment_id): ?>
					    (<?php echo JText::_('Membership acquired with'); ?> <a href="index.php?option=com_lovefactory&controller=payment&task=view&cid[]=<?php echo $this->user->payment_id; ?>"><?php echo JText::_('payment id'); ?> <?php echo $this->user->payment_id; ?></a>)
					  <?php endif; ?>
				  </td>
				</tr>

				<tr>
				  <td class="paramlist_key" align="right"><label for=""><?php echo JText::_('New membership'); ?>:</label></td>
				  <td>
				    <input type="checkbox" id="change_membership" name="change_membership" />
					  <label for="change_membership"><?php echo JText::_('Change membership to:'); ?></label>
					  <span id="membership_wrapper" style="display: none;">
					    <?php echo $this->membership_select; ?>
					  </span>
				  </td>
				</tr>

				<tr>
				  <td class="paramlist_key" align="right"><label for="end_membership"><?php echo JText::_('End membership'); ?>:</label></td>
					<td>
					  <input type="checkbox" name="unlimited" id="unlimited" <?php echo ($this->user->end_membership == '0000-00-00 00:00:00') ? 'checked="checked"' : ''; ?> />
						<label for="unlimited"><?php echo JText::_('Unlimited or until:'); ?></label>

					  <span id="end_membership_date">
					    <select id="end_membership_year" name="end_membership[year]">
						    <?php for ($now = date('Y'), $i = $now; $i <= ($now + 10); $i++): ?>
							    <option value="<?php echo $i; ?>" <?php echo (date('Y', strtotime($this->user->end_membership)) == $i) ? 'selected="selected"' : ''; ?>><?php echo $i; ?></option>
							  <?php endfor; ?>
						  </select>
              /
					    <select id="end_membership_month" name="end_membership[month]">
						    <?php for ($i = 1; $i <= 12; $i++): ?>
							    <option value="<?php echo $i; ?>" <?php echo (date('m', strtotime($this->user->end_membership)) == $i) ? 'selected="selected"' : ''; ?>><?php echo $i; ?></option>
							  <?php endfor; ?>
						  </select>
              /
						  <select id="end_membership_day" name="end_membership[day]">
						    <?php for ($i = 1; $i <= 31; $i++): ?>
							    <option value="<?php echo $i; ?>" <?php echo (date('d', strtotime($this->user->end_membership)) == $i) ? 'selected="selected"' : ''; ?>><?php echo $i; ?></option>
							  <?php endfor; ?>
						  </select>
						  &nbsp;
						  <select id="end_membership_hour" name="end_membership[hour]">
						    <?php for ($i = 0; $i <= 23; $i++): ?>
  							  <option value="<?php echo $i; ?>" <?php echo (date('H', strtotime($this->user->end_membership)) == $i) ? 'selected="selected"' : ''; ?>><?php echo str_pad($i, 2, 0, STR_PAD_LEFT); ?></option>
	 						  <?php endfor; ?>
						  </select>
						  :
						  <select id="end_membership_min" name="end_membership[min]">
						    <?php for ($i = 0; $i <= 59; $i++): ?>
  							  <option value="<?php echo $i; ?>" <?php echo (date('i', strtotime($this->user->end_membership)) == $i) ? 'selected="selected"' : ''; ?>><?php echo str_pad($i, 2, 0, STR_PAD_LEFT); ?></option>
							  <?php endfor; ?>
						  </select>
						</span>
					</td>
				</tr>

				<tr>
				  <td class="paramlist_key" align="right"><label for="banned"><?php echo JText::_('Banned'); ?>:</label></td>
					<td>
					  <select id="banned" name="banned">
						  <option value="1" <?php echo ($this->user->banned) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							<option value="0" <?php echo (!$this->user->banned) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
					  </select>
					</td>
				</tr>

			</table>
	  <?php echo $this->pane->endPanel(); ?>

	  <!-- User Profile -->
	  <?php echo $this->pane->startPanel(JText::_('User Profile'), 'profile'); ?>
	    <div style="margin: 5px; ">
        <a href="index.php?option=com_lovefactory&controller=user&task=editprofile&id=<?php echo $this->profile->user_id; ?>" class="lovefactory-button lovefactory-go"><?php echo JText::_('edit profile'); ?></a>
      </div>
	    <?php echo $this->renderer->renderPageZones($this->zones, $this->profile, 'view'); ?>
	  <?php echo $this->pane->endPanel(); ?>

	  <!-- User Memberships -->
	  <?php echo $this->pane->startPanel(JText::_('Memberships'), 'memberships'); ?>
	    <table class="adminlist">
        <thead>
          <tr>
            <th><?php echo JText::_('Title'); ?></th>
            <th style="width: 250px;"><?php echo JText::_('Info'); ?></th>
            <th style="width: 120px;"><?php echo JText::_('Until'); ?></th>
            <th style="width: 70px; text-align: center;"><?php echo JText::_('Expired'); ?></th>
            <th style="width: 70px; text-align: center;"><?php echo JText::_('Active'); ?></th>
          </tr>
        </thead>
        <tbody>
          <?php foreach ($this->memberships as $i => $membership): ?>
            <tr class="<?php echo $i % 2 ? 'row1' : 'row0'; ?>">
              <td><?php echo $membership->title; ?></td>
              <td>
                <ul>
                  <li><?php echo JText::_('Friends'); ?>: <span><?php echo $membership->max_friends; ?></span></li>
                  <li><?php echo JText::_('Photos'); ?>: <span><?php echo $membership->max_photos; ?></span></li>
                  <li><?php echo JText::_('Interactions'); ?>: <span><?php echo $membership->max_interactions_per_day; ?></span></li>
                  <li><?php echo JText::_('Messages'); ?>: <span><?php echo $membership->max_messages_per_day; ?></span></li>

                  <?php if ($this->settings->enable_top_friends): ?>
                    <li><?php echo JText::_('Top Friends'); ?>: <span><?php echo $membership->top_friends; ?></span></li>
                  <?php endif ?>

                  <?php if ($this->settings->enable_shoutbox): ?>
                    <li><?php echo JText::_('Shoutbox access'); ?>: <span><?php echo $membership->shoutbox; ?></span></li>
                  <?php endif ?>

                  <?php if ($this->settings->enable_chatfactory_integration): ?>
                    <li><?php echo JText::_('Chat Factory access'); ?>: <span><?php echo $membership->chatfactory; ?></span></li>
                  <?php endif ?>

                  <?php if ($this->settings->enable_groups): ?>
                    <?php if ($this->settings->groups_allow_users_create): ?>
                      <li><?php echo JText::_('Groups allowed to create'); ?>: <span><?php echo $membership->groups_create; ?></span></li>
                    <?php endif ?>

                    <li><?php echo JText::_('Groups allowed to join'); ?>: <span><?php echo $membership->groups_join; ?></span></li>
                  <?php endif ?>
                </ul>
              </td>
              <td><?php echo $membership->end_membership; ?></td>
              <td class="center"><img src="images/<?php echo $membership->expired ? 'tick' : 'publish_x'; ?>.png" /></td>
              <td class="center"><img src="images/<?php echo $membership->is_active ? 'tick' : 'publish_x'; ?>.png" /></td>
            </tr>
          <?php endforeach; ?>
        </tbody>
      </table>
	  <?php echo $this->pane->endPanel(); ?>

	  <!-- User Photo Gallery -->
	  <?php echo $this->pane->startPanel(JText::_('Photo Gallery'), 'gallery'); ?>
	    <?php if (count($this->photos)): ?>
			  <?php foreach ($this->photos as $photo): ?>
				  <div style="float: left; margin: 5px; width: <?php echo $this->settings->thumbnail_max_width; ?>px; padding: 3px; background-color: #eeeeee; border: 1px solid #999999; ">
					  <a href="<?php echo JURI::root(); ?>components/com_lovefactory/storage/photos/<?php echo $photo->user_id; ?>/<?php echo $photo->filename; ?>" target="_blank">
					    <img src="<?php echo JURI::root(); ?>components/com_lovefactory/storage/photos/<?php echo $photo->user_id; ?>/thumb_<?php echo $photo->filename; ?>" />
					  </a>
					  <br />
					  <input type="checkbox" name="delete_photo[<?php echo $photo->id; ?>]" id="delete_photo_<?php echo $photo->id; ?>" /><label for="delete_photo_<?php echo $photo->id; ?>"><?php echo JText::_('delete'); ?></label>
					</div>
				<?php endforeach; ?>

				<div style="float: ; clear: both; margin-top: 20px;">
   			  <input type="checkbox" name="delete_all" id="delete_all" /><label for="delete_all"><?php echo JText::_('Delete all'); ?></label>
		    </div>
		  <?php else: ?>
		    <?php echo JText::_('No photos found!'); ?>
		  <?php endif; ?>
		<?php echo $this->pane->endPanel(); ?>

    <!-- Reports -->
		<?php echo $this->pane->startPanel(JText::_('Reports'), 'reports'); ?>
		  <?php if (count($this->reports)): ?>
			  <table class="adminlist">
			    <thead>
			      <tr>
			        <th width="30%"><?php echo JText::_('Submited at'); ?></th>
			        <th><?php echo JText::_('Type'); ?></th>
			        <th width="20%"><?php echo JText::_('Resolved'); ?></th>
			      </tr>
			    </thead>
			    <tbody>
   			    <?php foreach ($this->reports as $i => $report): ?>
			        <tr class="<?php echo $i % 2 ? 'row1' : 'row0'; ?>">
			          <td><?php echo $report->date; ?></td>
			          <td>
  			          <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=report&task=view&id=' . $report->id); ?>">
	  		            <?php echo $this->types[$report->type_id]; ?>
		  	          </a>
			          </td>
			          <td style="text-align: center;">
			            <img src="images/<?php echo $report->status ? 'tick' : 'publish_x'; ?>.png" />
			          </td>
			        </tr>
			      <?php endforeach; ?>
			    </tbody>
			  </table>
			<?php else: ?>
			  <?php echo JText::_('No reports'); ?>
			<?php endif; ?>
	  <?php echo $this->pane->endPanel(); ?>

	  <!-- Payments -->
		<?php echo $this->pane->startPanel(JText::_('Payments'), 'payments'); ?>
		  <?php if (count($this->payments)): ?>
			  <table class="adminlist">
			    <thead>
			      <tr>
			        <th width="30%"><?php echo JText::_('Received At'); ?></th>
			        <th><?php echo JText::_('Membership'); ?></th>
			        <th width="20%"><?php echo JText::_('Amount'); ?></th>
			        <th width="20%"><?php echo JText::_('Months'); ?></th>
			        <th width="20%"><?php echo JText::_('Status'); ?></th>
			      </tr>
			    </thead>
			    <tbody>
   			    <?php foreach ($this->payments as $i => $payment): ?>
			        <tr class="<?php echo $i % 2 ? 'row1' : 'row0'; ?>">
			          <td><?php echo $payment->received_at; ?></td>
			          <td><?php echo $payment->title; ?></td>
			          <td style="text-align: right">
			            <?php echo number_format($payment->amount, 2); ?>&nbsp;<?php echo $payment->currency; ?>
			          </td>
			          <td style="text-align: center;">
			            <?php if ($payment->months == 0): ?>
			              <?php echo JText::_('unlimited'); ?>
			            <?php else: ?>
			              <?php echo $payment->months; ?>
			            <?php endif; ?>
			          </td>
			          <td><?php echo $payment->status; ?></td>
			        </tr>
			      <?php endforeach; ?>
			    </tbody>
			  </table>
			<?php else: ?>
			  <?php echo JText::_('No payments'); ?>
			<?php endif; ?>
	  <?php echo $this->pane->endPanel(); ?>

	  <!-- IPs -->
		<?php echo $this->pane->startPanel(JText::_('Ip List'), 'ips'); ?>
		  <?php if (count($this->ips)): ?>
			  <table class="adminlist">
			    <thead>
			      <tr>
			        <th><?php echo JText::_('IP'); ?></th>
			        <th width="20%"><?php echo JText::_('Last visit'); ?></th>
			        <th width="10%"><?php echo JText::_('Total visits'); ?></th>
			        <th width="10%"><?php echo JText::_('Sharing users'); ?></th>
			      </tr>
			    </thead>
			    <tbody>
   			    <?php foreach ($this->ips as $i => $ip): ?>
			        <tr class="<?php echo $i % 2 ? 'row1' : 'row0'; ?>">
			          <td style="text-align: center;"><?php echo $ip->ip; ?></td>
			          <td style="text-align: center;"><?php echo $ip->updated_at; ?></td>
			          <td style="text-align: center;"><?php echo $ip->visits; ?></td>
			          <td style="text-align: center;"><?php echo $ip->shares; ?></td>
			        </tr>
			      <?php endforeach; ?>
			    </tbody>
			  </table>
			<?php else: ?>
			  <?php echo JText::_('No ips recoreded yet!'); ?>
			<?php endif; ?>
	  <?php echo $this->pane->endPanel(); ?>

  <?php echo $this->pane->endPane(); ?>

  <input type="hidden" name="controller" value="user" />
  <input type="hidden" name="id" value="<?php echo $this->user->user_id; ?>" />
  <input type="hidden" name="option" value="com_lovefactory" />
  <input type="hidden" name="task" value="" />
</form>

<style>
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/love.png); }
  .profile td { vertical-align: top; }
</style>

<script>
  jQueryFactory(document).ready(function ($) {
    $("#unlimited").change(function () {
      if ($(this).attr("checked"))
      {
        $("#end_membership_date").hide();
      }
      else
      {
        $("#end_membership_date").show();
      }
    });

    $("#change_membership").change(function () {
      if ($(this).attr("checked"))
      {
        $("#membership_wrapper").show();
      }
      else
      {
        $("#membership_wrapper").hide();
      }
    })

    $("#unlimited").change();
  });
</script>