window.addEvent('domready', function() {
  var elements = ['infobar', 'shoutbox', 'status', 'wallpage', 'members_map', 'search_radius', 'interactions',
                  'gmaps', 'profile_friends', 'recaptcha', 'groups', 'chatfactory_integration', 'fields_location'];

  for (var i = 0, count = elements.length; i < count; i++)
  {
    var element = elements[i];

    $$('#enable_' + element).addEvent('change', function () {
      var id      = this.getProperty('id').replace('enable_', '');
      var value   = this.getProperty('value');
      var display = (1 == value) ? '' : 'none';

      $$('.' + id + '_related').setStyle('display', display);
    }).fireEvent('change');
  }

  // Custom date format
  $$('#date_format').addEvent('change', function () {
    var value = this.getProperty('value');
    var display = value == '2' ? 'inline' : 'none';

    $$('#date_custom_format_wrapper').setStyle('display', display);
  }).fireEvent('change');
});