{if !is_null($profile)}
  <h1>{jtext|sprintf:$profile->username _='GALLERY_TITLE'}</h1>

  <!-- Public photos -->
  {if count($photos[0])}
    <div style="clear: both; "></div>
    <div class="lf-title">{jtext _='GALLERY_PUBLIC_PHOTOS'}</div>

    {foreach from=$photos[0] item=photo}
      {include_partial _='image'}
    {/foreach}
  {/if}

  <!-- Photos only for friends -->
  {if count($photos[1])}
    <div style="clear: both; "></div>
    <div class="lf-title">{jtext _='GALLERY_PHOTOS_FOR_FRIENDS'}</div>

    {foreach from=$photos[1] item=photo}
      {include_partial _='image'}
    {/foreach}
  {/if}

  <!-- Private photos -->
  {if count($photos[2])}
    <div style="clear: both; "></div>
    <div class="lf-title">{jtext _='GALLERY_PRIVATE_PHOTOS'}</div>

    {foreach from=$photos[2] item=photo}
      {include_partial _='image'}
    {/foreach}
  {/if}

  <div style="clear: both; "></div>

  <br />

  <div class="lovefactory-lowercase">
    <div id="lovefactory-interaction-response" class="lovefactory-action-response" style="display: none;"></div>

    <a href="javascript: history.go(-1);" class="lovefactory-button lovefactory-go-reverse">{jtext _='GALLERY_GO_BACK'}</a>
    <a href="{jroute _='index.php?option=com_lovefactory&view=profile&id=%id%&Itemid=%Itemid%' id=$profile->user_id Itemid=$Itemid}" class="lovefactory-button lovefactory-bullet-add">{jtext _='GALLERY_VIEW_PROFILE'}</a>
    {if $my_gallery}
      <a href="{jroute _='index.php?option=com_lovefactory&view=mygallery&Itemid=%Itemid%' Itemid=$Itemid}" class="lovefactory-button lovefactory-photos">{jtext _='GALLERY_EDIT_GALLERY'}</a>
    {else}
      <span><a href="#" class="lovefactory-button lovefactory-bullet-error">{jtext _='GALLERY_REPORT_GALLERY'}</a></span>
    {/if}

    <div id="lovefactory-action"></div>
  </div>
{else}
  <h1>{jtext _='ERROR_OCCURRED'}</h1>
  <p>{jtext _='GALLERY_NOT_FOUND'}</p>
{/if}