{include_partial _='inbox/menu'}

{if !$message}
  <h1>{jtext _='ERROR_OCCURRED'}</h1>
  <p>{jtext _='MESSAGE_READ_NOT_FOUND'}</p>
{else}
  <table style="width: 100%;">
    <tbody>
      <tr>
        <td width="50%"><h1>{$message->title}</h1></td>
        <td class="lovefactory-date-cell"><span class="lovefactory-button lovefactory-date">{$message->date}</span></td>
      </tr>

      <tr>
        <td class="lovefactory-from">
          {if $message->sender_id}
            <a class="lovefactory-button lovefactory-user" href="{jroute _='index.php?option=com_lovefactory&view=profile&id=%id%&Itemid=%Itemid%' id=$message->sender_id Itemid=$Itemid}">{$message->_sender_username}</a>
          {else}
            <span class="lovefactory-button lovefactory-cog">{jtext _='MESSAGE_SYSTEM'}</span>
          {/if}

          <span style="text-transform: lowercase;">{jtext _='MESSAGE_READ_TO'}</span>

          {if $message->receiver_id}
            <a class="lovefactory-button lovefactory-user" href="{jroute _='index.php?option=com_lovefactory&view=profile&id=%id%&Itemid=%Itemid%' id=$message->receiver_id Itemid=$Itemid}">{$message->_receiver_username}</a>
          {else}
            {jtext _='MESSAGE_SYSTEM'}
          {/if}
        </td>
        <td>
        </td>
      </tr>

      <tr>
        <td colspan="2" class="lovefactory-message-read">{$message->text|nl2br}</td>
      </tr>

      <tr>
        <td id="lovefactory-actions" colspan="2" style="text-transform: lowercase; ">
          <div id="lovefactory-interaction-response" class="lovefactory-action-response" style="display: none;"></div>

          <div style="float: left;">
            {if $message->sender_id && !$message->_my_message}
              <a href="#" id="lovefactory-quick-reply" class="lovefactory-button lovefactory-bullet-add">{jtext _='MESSAGE_READ_QUICK_REPLY'}</a>
            {/if}
            <a href="{jroute _='index.php?option=com_lovefactory&controller=message&task=delete&id=%id%&Itemid=%Itemid%' id=$message->id Itemid=$Itemid}" class="lovefactory-button lovefactory-bullet-delete">{jtext _='MESSAGE_READ_DELETE'}</a>
          </div>

          {if $message->sender_id && !$message->_my_message}
            <div style="float: right;">
              <a href="{jroute _='index.php?option=com_lovefactory&view=messagewrite&message_id=%id%&Itemid=%Itemid%' id=$message->id Itemid=$Itemid}" id="lovefactory-message-reply" class="lovefactory-button lovefactory-bullet-add">{jtext _='MESSAGE_READ_REPLY'}</a>

              {if !$message->reported}
                <a href="#" id="lovefactory-message-report" class="lovefactory-button lovefactory-bullet-error">{jtext _='MESSAGE_READ_REPORT'}</a>
              {/if}

              {if !$message->_blacklisted}
                <a href="#" id="lovefactory-message-ignore" class="lovefactory-button lovefactory-bullet-add">{jtext _='MESSAGE_READ_BLACKLIST_USER'}</a>
              {/if}
            </div>
          {/if}
          <div style="clear: both;"></div>
          <div id="lovefactory-action-report" style="display: none;"></div>
        </td>
      </tr>

      <tr>
        <td id="lovefactory-action" colspan="2"></td>
      </tr>

    </tbody>
  </table>
{/if}
