<h1>{jtext _='MY_GALLERY_PHOTO_TITLE'}</h1>

{load_template _='menu'}

<ul class="lf-list" id="lf-media-photo">
  <!-- Public Media -->
  <li class="lf-media-container" id="lf-media-public">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title">{jtext _='MY_GALLERY_PUBLIC_PHOTOS'}</a>

    <div>
      <!-- Media List -->
      {load_template _='photo_list' list=$public_photos}

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: {if $settings->my_gallery_action_links}hidden{/if}; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-public" class="lf-check-all" /><label for="lf-all-public">{jtext _='MY_GALLERY_CHECK_ALL'}</label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-image-star">{jtext _='MY_GALLERY_SET_AVATAR'}</a></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-delete lf-batch-delete">{jtext _='MY_GALLERY_DELETE'}</a></td>
          {if $settings->enable_gravatar_integration}
            <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-add">{jtext _='MY_GALLERY_ADD_GRAVATAR'}</a></td>
          {/if}
          <td><span class="lovefactory-picture_add"><input type="button" class="lf-button" /></span></td>
        </tr>
      </table>

      <!-- Upload progress bar -->
      <div class="lf-upload">
        <div class="lf-info" style="display: none;"><b>{jtext _='MY_GALLERY_UPLOAD_CURRENT_FILE'}:</b> <span class="lf-current-file"></span> (<span class="lf-current"></span>/<span class="lf-total"></span>)</div>
        <div class="lf-progressbar" style="display: none;"></div>
      </div>

    </div>
  </li>

  <!-- For Friends Media -->
  <li class="lf-media-container" id="lf-media-friends">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title">{jtext _='MY_GALLERY_PHOTOS_FOR_FRIENDS'}</a>

    <div>
      <!-- Media List -->
      {load_template _='photo_list' list=$friends_photos}

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: {if $settings->my_gallery_action_links}hidden{/if}; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-friends" class="lf-check-all" /><label for="lf-all-friends">{jtext _='MY_GALLERY_CHECK_ALL'}</label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-delete lf-batch-delete">{jtext _='MY_GALLERY_DELETE'}</a></td>
          {if $settings->enable_gravatar_integration}
            <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-add">{jtext _='MY_GALLERY_ADD_GRAVATAR'}</a></td>
          {/if}
          <td><span class="lovefactory-picture_add"><input type="button" class="lf-button" /></span></td>
        </tr>
      </table>

      <!-- Upload progress bar -->
      <div class="lf-upload">
        <div class="lf-info" style="display: none;"><b>{jtext _='MY_GALLERY_UPLOAD_CURRENT_FILE'}:</b> <span class="lf-current-file"></span> (<span class="lf-current"></span>/<span class="lf-total"></span>)</div>
        <div class="lf-progressbar" style="display: none;"></div>
      </div>

    </div>
  </li>

  <!-- Private Media -->
  <li class="lf-media-container" id="lf-media-private">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title">{jtext _='MY_GALLERY_PRIVATE_PHOTOS'}</a>

    <div>
      <!-- Media List -->
      {load_template _='photo_list' list=$private_photos}

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: {if $settings->my_gallery_action_links}hidden{/if}; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-private" class="lf-check-all" /><label for="lf-all-private">{jtext _='MY_GALLERY_CHECK_ALL'}</label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-delete lf-batch-delete">{jtext _='MY_GALLERY_DELETE'}</a></td>
          {if $settings->enable_gravatar_integration}
            <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-add">{jtext _='MY_GALLERY_ADD_GRAVATAR'}</a></td>
          {/if}
          <td><span class="lovefactory-picture_add"><input type="button" class="lf-button" /></span></td>
        </tr>
      </table>

      <!-- Upload progress bar -->
      <div class="lf-upload">
        <div class="lf-info" style="display: none;"><b>{jtext _='MY_GALLERY_UPLOAD_CURRENT_FILE'}:</b> <span class="lf-current-file"></span> (<span class="lf-current"></span>/<span class="lf-total"></span>)</div>
        <div class="lf-progressbar" style="display: none;"></div>
      </div>

    </div>
  </li>
</ul>

<div style="clear: both;"></div>