<?php defined('_JEXEC') or die('Restricted access'); ?>

<h1><?php echo JText::_('MY_MEMBERSHIPS_TITLE'); ?></h1>

<table cellpadding="0px" cellspacing="0px" class="lovefactory-table">
  <thead>
    <tr>
      <th style="width: 100px;"><?php echo JText::_('MY_MEMBERSHIPS_MEMBERSHIP_TITLE'); ?></th>
      <th style="width: 200px;"><?php echo JText::_('MY_MEMBERSHIPS_MEMBERSHIP_INFO'); ?></th>
      <th style="width: 120px;"><?php echo JText::_('MY_MEMBERSHIPS_UNTIL'); ?></th>
      <th style="width: 70px; text-align: center;"><?php echo JText::_('MY_MEMBERSHIPS_EXPIRED'); ?></th>
      <th style="width: 70px; text-align: center;"><?php echo JText::_('MY_MEMBERSHIPS_ACTIVE'); ?></th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <?php foreach ($this->memberships as $i => $membership): ?>
      <tr class="<?php echo $i % 2 ? 'even' : ''; ?>">
        <td><?php echo $membership->title; ?></td>
        <td>
          <ul class="lovefactory-membership-info">
            <li><div class="lovefactory-div"><?php echo JText::_('MY_MEMBERSHIPS_FRIENDS'); ?>:</div> <span><?php echo $membership->max_friends; ?></span></li>
            <li><div class="lovefactory-div"><?php echo JText::_('MY_MEMBERSHIPS_PHOTOS'); ?>:</div> <span><?php echo $membership->max_photos; ?></span></li>
            <li><div class="lovefactory-div"><?php echo JText::_('MY_MEMBERSHIPS_VIDEOS'); ?>:</div> <span><?php echo $membership->max_videos; ?></span></li>
            <li><div class="lovefactory-div"><?php echo JText::_('MY_MEMBERSHIPS_INTERACTIONS'); ?>:</div> <span><?php echo $membership->max_interactions_per_day; ?></span></li>
            <li><div class="lovefactory-div"><?php echo JText::_('MY_MEMBERSHIPS_MESSAGES'); ?>:</div> <span><?php echo $membership->max_messages_per_day; ?></span></li>

            <?php if ($this->settings->enable_top_friends): ?>
              <li><div class="lovefactory-div"><?php echo JText::_('MY_MEMBERSHIPS_TOP_FRIENDS'); ?>:</div> <span><?php echo $membership->top_friends; ?></span></li>
            <?php endif; ?>

            <?php if ($this->settings->enable_shoutbox): ?>
              <li><div class="lovefactory-div"><?php echo JText::_('MY_MEMBERSHIPS_SHOUTBOX_ACCESS'); ?>:</div> <span><?php echo $membership->shoutbox; ?></span></li>
            <?php endif; ?>

            <?php if ($this->settings->enable_chatfactory_integration): ?>
              <li><div class="lovefactory-div"><?php echo JText::_('MY_MEMBERSHIPS_CHAT_FACTORY_ACCESS'); ?>:</div> <span><?php echo $membership->chatfactory; ?></span></li>
            <?php endif; ?>

            <?php if ($this->settings->enable_groups): ?>
              <?php if ($this->settings->groups_allow_users_create): ?>
                <li><div class="lovefactory-div"><?php echo JText::_('MY_MEMBERSHIPS_GROUPS_CREATE'); ?>:</div> <span><?php echo $membership->groups_create; ?></span></li>
              <?php endif; ?>

              <li><div class="lovefactory-div"><?php echo JText::_('MY_MEMBERSHIPS_GROUPS_JOIN'); ?>:</div> <span><?php echo $membership->groups_join; ?></span></li>
            <?php endif; ?>
          </ul>
        </td>
        <td><?php echo $membership->end_membership; ?></td>
        <td class="center"><img src="administrator/images/<?php echo $membership->expired ? 'tick' : 'publish_x'; ?>.png" alt="<?php echo $membership->expired ? 'expired' : 'not expired'; ?>" /></td>
        <td class="center"><img src="administrator/images/<?php echo $membership->is_active ? 'tick' : 'publish_x'; ?>.png" alt="<?php echo $membership->is_active ? 'active' : 'not active'; ?>" /></td>
        <td></td>
      </tr>
    <?php endforeach; ?>
  </tbody>
</table>

<div>
  <?php echo $this->pagination->getPagesLinks(); ?>
</div>