<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewMyRelationship extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $renderer =& JModel::getInstance('renderer', 'FrontendModel');
    $friends  =& JModel::getInstance('friends',  'FrontendModel');

    $settings =  new LovefactorySettings();

    $requests     =& $friends->getRequests();
    $zones        =& $friends->getZones();
    $relationship =& $friends->getRelationship();
    $view         =& JRequest::getVar('view', '', 'REQUEST', 'word');

    $this->assignRef('relationship', $relationship);
    $this->assignRef('requests',     $requests);
    $this->assignRef('renderer',     $renderer);
    $this->assignRef('zones',        $zones);
    $this->assignRef('Itemid',       $Itemid);
    $this->assignRef('settings',     $settings);
    $this->assignRef('view',         $view);

    JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('search.css',  'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('friends.css', 'components/com_lovefactory/assets/css/views/');

    parent::display($tpl);
  }
}