{if !is_null($photo)}
  <h1>{jtext|@sprintf:$photo->username _='PHOTO_TITLE'}</h1>

  <div style="text-align: center;">
    <img src="{$photo->getSource()}" alt="Photo" />
  </div>

  <a name="comments"></a>
  <fieldset class="lovefactory-system">
    <legend>{jtext _='PHOTO_COMMENTS'}</legend>

    <div class="lovefactory-action-response" id="lovefactory-comment-response" style="display: none;"></div>

    <div class="lovefactory-new-comment">
      {if 0 == $visitor->status}
        <a href="{jroute _='index.php?option=com_user&view=login&Itemid=%Itemid%&return=%return%' Itemid=$Itemid return=$visitor->referer}" style="text-transform: capitalize;">{jtext _='PHOTO_LOGIN'}</a> {jtext _='PHOTO_TO_ADD_COMMENT'}
      {elseif 1 == $visitor->status}
        <a href="{jtext _='index.php?option=com_lovefactory&view=fillin&Itemid=%Itemid%' Itemid=$Itemid}" style="text-transform: capitalize;">{jtext _='PHOTO_FILLIN_PROFILE'}</a> {jtext _='PHOTO_TO_ADD_COMMENT'}
      {else}
        <a href="#" id="lovefactory-add-comment" class="lovefactory-button lovefactory-go">{jtext _='PHOTO_ADD_YOUR_COMMENT'}</a>
      {/if}
    </div>

    <div id="lovefactory-comments">
      {include_partial _='list'}
    </div>
  </fieldset>
{else}
  <h1>{jtext _='ERROR_OCCURRED'}</h1>
  <p>{jtext _='PHOTO_NOT_FOUND'}</p>
{/if}