<div id="lovefactory-search-results">

{if $show}
  {include_partial _='quicksearch/header'}

  <div class="loading" id="lf-loading-bar" style="display: none;"></div>

  <div class="pagination">{$pagination->getPagesLinks()}</div>

  {if $results|@count}

    <div id="container">
      <div id="list">

        {foreach from=$results key=i item=profile}
          {include_partial _='quicksearch/profile'}

          {if $i % 2 == 1}
            <div style="clear: both;"></div>
          {/if}

          {if isset($adsense)}
            {foreach from=$adsense item=item}

              {if ($i+1) % $item->rows == 0}
                {$item->script}
              {/if}
            {/foreach}
          {/if}
        {/foreach}

        <div style="clear: both;"></div>

      </div>
    </div>
  {else}
    <span style="margin-left: 10px; ">{jtext _='SEARCH_NO_MATCHES_FOUND'}</span>
  {/if}

  <div style="clear: both;"></div>

  <div class="pagination pag-2">{$pagination->getPagesLinks()}</div>


  {if (!isset($hide_goto_form) && $pagination->total)}
    <div>
      <a href="#" id="lovefactory-goto-form" class="lovefactory-button lovefactory-bullet-up">{jtext _='SEARCH_GO_TO_FORM'}</a>
    </div>
  {/if}
{/if}

</div>