<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewRadiusSearch extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $document  =& JFactory::getDocument();
    $settings  =  new LovefactorySettings();
    $defaults  =& $this->get('Defaults');
    $sex_field =& $this->get('SexField');

    $this->assignRef('settings',  $settings);
    $this->assignRef('sex_field', $sex_field);
    $this->assign('unit', !$settings->distances_unit ? JText::_('KM') : JText::_('MI'));

    $document->addScriptDeclaration('var root                  = "' . JURI::root() . '";');
    $document->addScriptDeclaration('var unit                  = "' . (!$settings->distances_unit ? 100 : 160) . '";');
    $document->addScriptDeclaration('var max_search_radius     = "' . $settings->max_search_radius . '";');
    $document->addScriptDeclaration('var start_x               = "' . $defaults->x . '";');
    $document->addScriptDeclaration('var start_y               = "' . $defaults->y . '";');
    $document->addScriptDeclaration('var start_z               = '  . $defaults->z . ';');
    $document->addScriptDeclaration('var lf_group_members      = '  . $settings->search_radius_group_users . ';');
    $document->addScriptDeclaration('var lf_group_members_zoom = '  . $settings->search_radius_group_zoom . ';');
    $document->addScriptDeclaration('var Itemid                = '  . $Itemid . ';');


    JHtmlFactory::jQueryScript();
    JHTML::script('?file=api&amp;v=2&amp;sensor=false&amp;key=' . $settings->gmaps_api_key, 'http://maps.google.com/maps');
    JHTML::script('member.js',            'components/com_lovefactory/assets/js/');
    JHTML::script('radiussearch.js',      'components/com_lovefactory/assets/js/views/');
    JHTML::script('markercluster.packed.js', 'components/com_lovefactory/assets/js/');
    JHTML::script('gmaps.unload.js',      'components/com_lovefactory/assets/js/');

    JHTML::stylesheet('main.css',         'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css',      'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('radiussearch.css', 'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('membersmap.css',   'components/com_lovefactory/assets/css/views/');

    parent::display($tpl);
  }
}