<?php

defined('_JEXEC') or die('Restricted access');

class BackendControllerPage extends BackendController
{
	function __construct()
	{
		parent::__construct();

		$this->registerTask('apply', 'save');
	}

  function edit()
  {
    JRequest::setVar('view', 'page');
    JRequest::setVar('layout', 'form');
    JRequest::setVar('hidemainmenu', 1);

    parent::display();
  }

  function cancel()
  {
    $msg = JText::_('Operation Cancelled');
    $this->setRedirect('index.php?option=com_lovefactory&task=pages', $msg);
  }

  function save()
  {
    $model = $this->getModel('page');

    if ($model->store())
    {
      $msg = JText::_('Page Saved!');
    }
    else
    {
      $msg = JText::_('Error Saving Page!');
    }

    if ($this->getTask() == 'apply')
    {
      $this->setRedirect('index.php?option=com_lovefactory&controller=page&task=edit&cid[]=' . $model->saved_id, $msg);
    }
    else
    {
      $this->setRedirect('index.php?option=com_lovefactory&task=pages', $msg);
    }
  }
}