<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_lovefactory"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require(JModuleHelper::getLayoutPath('mod_lovefactory_groups_popular', 'error'));
}
else
{
  global $Itemid;

  $groups = intval($params->get('groups', 5));

  $query = ' SELECT g.id, g.title, COUNT(m.id) AS members'
         . ' FROM #__lovefactory_groups g'
         . ' LEFT JOIN #__lovefactory_group_members m ON m.group_id = g.id'
         . ' GROUP BY g.id'
         . ' ORDER BY COUNT(m.id) DESC'
         . ' LIMIT 0, ' . $groups;
  $database->setQuery($query);
  $groups = $database->loadObjectList();

  JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('modules.css', 'components/com_lovefactory/assets/css/');

  require(JModuleHelper::getLayoutPath('mod_lovefactory_groups_popular'));
}