<?php
defined('_JEXEC') or die('Restricted access');

$database =& JFactory::getDBO();

// Integration check
$query = ' SELECT COUNT(c.id)'
       . ' FROM #__components c'
       . ' WHERE c.option="com_lovefactory"';
$database->setQuery($query);
$db_check = $database->loadResult();

$file_check = file_exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');

if (!$db_check || !$file_check)
{
  require(JModuleHelper::getLayoutPath('mod_lovefactory_latest', 'error'));
}
else
{
  global $Itemid;

  $no_of_members = $params->get('no_of_members', 6);
  $limit         = $params->get('no_per_page', 2);
  $limitstart    = 0;

  require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');
  require_once(JPATH_SITE.DS.'components'.DS.'com_lovefactory'.DS.'lib'.DS.'vendor'.DS.'html.php');
  $settings = new LovefactorySettings();

    // Get members
    $query = ' SELECT p.*, u.username, u.email as _email'
           . ' FROM #__lovefactory_profiles p'
           . ' LEFT JOIN #__users u ON u.id = p.user_id'
           . ' WHERE p.online = 0'
           . ' AND p.validated = 1'
           . ' AND u.block = 0'
           . ' ORDER BY p.date DESC, p.user_id DESC'
           . ' LIMIT 0,' . $no_of_members;
    $database->setQuery($query);
    $members = $database->loadObjectList();

    // Get main photo field
    JTable::addIncludePath(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_lovefactory'.DS.'tables');
    $field = JTable::getInstance('field', 'Table');
    $field->getMainPhoto();

    foreach ($members as $i => $member)
    {
      $profile = JTable::getInstance('profile', 'Table');
      $profile->bind($member);
      $profile->_email = $member->_email;

      switch ($field->visibility)
      {
        case 0: // Hidden
          $src = JURI::root() . 'components/com_lovefactory/assets/images/love.png';
        break;

        case 1: // Visible for all
          $src = $profile->getMainPhotoSource(true);
        break;

        case 2: // Visible only for friends
          $user =& JFactory::getUser();

          if ($user->id == $profile->user_id)
          {
            $is_friend = 1;
          }
          else
          {
            $query = ' SELECT f.id'
                   . ' FROM #__lovefactory_friends f'
                   . ' WHERE ((f.sender_id = ' . $profile->user_id . ' AND f.receiver_id = ' . $user->id . ')'
                   . ' OR (f.sender_id = ' . $user->id . ' AND f.receiver_id = ' . $profile->user_id . '))'
                   . ' AND f.pending = 0';
            $database->setQuery($query);
            $is_friend = $database->loadResult();
          }

          if ($is_friend)
          {
            $src = $profile->getMainPhotoSource(true);
          }
          else
          {
            $src = JURI::root() . 'components/com_lovefactory/assets/images/love.png';
          }
        break;
      }

      $members[$i]->photo_src = $src;
    }

  $root = JURI::root();

  $document =& JFactory::getDocument();
  $document->addScriptDeclaration('var lf_latest_pages = ' . ceil(count($members) / $limit) . ';');

  JHtmlFactory::jQueryScript();
  JHTML::script('mod_lovefactory_latest.js', 'modules/mod_lovefactory_latest/assets/js/');
  JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
  JHTML::stylesheet('modules.css', 'components/com_lovefactory/assets/css/');

  require(JModuleHelper::getLayoutPath('mod_lovefactory_latest'));
}