<?php

defined('_JEXEC') or die('Restricted access');

require_once(dirname(__FILE__).DS.'helper.php');

if (!modLoveFactoryShoutboxHelper::getIntegration())
{
  require(JModuleHelper::getLayoutPath('mod_lovefactory_shoutbox', 'error'));
}
else
{
  require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_lovefactory'.DS.'settings.php');
  $settings = new LovefactorySettings();

  if (0 == $settings->enable_shoutbox)
  {
    require(JModuleHelper::getLayoutPath('mod_lovefactory_shoutbox', 'not_enabled'));
  }
  else
  {
    global $Itemid;
    require_once(JPATH_SITE.DS.'components'.DS.'com_lovefactory'.DS.'lib'.DS.'vendor'.DS.'TheFactoryHelper.class.php');

    $access = modLoveFactoryShoutboxHelper::getAccess();

    if (0 == $access)
    {
      require(JModuleHelper::getLayoutPath('mod_lovefactory_shoutbox', 'no_access'));
    }
    else
    {
      require_once(JPATH_SITE.DS.'components'.DS.'com_lovefactory'.DS.'lib'.DS.'vendor'.DS.'html.php');

      JHtmlFactory::jQueryScript('effects', 'effects-highlight');
      JHTML::script('mod_lovefactory_shoutbox.js', 'modules/mod_lovefactory_shoutbox/assets/js/');

      JHTML::stylesheet('main.css',    'components/com_lovefactory/assets/css/');
      JHTML::stylesheet('buttons.css', 'components/com_lovefactory/assets/css/');
      JHTML::stylesheet('modules.css', 'components/com_lovefactory/assets/css/');

      $limit    = $settings->shoutbox_messages;
      $interval = $settings->shoutbox_refresh_interval;

      $messages = modLoveFactoryShoutboxHelper::getMessages($limit);
      $last_id  = count($messages) ? $messages[0]->id : 0;

      $document =& JFactory::getDocument();
      $document->addScriptDeclaration('var lovefactory_shoutbox_last     = ' . $last_id  . ';');
      $document->addScriptDeclaration('var lovefactory_shoutbox_interval = ' . $interval . ';');
      $document->addScriptDeclaration('var lovefactory_shoutbox_limit    = ' . $limit    . ';');

      require(JModuleHelper::getLayoutPath('mod_lovefactory_shoutbox'));
    }
  }
}