<?php

defined('_JEXEC') or die('Restricted access');

class TableGroupPost extends JTable
{
	var $id          = null;
	var $group_id    = null;
	var $user_id     = null;
	var $text        = null;
	var $parent_id   = null;
	var $reported    = null;
	var $created_at  = null;

	function __construct(&$db)
	{
		parent::__construct('#__lovefactory_group_posts', 'id', $db);
	}

	function store($updateNulls = false)
	{
	  if (is_null($this->id))
	  {
	    $date =& JFactory::getDate();

	    $this->created_at = $date->toMySql();
	  }

	  return parent::store($updateNulls);
	}

	function delete($oid = null)
	{
	  // Delete replies if post is root
	  if (!$this->parent_id)
	  {
	    $this->_deleteReplies();
	  }

	  return parent::delete($oid);
	}

	function _deleteReplies()
	{
	  $query = ' DELETE'
	         . ' FROM #__lovefactory_group_posts'
	         . ' WHERE parent_id = ' . $this->id;
	  $this->_db->setQuery($query);

	  return $this->_db->query();
	}
}
