<?php

defined('_JEXEC') or die('Restricted access');

class TablePrice extends JTable
{
	var $id                 = null;
	var $membership_id      = null;
	var $published          = null;
	var $price              = null;
	var $months             = null;
	var $gender_prices      = null;
	var $is_trial           = null;
	var $available_interval = null;
	var $available_from     = null;
	var $available_until    = null;
	var $new_trial          = null;

	function TablePrice(&$db)
	{
		parent::__construct('#__lovefactory_pricing', 'id', $db);
	}

	function hasGender($gender)
	{
	  $genders = $this->getGenders();

	  return -1 != @$genders[$gender];
	}

	function getGenders()
	{
	  $exploded = explode("\n", $this->gender_prices);

	  $array = array();
	  foreach ($exploded as $gender)
	  {
	    $price = explode('=', $gender);

	    if (2 == count($price))
	    {
	      $array[$price[0]] = $price[1];
	    }
	  }

	  return $array;
	}

	function getGenderPrice($gender)
	{
	  $genders = $this->getGenders();

	  return $genders[$gender];
	}

	function bind($from, $ignore = array())
	{
	  if (!parent::bind($from))
	  {
	    return false;
	  }

	  if ($this->is_trial)
	  {
	    $this->price         = 0;
	    $this->gender_prices = '';
	  }

	  return true;
	}
}
