<?php defined('_JEXEC') or die('Restricted access'); ?>

<style>
  .icon-48-generic { background-image: url(<?php echo JURI::root(); ?>components/com_lovefactory/assets/images/love.png); }
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm">

  <table class="admintable" width="100%">
		<tr valign="top">
			<td width="50%">
				<fieldset>
					<legend><?php echo JText::_('Field properties'); ?></legend>

					<table width="100%">
						<?php if ($this->field->id): ?>
						  <tr>
							  <td class="key" width="20%" align="right"><?php echo JText::_('ID'); ?>:</td>
							  <td width="80%"><strong><?php echo $this->field->id; ?></strong></td>
						  </tr>
						<?php endif; ?>

						<tr>
							<td class="key" align="right"><label for="type_id"><?php echo JText::_('Type'); ?>:</label></td>
							<td>
							  <?php if ($this->field->system): ?>
							    <?php echo $this->types[$this->field->type_id]; ?> - <?php echo JText::_('System field'); ?>
							  <?php else: ?>
							    <select name="type_id" id="type_id">
							      <option value="1" <?php echo ($this->field->type_id == 1) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Text field'); ?></option>
							      <option value="2" <?php echo ($this->field->type_id == 2) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Text area'); ?></option>
							      <option value="3" <?php echo ($this->field->type_id == 3) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Drop down (single select)'); ?></option>
							      <option value="4" <?php echo ($this->field->type_id == 4) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Drop down (multiple select)'); ?></option>
							      <option value="5" <?php echo ($this->field->type_id == 5) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Checkboxes'); ?></option>
							      <option value="6" <?php echo ($this->field->type_id == 6) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Radio buttons'); ?></option>
							  </select>
							  <?php endif; ?>
							</td>
						</tr>

						<tr id="error-title" class="error" style="display: none;">
						  <td colspan="2">&darr;&nbsp;<?php echo JText::_('This field is required'); ?>&nbsp;&darr;</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="title"><?php echo JText::_('Title'); ?>:</label></td>
							<td><input class="inputbox" type="text" id="title" name="title" size="50" maxlength="255" value="<?php echo $this->field->title; ?>" /></td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="show_title"><?php echo JText::_('Show title'); ?>:</label></td>
							<td>
							  <select name="show_title" id="show_title">
							    <option value="0" <?php echo (!$this->field->show_title) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
							    <option value="1" <?php echo ($this->field->show_title) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							  </select>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="published"><?php echo JText::_('Published'); ?>:</label></td>
							<td>
							  <select name="published" id="published">
							    <option value="0" <?php echo (!$this->field->published) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
							    <option value="1" <?php echo ($this->field->published) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							  </select>
							</td>
						</tr>

						<tr>
							<td class="key" align="right"><label for="required"><?php echo JText::_('Required'); ?>:</label></td>
							<td>
							  <select name="required" id="required">
							    <option value="0" <?php echo (!$this->field->required) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
							    <option value="1" <?php echo ($this->field->required) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							  </select>
							</td>
						</tr>

						<?php if (!$this->field->system): ?>
						  <tr>
						    <td class="key" align="right"><label for="visibility"><?php echo JText::_('Visibility'); ?>:</label></td>
						    <td>
							    <select name="visibility" id="visibility">
							      <option value="0" <?php echo ($this->field->visibility == 0) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Hidden'); ?></option>
  							    <option value="1" <?php echo ($this->field->visibility == 1) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Visible for All'); ?></option>
							      <option value="2" <?php echo ($this->field->visibility == 2) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Visible only for Friends'); ?></option>
							    </select>
							  </td>
						  </tr>
						<?php endif; ?>

						<?php if (!$this->field->system): ?>
						  <tr>
							  <td class="key" align="right"><label for="user_visibility"><?php echo JText::_('Allow users to change visibility'); ?>:</label></td>
							  <td>
							    <select name="user_visibility" id="user_visibility">
							      <option value="0" <?php echo (!$this->field->user_visibility) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
							      <option value="1" <?php echo ($this->field->user_visibility) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
							    </select>
							  </td>
						  </tr>
						<?php endif; ?>

						<tr>
							<td class="key" align="right"><label for="description"><?php echo JText::_('Description'); ?>:</label></td>
							<td><textarea class="text_area" id="description" name="description" rows="5" cols="30"><?php echo $this->field->description; ?></textarea></td>
						</tr>

					</table>
				</fieldset>
			</td>

			<td width="50%">
				<?php echo $this->pane->startPane("params-pane"); ?>

				  <?php echo $this->pane->startPanel(JText::_('Field Specific Parameters'), 'params-page'); ?>
			      <div id="parameters">
			        <?php if (file_exists(dirname(__FILE__).DS.'types'.DS.'field_' . $this->field->type_id . '.php')): ?>
			          <?php require_once('types'.DS.'field_' . $this->field->type_id . '.php'); ?>
			        <?php else: ?>
			          <?php echo JText::_('No parameters.'); ?>
			        <?php endif; ?>
			      </div>
			    <?php echo $this->pane->endPanel(); ?>

			    <?php echo $this->pane->startPanel(JText::_('Labels'), 'titles-page'); ?>
			      <table>
			        <tr>
							  <td class="key" align="right"><label for="title_view"><?php echo JText::_('View page'); ?>:</label></td>
							  <td><input class="inputbox" type="text" id="title_view" name="title_view" size="50" maxlength="255" value="<?php echo $this->field->title_view; ?>" /></td>
						  </tr>

						  <tr>
							  <td class="key" align="right"><label for="title_edit"><?php echo JText::_('Edit page'); ?>:</label></td>
							  <td><input class="inputbox" type="text" id="title_edit" name="title_edit" size="50" maxlength="255" value="<?php echo $this->field->title_edit; ?>" /></td>
						  </tr>

						  <tr>
							  <td class="key" align="right"><label for="title_search"><?php echo JText::_('Search page'); ?>:</label></td>
							  <td><input class="inputbox" type="text" id="title_search" name="title_search" size="50" maxlength="255" value="<?php echo $this->field->title_search; ?>" /></td>
						  </tr>
						</table>
						<div style="margin-top: 10px;">
						  <p><?php echo JText::_('If specified, these labels will be used instead of the title on the respective page.'); ?></p>
						  <p><?php echo JText::_('For example: the field date of birth on the edit page should be labeld as "date of birth", but on the view page it should be labeld as "age" and on the search page as "age between".'); ?></p>
						</div>
			    <?php echo $this->pane->endPanel(); ?>

			  <?php echo $this->pane->endPane(); ?>
			</td>

		</tr>
	</table>
  <input type="hidden" name="controller" value="field" />
  <input type="hidden" name="id" value="<?php echo $this->field->id; ?>" />
  <input type="hidden" name="option" value="com_lovefactory" />
  <input type="hidden" name="task" value="" />
</form>