<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.html.pane');

class BackendViewFields extends JView
{
  function display($tpl = null)
  {
    JToolBarHelper::title(JText::_('Fields'), 'generic.png');
    JToolBarHelper::custom('verifyfields', 'database', '', 'Fields integrity check', false);
    JToolBarHelper::divider();
    JToolBarHelper::publishList();
    JToolBarHelper::unpublishList();
    JToolBarHelper::addNewX();
    JToolBarHelper::editListX();
    JToolBarHelper::deleteList(JText::_('Are you sure you want to delete these fields?'));

    $fields     =& $this->get('Data');
    $pagination =& $this->get('Pagination');
    $lists		  =& $this->_getViewLists();
    $pane       =& JPane::getInstance('tabs');

    $this->assignRef('fields',     $fields);
    $this->assignRef('pagination', $pagination);
    $this->assignRef('lists',      $lists);
    $this->assignRef('pane',       $pane);

    parent::display($tpl);
  }

	function &_getViewLists()
	{
		global $mainframe, $option;

		$filter_order     = $mainframe->getUserStateFromRequest($option . 'filter_order',     'filter_order',     'title', 'cmd');
    $filter_order_Dir = $mainframe->getUserStateFromRequest($option . 'filter_order_Dir', 'filter_order_Dir', 'asc',   'word');
    $filter_state		  = $mainframe->getUserStateFromRequest($option . 'filter_state',		  'filter_state',		  '',			 'word' );
    $search				    = $mainframe->getUserStateFromRequest($option . 'search',			      'search',			      '',			 'string');
		$search				    = JString::strtolower($search);
		$system		        = $mainframe->getUserStateFromRequest($option . '.fields.system',		'system',		        '',			 'string');

		// table ordering
		$lists['order_Dir']	= $filter_order_Dir;
		$lists['order']		  = $filter_order;

		// search
		$lists['search'] = $search;

		// state
		$lists['state'] = $filter_state;

		// system
		$lists['system'] = $system;

		// system
		$lists['systems'] = array();
		$lists['systems'][] = JHTML::_('select.option', '',  JText::_('- Select Type -'));
		$lists['systems'][] = JHTML::_('select.option', '1', JText::_('System'));
		$lists['systems'][] = JHTML::_('select.option', '0', JText::_('User'));

		return $lists;
	}
}
