<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class BackendViewGroups extends JView
{
  function display($tpl = null)
  {
    JToolBarHelper::title(JText::_('Groups'), 'generic.png');

    JToolBarHelper::addNew();
    JToolBarHelper::editListX();
    JToolBarHelper::deleteList();

    $settings    =  new LovefactorySettings();
    $groups      =& $this->get('Data');
    $pagination  =& $this->get('Pagination');
    $lists		   =& $this->_getViewLists();

    $this->assignRef('groups',     $groups);
    $this->assignRef('pagination', $pagination);
    $this->assignRef('lists',      $lists);
    $this->assignRef('settings',   $settings);

    parent::display($tpl);
  }

  function &_getViewLists()
	{
		global $mainframe, $option;

		$filter_order     = $mainframe->getUserStateFromRequest($option.'.groups.filter_order',     'filter_order',     'title', 'cmd');
    $filter_order_Dir = $mainframe->getUserStateFromRequest($option.'.groups.filter_order_Dir', 'filter_order_Dir', 'asc',   'word');
    $filter_state		  = $mainframe->getUserStateFromRequest($option.'.groups.filter_state',		  'filter_state',		  '',			 'word');

		// table ordering
		$lists['order_Dir']	= $filter_order_Dir;
		$lists['order']		  = $filter_order;

		// state
		$lists['state'] = $filter_state;

		return $lists;
	}
}