<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class BackendViewPayment extends JView
{
  function display($tpl = null)
  {
    $payment = $this->get('Data');

    if (!$payment)
    {
      JError::raiseWarning('ERROR', JText::_('Payment not found!'));
      global $mainframe;
      $mainframe->redirect('index.php?option=com_lovefactory&task=payments');
    }

    require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'settings.php');

    if ($payment->status == 'manual-check')
    {
      JToolBarHelper::save();
    }

    $settings = new LovefactorySettings();

    $this->assignRef('payment',  $payment);
    $this->assignRef('settings', $settings);

    JToolBarHelper::title(JText::_('Payment').': <small><small>[ ' . JText::_('View') .' ]</small></small>');
    JToolBarHelper::cancel('cancel', JText::_('Close'));

    parent::display($tpl);
  }

  function log($tpl = null)
  {
    $log = file_get_contents(JPATH_COMPONENT_ADMINISTRATOR.DS.'payments_log.txt');

    $this->assignRef('log', $log);
    JToolBarHelper::title(JText::_('Payments full log'));
    JToolBarHelper::save('saveLog');
    JToolBarHelper::cancel('cancel', 'Close');

    parent::display($tpl);
  }
}