<?php defined('_JEXEC') or die('Restricted access'); ?>

<table class="paramlist admintable">
  <!-- number_search_results_per_page -->
  <tr>
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label class="hasTip" for="number_search_results_per_page" title="<?php echo JText::_('Number of search results shown per page'); ?>::<?php echo JText::_('Number of search results shown per page'); ?>"><?php echo JText::_('Number of search results shown per page'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <input type="text" class="hasTip" title="<?php echo JText::_('Number of search results shown per page'); ?>::<?php echo JText::_('Number of search results shown per page'); ?>" name="number_search_results_per_page" id="number_search_results_per_page" value="<?php echo $this->settings->number_search_results_per_page; ?>" />
    </td>
  </tr>

  <!-- limit_search_results -->
  <tr class="hasTip" title="<?php echo JText::_('Limit the number of returned results to'); ?>::<?php echo JText::_('Enter the number of maximum results a search can return. (Usefull to reduce server load)<br /><br />Enter 0 for all.'); ?>">
    <td width="40%" class="paramlist_key">
      <span class="editlinktip">
        <label for="limit_search_results" ><?php echo JText::_('Limit the number of returned results to'); ?></label>
      </span>
    </td>
    <td class="paramlist_value">
      <input type="text" name="limit_search_results" id="limit_search_results" value="<?php echo $this->settings->limit_search_results; ?>" />
    </td>
  </tr>

  <!-- hide_banned_profiles -->
  <tr class="hasTip" title="<?php echo JText::_('Hide banned profiles from searches'); ?>::<?php echo JText::_('Hide banned profiles from searches'); ?>">
    <td width="40%" class="paramlist_key">
      <label for="hide_banned_profiles"><?php echo JText::_('Hide banned profiles from searches'); ?></label>
    </td>
    <td class="paramlist_value">
      <select id="hide_banned_profiles" name="hide_banned_profiles" >
        <option value="0" <?php echo (!$this->settings->hide_banned_profiles) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
        <option value="1" <?php echo ($this->settings->hide_banned_profiles) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
      </select>
    </td>
  </tr>

  <!-- hide_ignored_profiles -->
  <tr class="hasTip" title="<?php echo JText::_('Hide ignored profiles from searches'); ?>::<?php echo JText::_('Hide ignored profiles from searches'); ?>">
    <td width="40%" class="paramlist_key">
      <label for="hide_ignored_profiles"><?php echo JText::_('Hide ignored profiles from searches'); ?></label>
    </td>
    <td class="paramlist_value">
      <select id="hide_ignored_profiles" name="hide_ignored_profiles" >
        <option value="0" <?php echo (!$this->settings->hide_ignored_profiles) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
        <option value="1" <?php echo ($this->settings->hide_ignored_profiles) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
      </select>
    </td>
  </tr>

  <!-- jump_to_results -->
  <tr class="hasTip" title="<?php echo JText::_('Jump to results after search'); ?>::<?php echo JText::_('Jump to results after search'); ?>">
    <td width="40%" class="paramlist_key">
      <label for="jump_to_results"><?php echo JText::_('Jump to results after search'); ?></label>
    </td>
    <td class="paramlist_value">
      <select id="jump_to_results" name="jump_to_results" >
        <option value="0" <?php echo (!$this->settings->jump_to_results) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
        <option value="1" <?php echo ($this->settings->jump_to_results) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
      </select>
    </td>
  </tr>

  <!-- sort_by_membership -->
  <tr class="hasTip" title="<?php echo JText::_('Sort first by membership order'); ?>::<?php echo JText::_('Sort results first by membership order and then by the selected criteria'); ?>">
    <td width="40%" class="paramlist_key">
      <label for="sort_by_membership"><?php echo JText::_('Sort first by membership order'); ?></label>
    </td>
    <td class="paramlist_value">
      <select id="sort_by_membership" name="sort_by_membership" >
        <option value="0" <?php echo (!$this->settings->sort_by_membership) ? 'selected="selected"' : ''; ?>><?php echo JText::_('No'); ?></option>
        <option value="1" <?php echo ($this->settings->sort_by_membership) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Yes'); ?></option>
      </select>
    </td>
  </tr>

  <!-- results_default_sort_by -->
  <tr class="hasTip" title="<?php echo JText::_('Default sort results by'); ?>::<?php echo JText::_('Default sort results by'); ?>">
    <td width="40%" class="paramlist_key">
      <label for="results_default_sort_by"><?php echo JText::_('Default sort results by'); ?></label>
    </td>
    <td class="paramlist_value">
      <select id="results_default_sort_by" name="results_default_sort_by" >
        <option value="1" <?php echo (1 == $this->settings->results_default_sort_by) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Last seen'); ?></option>
        <option value="2" <?php echo (2 == $this->settings->results_default_sort_by) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Username'); ?></option>
        <option value="3" <?php echo (3 == $this->settings->results_default_sort_by) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Age'); ?></option>
        <option value="4" <?php echo (4 == $this->settings->results_default_sort_by) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Friends'); ?></option>
        <option value="5" <?php echo (5 == $this->settings->results_default_sort_by) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Photos'); ?></option>
        <option value="6" <?php echo (6 == $this->settings->results_default_sort_by) ? 'selected="selected"' : ''; ?>><?php echo JText::_('Profile rating'); ?></option>
      </select>
    </td>
  </tr>

  <!-- results_default_sort_order -->
  <tr class="hasTip" title="<?php echo JText::_('Default sort results order'); ?>::<?php echo JText::_('Default sort results order'); ?>">
    <td width="40%" class="paramlist_key">
      <label for="results_default_sort_order"><?php echo JText::_('Default sort results order'); ?></label>
    </td>
    <td class="paramlist_value">
      <select id="results_default_sort_order" name="results_default_sort_order" >
        <option value="1" <?php echo (1 == $this->settings->results_default_sort_order) ? 'selected="selected"' : ''; ?>><?php echo JText::_('ASC'); ?></option>
        <option value="0" <?php echo (0 == $this->settings->results_default_sort_order) ? 'selected="selected"' : ''; ?>><?php echo JText::_('DESC'); ?></option>
      </select>
    </td>
  </tr>

  <!-- results_columns -->
  <tr class="hasTip" title="<?php echo JText::_('Show results in'); ?>::<?php echo JText::_('Select the mode to display the results: 1 column or 2 columns'); ?>">
    <td width="40%" class="paramlist_key">
      <label for="results_columns"><?php echo JText::_('Show results in'); ?></label>
    </td>
    <td class="paramlist_value">
      <select id="results_columns" name="results_columns" >
        <option value="1" <?php echo (1 == $this->settings->results_columns) ? 'selected="selected"' : ''; ?>><?php echo JText::sprintf('%s column', 1); ?></option>
        <option value="2" <?php echo (2 == $this->settings->results_columns) ? 'selected="selected"' : ''; ?>><?php echo JText::sprintf('%s columns', 2); ?></option>
      </select>
    </td>
  </tr>
</table>