jQueryFactory(document).ready(function ($) {
  var timer;

  $.extend({
	  showMessage: function(options) {
	    var element  = $("#" + options.id);
	    var response = options.response;
	    var message  = '<div class="lovefactory-message">' + response.message + '</div>';
	    var other    = ('lovefactory-interactions-response' == options.id) ? 'lovefactory-rating-response' : 'lovefactory-interactions-response';

	    $("#" + other).hide();

	    clearTimeout(timer);
	    element.fadeOut("fast", function () {
	      if (0 == response.status)
	      {
	        element.addClass("lovefactory-action-error");
	        message += response.error;
	      }
	      else
	      {
	        element.removeClass("lovefactory-action-error");
	      }

	      element.html(message).fadeIn("fast", function () {
	        timer = setTimeout(function () {
	          element.fadeOut("slow");
	        }, 5000);
	      });
	    });
	  }
	});
});