jQueryFactory(document).ready(function ($) {
  var link = root + 'index.php?option=com_lovefactory&view=myfriends&format=raw';

  // Pagination
  $(".pagination a").live("click", function (event) {
    event.preventDefault();
    var link = $(this).attr("href");

    // Scroll to top
    $("html,body").animate({scrollTop: 0}, "normal");

    search(link);
  });

  function search(link, data) {
    // Default value
    if ('undefined' == data) {
      data = {};
    }

    // Set container height
    $("#container").css("height", $("#container").height());

    // Start the ajax request
    $("#list").fadeOut("fast", function () {
      $("#container").html("<div class='loading'></div>");
      $.get(
        link,
        data,
        function (response) {
          $("#friends-list").html(response);
          $(".lovefactory-ajax-action").ajaxAction();
      });
    });
  }

  // Friend search
  var timer = null;
  $("#lovefactory-friend-search").keypress(function (e) {
    if ($("#lovefactory-friend-search").val() != '') {
      $("#lovefactory-search-cross").show();
    }
    else {
      $("#lovefactory-search-cross").hide();
    }

    if (timer != null) {
      clearTimeout(timer);
    }

    timer = setTimeout(function () {
      var data = {};
      data.top_friends = $("#top_friends").attr("checked") ? 1 : 0;
      data.search      = $("#lovefactory-friend-search").val();

      search(link, data);
    }, 500);
  });

  // Delete search query
  $("#lovefactory-search-cross").click(function () {
    $("#lovefactory-friend-search").val("").keypress();
    $(this).hide();
  });

  $(".lovefactory-ajax-action").ajaxAction();

  // Top friends
  $("#top_friends").click(function () {
    var data = {};
    data.top_friends = $(this).attr("checked") ? 1 : 0;
    data.search      = $("#lovefactory-friend-search").val()

    search(link, data);
  });

  // Write message ajax
//  $('.lovefactory-write-message').live('click', function (event) {
//    event.preventDefault();
//
//    var href = $(this).attr('href');
//
//    $.fancybox({
//      'href':  href,
//      'modal': false,
//    });
//  });
});