<?php

defined('_JEXEC') or die('Restricted access');

class FrontendControllerBlacklist extends FrontendController
{
	function add()
	{
	  $model    = $this->getModel('blacklist');
	  $response = array();

    if ($model->add())
    {
      $response['status']       = 1;
      $response['message']      = JText::_('BLACKLIST_ADDED_TO_BLACKLIST');
      $response['error']        = '';
      $response['text']         = JText::_('BLACKLIST_REMOVE_FROM_BLACKLIST');
      $response['blacklist_id'] = $model->_blacklist_id;
    }
    else
    {
      $response['status']       = 0;
      $response['message']      = JText::_('BLACKLIST_ERROR_ADDING');
      $response['error']        = $model->getError();
      $response['text']         = '';
      $response['blacklist_id'] = '';
    }

    $this->renderJson($response);
	}

	function remove()
	{
	  $model    = $this->getModel('blacklist');
	  $response = array();

    if ($model->remove())
    {
      $response['status']  = 1;
      $response['message'] = JText::_('BLACKLIST_REMOVED_FROM_BLACKLIST');
      $response['error']   = '';
      $response['text']    = JText::_('BLACKLIST_ADD_TO_BLACKLIST');
    }
    else
    {
      $response['status']  = 0;
      $response['message'] = JText::_('BLACKLIST_ERROR_REMOVING');
      $response['error']   = $model->getError();
      $response['text']    = '';
    }

    if ($this->isAjaxRequest())
    {
      $this->renderJson($response);
    }

    global $Itemid;

    if (!$status)
    {
      JError::raiseWarning(0, $model->getError());
    }

    $this->setRedirect(JRoute::_('index.php?option=com_lovefactory&view=blacklist&Itemid='.$Itemid, false), $response['message']);
	}
}