<?php

defined('_JEXEC') or die('Restricted access');

class FrontendControllerInteraction extends FrontendController
{
	function send()
	{
	  $model = $this->getModel('interaction');
	  $response = array();

    if ($model->send())
    {
      $response['status']  = 1;
      $response['message'] = JText::_('INTERACTIONS_TASK_SEND_SUCCESS');
      $response['error']   = '';
      $response['code']    = 0;
    }
    else
    {
      $response['status']  = 0;
      $response['message'] = JText::_('INTERACTIONS_TASK_SEND_FAILURE');
      $response['error']   = $model->getError();
      $response['code']    = isset($model->_code) ? $model->_code : 0;
    }

    global $Itemid;

    $settings = new LovefactorySettings();
    if (2 == $response['code'] && !$settings->invalid_membership_action)
	  {
	    $response['code'] = 0;
	  }

	  if ($this->isAjaxRequest())
	  {
	    $this->renderJson($response);
	  }

    if (isset($model->_code) && 2 == $model->_code && $settings->invalid_membership_action)
    {
      global $mainframe;

      $mainframe->redirect(JRoute::_('index.php?option=com_lovefactory&controller=membership&task=redirectnomembership&code=2&Itemid=' . $Itemid, true));
    }

    $id = JRequest::getVar('id', 0, 'GET', 'integer');

    $this->setRedirect(JRoute::_('index.php?option=com_lovefactory&view=profile&layout=view&id=' . $id . '&Itemid=' . $Itemid, false), $msg);
	}

	function respond()
	{
	  $model = $this->getModel('interaction');

    if ($model->respond())
    {
      $msg = JText::_('INTERACTIONS_TASK_RESPOND_SUCCESS');
    }
    else
    {
      $msg = JText::_('INTERACTIONS_TASK_RESPOND_FAILURE');
    }

    global $Itemid;

    if (isset($model->_code) && 2 == $model->_code && $settings->invalid_membership_action)
    {
      global $mainframe;

      $mainframe->redirect(JRoute::_('index.php?option=com_lovefactory&controller=membership&task=redirectnomembership&code=2&Itemid=' . $Itemid, true));
    }

    $this->setRedirect(JRoute::_('index.php?option=com_lovefactory&view=interactions&Itemid=' . $Itemid, false), $msg);
	}
}