<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FrontendModelGroupEdit extends JModel
{
  function getData()
  {
    $user     =& JFactory::getUser();
    $group_id =& JRequest::getVar('group_id', 0, 'GET', 'integer');
    $group    =& $this->getTable('Group', 'Table');

    $group->load($group_id);

    // Group was not found
    if ($group->user_id != $user->id)
    {
      // Check if group creation is allowed
      $settings = new LovefactorySettings();
      if (!$settings->groups_allow_users_create)
      {
        global $mainframe;
        $mainframe->redirect(JRoute::_('index.php?option=com_lovefactory&view=notavailable&layout=notenabled'));
      }

      // Check if user is allowed to create a new group
      $profile =& $this->getTable('Profile', 'Table');

      $profile->loadAndMembership($user->id);

      if ($profile->membershipGroupsLimitReached('create'))
      {
        // Just show error message
        if (!$settings->invalid_membership_action)
        {
          return false;
        }

        // Show error message an redirect
        global $mainframe;
        $mainframe->redirect('index.php?option=com_lovefactory&controller=membership&task=redirectnomembership&code=8');
      }

      $group =& $this->getTable('Group', 'Table');
    }

    return $group;
  }
}