<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FrontendModelPayment extends JModel
{
  function validate()
  {
    // Log request
    $uri  =& JURI::getInstance();
    $post =& JRequest::get('post');

    $handle = fopen(JPATH_COMPONENT_ADMINISTRATOR.DS.'payments_log.txt', 'a');

    fwrite($handle, '[' . date('Y-m-d H:i:s') . ']' . "\n");
    fwrite($handle, 'Access uri: ' . $uri->_uri . "\n");
    fwrite($handle, 'IP: ' . $_SERVER['REMOTE_ADDR'] . "\n");
    fwrite($handle, 'Variables: ' . "\n");

    foreach ($post as $variable => $value)
    {
      fwrite($handle, $variable . ': ' . $value . "\n");
    }

    fwrite($handle, "\n");

    fclose($handle);

    // Process payment
    $gateway =& JRequest::getVar('gateway', '', 'GET', 'string');

    JLoader::register($gateway, JPATH_COMPONENT_ADMINISTRATOR.DS.'plugins'.DS.'payment'.DS.$gateway.'.php');

    $gateway = new $gateway();

    $gateway->processIpn();
  }

  function adjustMembershipPeriod($payment)
  {
    // Register the new sold membership
    $membership_sold =& $this->getTable('membershipsold', 'Table');
    $membership_sold->addFromOrder($payment->order);
    $membership_sold->payment_id = $payment->id;
    $membership_sold->store();

    // If the membership shoud start right away or the user has the default membership
    $profile =& $this->getTable('profile');
    $profile->loadAndMembership($payment->user_id);

    if ($payment->order->starting_type == 0 || $profile->membership_sold->default)
    {
      $profile->changeMembershipTo($membership_sold);
    }

    return true;
  }
}