<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FrontendModelReport extends JModel
{
  function add()
  {
    $id   =  JRequest::getVar('id', 0, 'POST', 'integer');
    $type =  JRequest::getVar('type', 0, 'POST', 'integer');
    $text =  JRequest::getVar('message', '', 'POST', 'string');
    $user =& JFactory::getUser();

    $report =& $this->getTable('report');

    switch ($type)
    {
      // Message
      case 1:
        $message =& $this->getTable('message');
        $message->load($id);

        if ($message->sender_id == null || $message->reported)
        {
          return false;
        }

        $message->reported = 1;
        $message->store();

        $report->user_id = $message->sender_id;
        $report->text    = $message->text;
      break;

      // Comment
      case 2:
        $comment =& $this->getTable('comment');
        $comment->load($id);

        if ($comment->sender_id == null || $message->reported)
        {
          return false;
        }

        $comment->reported = 1;
        $comment->store();

        $report->user_id = $comment->sender_id;
        $report->text    = $comment->text;
      break;

      // Gallery
      case 3:
        $profile =& $this->getTable('profile');
        $profile->load($id);

        if ($profile->validated == null)
        {
          return false;
        }

        $report->user_id = $id;
      break;

      // Group post
      case 6:
        $post =& $this->getTable('GroupPost', 'Table');
        $post->load($id);

        if ($post->reported)
        {
          return false;
        }

        $post->reported = 1;
        $post->store();

        $report->user_id = $post->user_id;
        $report->text    = $post->text;
      break;
    }

    $report->reporting_id = $user->id;
    $report->reported_id  = $id;
    $report->type_id      = $type;
    $report->comment      = $text;
    $report->date         = date('Y-m-d H:i:s');

    $report->store();

    return true;
  }
}