<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FrontendModelStatus extends JModel
{
  function update()
  {
    $text     =& JRequest::getVar('text', '', 'POST', 'string');
    $user     =& JFactory::getUser();
    $profile  =& $this->getTable('profile', 'Table');
    $settings =  new LovefactorySettings();

    if (!$settings->enable_status)
    {
      $this->setError(JText::_('STATUS_TASK_UPDATE_ERROR_NOT_ENABLED'));
      return false;
    }

    if ($user->guest)
    {
      $this->setError(JText::_('STATUS_TASK_UPDATE_ERROR_LOGIN'));
      return false;
    }

    $profile->load($user->id);
    $profile->status = strip_tags(substr($text, 0, $settings->status_max_length));
    $profile->store();

    $action =& $this->getTable('action', 'Table');
    $action->addStatus($profile->status);

    $this->text = $profile->status;

    return true;
  }
}