<?php

defined('_JEXEC') or die('Restricted access');

class FrontendViewFillin extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $session =& JFactory::getSession();
    $zones   =& $this->get('Zones');

    $fields =& JModel::getInstance('fields', 'FrontendModel');
    $fields->addRequiredConditionsFor($zones['required']);

    $renderer =& JModel::getInstance('renderer', 'FrontendModel');

    $this->assignRef('zones',    $zones);
    $this->assignRef('renderer', $renderer);
    $this->assignRef('Itemid',   $Itemid);

    $this->assign('has_required_fields', count($zones['required']));

    $this->assignJavascript('root',         JURI::root());
    $this->assignJavascript('session_id',   $session->getId());
    $this->assignJavascript('session_name', $session->getName());

    $this->assignJavascript('txt_upload',          JText::_('FILLIN_UPLOAD_PHOTO'));
    $this->assignJavascript('txt_error_uploading', JText::_('FILLIN_UPLOAD_PHOTO_ERROR'));

    JHtmlFactory::jQueryScript('swfupload', 'ui', 'ui-widget', 'ui-progressbar');
    JHTML::script('jquery-ui.js',         'components/com_lovefactory/assets/js/');
    JHTML::script('form-validation.js',   'components/com_lovefactory/assets/js/');
    JHTML::script('swfupload.js',         'components/com_lovefactory/assets/js/');
    JHTML::script('fillin.js',            'components/com_lovefactory/assets/js/views/');

    JHTML::stylesheet('main.css',     'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css',  'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('ui.theme.css', 'components/com_lovefactory/assets/css/');

    JHTML::_('behavior.tooltip');

    parent::display($tpl);
  }
}