<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewFriends extends JFactoryView
{
  function __construct()
  {
    parent::__construct();

    $profile =& JModel::getInstance('profile', 'FrontendModel');
    $profile->checkOnlineStatus();
  }

  function display($tpl = null)
  {
    global $Itemid;

    $renderer =& JModel::getInstance('renderer', 'FrontendModel');
    $model    =& JModel::getInstance('friends',  'FrontendModel');

    $settings   =  new LovefactorySettings();
    $user       =& $model->getUser();
    $zones      =& $model->getZones();
    $friends    =& $model->getFriends();
    $pagination =& $model->getPagination();

    $this->assignRef('user',       $user);
    $this->assignRef('friends',    $friends);
    $this->assignRef('pagination', $pagination);
    $this->assignRef('renderer',   $renderer);
    $this->assignRef('zones',      $zones);
    $this->assignRef('Itemid',     $Itemid);
    $this->assignRef('settings',   $settings);

    JHTML::stylesheet('main.css',     'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css',  'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('search.css',   'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('friends.css',  'components/com_lovefactory/assets/css/views/');

    parent::display($tpl);
  }
}