<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php if (!is_null($this->profile)): ?>
  <h1><?php echo JText::sprintf('GALLERY_TITLE', $this->profile->username); ?></h1>

  <!-- Public photos -->
  <?php if (count($this->photos[0])): ?>
    <div style="clear: both; "></div>
    <div class="lf-title"><?php echo JText::_('GALLERY_PUBLIC_PHOTOS'); ?></div>

    <?php foreach ($this->photos[0] as $photo): ?>
      <?php require('_image.php'); ?>
    <?php endforeach; ?>
  <?php endif; ?>

  <!-- Photos only for friends -->
  <?php if (count($this->photos[1])): ?>
    <div style="clear: both; "></div>
    <div class="lf-title"><?php echo JText::_('GALLERY_PHOTOS_FOR_FRIENDS'); ?></div>

    <?php foreach ($this->photos[1] as $photo): ?>
      <?php require('_image.php'); ?>
    <?php endforeach; ?>
  <?php endif; ?>

  <!-- Private photos -->
  <?php if (count($this->photos[2])): ?>
    <div style="clear: both; "></div>
    <div class="lf-title"><?php echo JText::_('GALLERY_PRIVATE_PHOTOS'); ?></div>

    <?php foreach ($this->photos[2] as $photo): ?>
      <?php require('_image.php'); ?>
    <?php endforeach; ?>
  <?php endif; ?>

  <div style="clear: both; "></div>

  <br />

  <div class="lovefactory-lowercase">
    <div id="lovefactory-interaction-response" class="lovefactory-action-response" style="display: none;"></div>

    <a href="javascript: history.go(-1);" class="lovefactory-button lovefactory-go-reverse"><?php echo JText::_('GALLERY_GO_BACK'); ?></a>
    <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=profile&id='.$this->user_id.'&Itemid='.$this->Itemid); ?>" class="lovefactory-button lovefactory-bullet-add"><?php echo JText::_('GALLERY_VIEW_PROFILE'); ?></a>
    <?php if ($this->my_gallery): ?>
      <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=mygallery&Itemid='.$this->Itemid); ?>" class="lovefactory-button lovefactory-photos"><?php echo JText::_('GALLERY_EDIT_GALLERY'); ?></a>
    <?php else: ?>
      <span><a href="#" class="lovefactory-button lovefactory-bullet-error"><?php echo JText::_('GALLERY_REPORT_GALLERY'); ?></a></span>
    <?php endif; ?>

    <div id="lovefactory-action"></div>
  </div>
<?php else: ?>
  <h1><?php echo JText::_('ERROR_OCCURRED'); ?></h1>
  <p><?php echo JText::_('GALLERY_NOT_FOUND'); ?></p>
<?php endif; ?>