<?php

defined('_JEXEC') or die('Restricted access');

class FrontendViewGallery extends JFactoryView
{
  function __construct()
  {
    parent::__construct();

    $profile =& JModel::getInstance('profile', 'FrontendModel');
    $profile->checkOnlineStatus();
  }

  function display($tpl = null)
  {
    global $Itemid;

    $document =& JFactory::getDocument();
    $user_id  =& JRequest::getVar('id', 0, 'GET', 'integer');
    $gallery  =& JModel::getInstance('gallery', 'FrontendModel');
    $settings =  new LovefactorySettings();

    $photos     = $this->get('Data');
    $my_gallery = $this->get('IsMyGallery');
    $profile    = $this->get('Profile');

    $this->assignRef('profile',    $profile);
    $this->assignRef('my_gallery', $my_gallery);
    $this->assignRef('photos',     $photos);
    $this->assignRef('user_id',    $user_id);
    $this->assignRef('Itemid',     $Itemid);

    $this->assignJavascript('_Photo',           JText::_('GALLERY_PHOTO'));
    $this->assignJavascript('_of',              JText::_('GALLERY_OF'));
    $this->assignJavascript('_Prev',            JText::_('GALLERY_PREVIOUS'));
    $this->assignJavascript('_Next',            JText::_('GALLERY_NEXT'));
    $this->assignJavascript('route_report',     JRoute::_('index.php?option=com_lovefactory&controller=gallery&task=report'));
    $this->assignJavascript('txt_cancel',       JText::_('GALLERY_CANCEL'));
    $this->assignJavascript('txt_send',         JText::_('GALLERY_SEND_REPORT'));
    $this->assignJavascript('gallery_id',       $user_id);
    $this->assignJavascript('txt_send_message', JText::_('GALLERY_SEND_MESSAGE'));

    $document->addStyleDeclaration('.lovefactory-thumbnail { height: ' . $settings->thumbnail_max_height . 'px; width: ' . $settings->thumbnail_max_width . 'px; }');

    JHtmlFactory::jQueryScript('fancybox', 'mousewheel');
    JHTML::script('gallery.js', 'components/com_lovefactory/assets/js/views/');
    JHTML::script('main.js',    'components/com_lovefactory/assets/js/');

    JHTML::stylesheet('main.css',            'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css',         'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('gallery.css',         'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('jquery-fancybox.css', 'components/com_lovefactory/assets/css/');

    parent::display($tpl);
  }
}