<?php defined('_JEXEC') or die('Restricted access'); ?>

<fieldset class="lovefactory-system">
  <legend><?php echo $this->group->id ? JText::sprintf('GROUP_CREATE_EDIT_TITLE', $this->group->title) : JText::_('GROUP_CREATE_TITLE'); ?></legend>

  <form action="index.php" method="POST" id="lf-form" enctype="multipart/form-data">
    <table class="lf-group-table">
      <tr>
        <th><label for="title"><?php echo JText::_('GROUP_CREATE_GROUP_TITLE'); ?>: <span class="lf-required">*</span></label></th>
        <td><input class="lf-input" id="title" name="title" value="<?php echo $this->group->title; ?>" /></td>
      </tr>

      <tr>
        <th><label for="description"><?php echo JText::_('GROUP_CREATE_GROUP_DESCRIPTION'); ?>:</label></th>
        <td><textarea class="lf-input" id="description" name="description" style="width: 100%;"><?php echo $this->group->description; ?></textarea></td>
      </tr>

      <tr>
        <th><label for="thumbnail"><?php echo JText::_('GROUP_CREATE_GROUP_THUMBNAIL'); ?>:</label></th>
        <td>
          <?php if ($this->group->id && $this->group->thumbnail): ?>
            <img src="<?php echo $this->group->getThumbnail(); ?>" />
            <br />
            <input type="checkbox" id="delete_thumb" name="delete_thumb" value="1" />
            <label for="delete_thumb"><?php echo JText::_('GROUP_DELETE_THUMBNAIL'); ?></label>
            <br />
          <?php endif; ?>

          <input type="file" id="thumbnail" name="thumbnail" />
        </td>
      </tr>

      <tr>
        <th><?php echo JText::_('GROUP_CREATE_GROUP_TYPE'); ?>: <span class="lf-required">*</span></th>
        <td>
          <div>
            <input type="radio" id="type_public" name="private" value="0" <?php echo !$this->group->private ? 'checked="checked"' : ''; ?> /><label for="type_public"><?php echo JText::_('GROUP_CREATE_GROUP_PUBLIC'); ?></label><br />
            <span class="lf-group-type-info"><small><?php echo JText::_('GROUP_CREATE_GROUP_PUBLIC_INFO'); ?></small></span>
          </div>

          <div>
            <input type="radio" id="type_private" name="private" value="1" <?php echo $this->group->private ? 'checked="checked"' : ''; ?> /><label for="type_private"><?php echo JText::_('GROUP_CREATE_GROUP_PRIVATE'); ?></label><br />
            <span class="lf-group-type-info"><small><?php echo JText::_('GROUP_CREATE_GROUP_PRIVATE_INFO'); ?></small></span>
          </div>
        </td>
      </tr>

      <tr>
        <td colspan="2" style="padding-top: 20px;">
          <input type="submit" class="lf-submit lf-submit-grey-accept" value="<?php echo $this->group->id ? JText::_('GROUP_CREATE_EDIT') : JText::_('GROUP_CREATE_SUBMIT'); ?>" />
          <span class="lf-required-info"><span class="lf-required">*</span> <?php echo JText::_('GROUP_FORM_WARNING_REQUIRED_FIELDS'); ?></span>
        </td>
      </tr>
    </table>

    <input type="hidden" name="option"     value="com_lovefactory" />
    <input type="hidden" name="controller" value="group" />
    <input type="hidden" name="task"       value="save" />
    <input type="hidden" name="id"         value="<?php echo $this->group->id; ?>" />
  </form>
</fieldset>

<div class="lf-page-spacer"></div>