<?php defined('_JEXEC') or die('Restricted access'); ?>

<h1><?php echo JText::_('MEMBERSHIPS_TITLE'); ?></h1>

<table cellpadding="0" cellspacing="0" class="lovefactory-table">
  <thead>
    <tr>
      <th style="width: 130px;"></th>
      <?php foreach($this->memberships as $membership): ?>
        <th style="text-align: center; width: 70px;"><?php echo $membership->title; ?></th>
      <?php endforeach; ?>
      <th></th>
    </tr>
  </thead>
  <tbody>

    <!-- Photos -->
    <tr class="even">
      <td style="text-transform: capitalize;"><b><?php echo JText::_('MEMBERSHIPS_PHOTOS'); ?></b></td>
      <?php foreach($this->memberships as $membership): ?>
        <td style="text-align: center;"><?php echo $membership->max_photos; ?></td>
      <?php endforeach; ?>
      <td></td>
    </tr>

    <!-- Videos -->
    <tr>
      <td style="text-transform: capitalize;"><b><?php echo JText::_('MEMBERSHIPS_VIDEOS'); ?></b></td>
      <?php foreach($this->memberships as $membership): ?>
        <td style="text-align: center;"><?php echo $membership->max_videos; ?></td>
      <?php endforeach; ?>
      <td></td>
    </tr>

    <!-- Friends -->
    <tr class="even">
      <td style="text-transform: capitalize;"><b><?php echo JText::_('MEMBERSHIPS_FRIENDS'); ?></b></td>
      <?php foreach($this->memberships as $membership): ?>
        <td style="text-align: center;"><?php echo $membership->max_friends; ?></td>
      <?php endforeach; ?>
      <td></td>
    </tr>

    <!-- Messages -->
    <tr>
      <td style="text-transform: capitalize;"><b><?php echo JText::_('MEMBERSHIPS_MESSAGES_PER_DAY'); ?></b></td>
      <?php foreach($this->memberships as $membership): ?>
        <td style="text-align: center;"><?php echo $membership->max_messages_per_day; ?></td>
      <?php endforeach; ?>
      <td></td>
    </tr>

    <!-- Interactions -->
    <?php if ($this->settings->enable_interactions): ?>
      <tr class="even">
        <td style="text-transform: capitalize;"><b><?php echo JText::_('MEMBERSHIPS_INTERACTIONS_PER_DAY'); ?></b></td>
        <?php foreach($this->memberships as $membership): ?>
          <td style="text-align: center;"><?php echo $membership->max_interactions_per_day; ?></td>
        <?php endforeach; ?>
        <td></td>
      </tr>
    <?php endif; ?>

    <!-- Shoutbox -->
    <?php if ($this->settings->enable_shoutbox): ?>
      <tr>
        <td style="text-transform: capitalize;"><b><?php echo JText::_('MEMBERSHIPS_SHOUTBOX_ACCESS'); ?></b></td>
        <?php foreach($this->memberships as $membership): ?>
          <td style="text-align: center;"><?php echo $this->shoutbox[$membership->shoutbox]; ?></td>
        <?php endforeach; ?>
        <td></td>
      </tr>
    <?php endif; ?>

    <!-- Top Friends -->
    <?php if ($this->settings->enable_top_friends): ?>
      <tr class="even">
        <td style="text-transform: capitalize;"><b><?php echo JText::_('MEMBERSHIPS_TOP_FRIENDS'); ?></b></td>
        <?php foreach($this->memberships as $membership): ?>
          <td style="text-align: center;"><?php echo $membership->top_friends; ?></td>
        <?php endforeach; ?>
        <td></td>
      </tr>
    <?php endif; ?>

    <!-- Groups options -->
    <?php if ($this->settings->enable_groups): ?>
      <!-- Groups create -->
      <?php if ($this->settings->groups_allow_users_create): ?>
        <tr>
          <td style="text-transform: capitalize;"><b><?php echo JText::_('MEMBERSHIPS_GROUPS_CREATE'); ?></b></td>
          <?php foreach($this->memberships as $membership): ?>
            <td style="text-align: center;"><?php echo $membership->groups_create; ?></td>
          <?php endforeach; ?>
          <td></td>
        </tr>
      <?php endif; ?>

      <!-- Groups join -->
      <tr class="<?php echo $this->settings->groups_allow_users_create ? 'even' : ''; ?>">
        <td style="text-transform: capitalize;"><b><?php echo JText::_('MEMBERSHIPS_GROUPS_JOIN'); ?></b></td>
        <?php foreach($this->memberships as $membership): ?>
          <td style="text-align: center;"><?php echo $membership->groups_join; ?></td>
        <?php endforeach; ?>
        <td></td>
      </tr>
    <?php endif; ?>

    <!-- Spacer -->
    <tr>
      <td colspan="10" style="padding-top: 10px;">&nbsp;</td>
    </tr>

    <tr>
      <th></th>
      <?php foreach($this->memberships as $membership): ?>
        <th style="text-align: center; width: 70px;"><?php echo $membership->title; ?></th>
      <?php endforeach; ?>
      <th></th>
    </tr>

    <!-- Pricing -->
    <?php $i = 0; foreach ($this->pricing as $months => $prices): ?>
      <tr class="<?php echo $i++ % 2 ? '' : 'even'; ?>">
        <td>
          <b>
            <?php if ($months != 9999): ?>
              <?php echo $months; ?> <?php echo JText::_('MEMBERSHIPS_MONTHS'); ?>
            <?php else: ?>
              <?php echo JText::_('MEMBERSHIPS_UNLIMITED'); ?>
            <?php endif; ?>
          </b>
        </td>

        <?php foreach($this->memberships as $membership): ?>
          <?php if ($membership->default): ?>
            <td style="text-align: center;"><?php echo JText::_('MEMBERSHIPS_DEFAULT'); ?></td>
          <?php elseif (isset($prices[$membership->id])): ?>
            <td style="text-align: right;">

              <?php if (!$this->settings->gender_pricing): ?>

                <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=membershipbuy&id=' . $prices[$membership->id]->id . '&Itemid=' . $this->Itemid); ?>">
                  <?php echo number_format($prices[$membership->id]->price, 2) . '&nbsp;' . $this->settings->currency; ?>
                </a>

              <?php else: ?>

                <?php foreach ($prices[$membership->id]->gender_prices as $gender => $price): ?>
                  <?php if ('-1.00' != $price): ?>
                    <?php if ($price != '0.00'): ?>
                      <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=membershipbuy&id=' . $prices[$membership->id]->id . '&Itemid=' . $this->Itemid); ?>">
                        <?php echo number_format($price, 2) . '&nbsp;' . $this->settings->currency; ?>
                    <?php else: ?>
                      <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=membership&task=free&id=' . $prices[$membership->id]->id . '&Itemid=' . $this->Itemid); ?>">
                      <?php echo JText::_('MEMBERSHIP_FREE'); ?>
                    <?php endif; ?>
                      <small>[<?php echo $gender; ?>]</small><br />
                    </a>
                  <?php endif; ?>
                <?php endforeach; ?>

              <?php endif; ?>

            </td>
          <?php else: ?>
            <td style="text-align: center;">-</td>
          <?php endif; ?>
        <?php endforeach; ?>
        <td></td>

      </tr>
    <?php endforeach; ?>

    <!-- Spacer -->
    <?php if (count($this->trials)): ?>
      <tr>
        <td colspan="10" style="padding-top: 10px;">&nbsp;</td>
      </tr>

      <tr>
        <td colspan="10"><?php echo JText::_('MEMBERSHIPS_FREE_TRIALS'); ?></td>
      </tr>

      <tr>
        <th></th>
        <?php foreach($this->memberships as $membership): ?>
          <th style="text-align: center; width: 70px;"><?php echo $membership->title; ?></th>
        <?php endforeach; ?>
        <th></th>
      </tr>

      <!-- Trial Memberships -->
      <?php foreach ($this->trials as $months => $prices): ?>
        <tr class="<?php echo $i++ % 2 ? '' : 'even'; ?>">
          <td>
            <b>
              <?php if ($months != 9999): ?>
                <?php echo $months; ?> <?php echo JText::_('MEMBERSHIPS_HOURS'); ?>
              <?php else: ?>
                <?php echo JText::_('MEMBERSHIPS_UNLIMITED'); ?>
              <?php endif; ?>
            </b>
          </td>

          <?php foreach($this->memberships as $membership): ?>
            <?php if ($membership->default): ?>
              <td style="text-align: center;"><?php echo JText::_('MEMBERSHIPS_DEFAULT'); ?></td>
            <?php elseif (isset($prices[$membership->id])): ?>
              <td style="text-align: center;">
                <a href="<?php echo Jroute::_('index.php?option=com_lovefactory&controller=membership&task=trial&id=' . $prices[$membership->id]->id); ?>"><?php echo JText::_('MEMBERSHIPS_FREE_TRIAL'); ?></a>
              </td>
            <?php else: ?>
              <td style="text-align: center;">-</td>
            <?php endif; ?>
          <?php endforeach; ?>
          <td></td>

        </tr>
      <?php endforeach; ?>
    <?php endif; ?>

  </tbody>
</table>

<br />