<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php require_once(JPATH_COMPONENT_SITE.DS.'views'.DS.'inbox'.DS.'tmpl'.DS.'_menu.php'); ?>

<?php if (!$this->message): ?>
  <h1><?php echo JText::_('ERROR_OCCURRED'); ?></h1>
  <p><?php echo JText::_('MESSAGE_READ_NOT_FOUND'); ?></p>
<?php else: ?>
  <table style="width: 100%;">
    <tbody>
      <tr>
        <td width="50%"><h1><?php echo $this->message->title; ?></h1></td>
        <td class="lovefactory-date-cell"><span class="lovefactory-button lovefactory-date"><?php echo $this->message->date; ?></span></td>
      </tr>

      <tr>
        <td class="lovefactory-from">
          <?php if ($this->message->sender_id): ?>
            <a class="lovefactory-button lovefactory-user" href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=profile&id='.$this->message->sender_id.'&Itemid='.$this->Itemid); ?>"><?php echo $this->message->_sender_username; ?></a>
          <?php else: ?>
            <span class="lovefactory-button lovefactory-cog"><?php echo JText::_('MESSAGE_SYSTEM'); ?></span>
          <?php endif; ?>

          <span style="text-transform: lowercase;"><?php echo JText::_('MESSAGE_READ_TO'); ?></span>

          <?php if ($this->message->receiver_id): ?>
            <a class="lovefactory-button lovefactory-user" href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=profile&id='.$this->message->receiver_id.'&Itemid='.$this->Itemid); ?>"><?php echo $this->message->_receiver_username; ?></a>
          <?php else: ?>
            <?php echo JText::_('MESSAGE_SYSTEM'); ?>
          <?php endif; ?>
        </td>
        <td>
        </td>
      </tr>

      <tr>
        <td colspan="2" class="lovefactory-message-read"><?php echo nl2br($this->message->text); ?></td>
      </tr>

      <tr>
        <td id="lovefactory-actions" colspan="2" style="text-transform: lowercase; ">
          <div id="lovefactory-interaction-response" class="lovefactory-action-response" style="display: none;"></div>

          <div style="float: left;">
            <?php if ($this->message->sender_id && !$this->message->_my_message): ?>
              <a href="#" id="lovefactory-quick-reply" class="lovefactory-button lovefactory-bullet-add"><?php echo JText::_('MESSAGE_READ_QUICK_REPLY'); ?></a>
            <?php endif; ?>
            <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&controller=message&task=delete&id='.$this->message->id.'&Itemid='.$this->Itemid, false); ?>" class="lovefactory-button lovefactory-bullet-delete"><?php echo JText::_('MESSAGE_READ_DELETE'); ?></a>
          </div>

          <?php if ($this->message->sender_id && !$this->message->_my_message): ?>
            <div style="float: right;">
              <a href="<?php echo JRoute::_('index.php?option=com_lovefactory&view=messagewrite&message_id='.$this->message->id.'&Itemid='.$this->Itemid); ?>" id="lovefactory-message-reply" class="lovefactory-button lovefactory-bullet-add"><?php echo JText::_('MESSAGE_READ_REPLY'); ?></a>

              <?php if (!$this->message->reported): ?>
                <a href="#" id="lovefactory-message-report" class="lovefactory-button lovefactory-bullet-error"><?php echo JText::_('MESSAGE_READ_REPORT'); ?></a>
              <?php endif; ?>

              <?php if (!$this->message->_blacklisted): ?>
                <a href="#" id="lovefactory-message-ignore" class="lovefactory-button lovefactory-bullet-add"><?php echo JText::_('MESSAGE_READ_BLACKLIST_USER'); ?></a>
              <?php endif; ?>
            </div>
          <?php endif; ?>
          <div style="clear: both;"></div>
          <div id="lovefactory-action-report" style="display: none;"></div>
        </td>
      </tr>

      <tr>
        <td id="lovefactory-action" colspan="2"></td>
      </tr>

    </tbody>
  </table>
<?php endif; ?>
