<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewMessageRead extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $document =& JFactory::getDocument();
    $inbox    =& JModel::getInstance('inbox',   'FrontendModel');
    $model    =& JModel::getInstance('message', 'FrontendModel');

    $message = $model->getMessage();
    $unread  = $inbox->getUnreadCount();

    $this->assignRef('unread',  $unread);
    $this->assignRef('message', $message);
    $this->assignRef('view',    $this->getName());
    $this->assignRef('Itemid',  $Itemid);

    if ($message)
    {
      $this->assignJavascript('txt_send_message',   JText::_('MESSAGE_READ_SEND_MESSAGE'));
      $this->assignJavascript('txt_send_report',    JText::_('MESSAGE_READ_SEND_REPORT'));
      $this->assignJavascript('txt_cancel',         JText::_('MESSAGE_READ_CANCEL'));
      $this->assignJavascript('txt_enter_message',  JText::_('MESSAGE_READ_ENTER_MESSAGE'));
      $this->assignJavascript('route_send_message', JRoute::_('index.php?option=com_lovefactory&controller=message&task=send'));
      $this->assignJavascript('route_send_report',  JRoute::_('index.php?option=com_lovefactory&controller=message&task=report'));
      $this->assignJavascript('route_blacklist',    JRoute::_('index.php?option=com_lovefactory&controller=blacklist&task=add'));
      $this->assignJavascript('user_id',            $message->sender_id);
      $this->assignJavascript('id',                 $message->id);
    }

    JHtmlFactory::jQueryScript();
    JHTML::script('messageread.js', 'components/com_lovefactory/assets/js/views/');
    JHTML::script('main.js',        'components/com_lovefactory/assets/js/');

    JHTML::stylesheet('main.css',        'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css',     'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('mailbox.css',     'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('messageread.css', 'components/com_lovefactory/assets/css/views/');

    parent::display($tpl);
  }
}