<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewMyFriends extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $renderer =& JModel::getInstance('renderer', 'FrontendModel');
    $model    =& JModel::getInstance('friends',  'FrontendModel');

    $settings =  new LovefactorySettings();

    $requests   =& $model->getRequests();
    $zones      =& $model->getZones();
    $friends    =& $model->getFriends();
    $total      =& $model->getTotal();
    $max        =& $model->getMaxFriends();
    $pagination =& $model->getPagination(true);
    $view       =& JRequest::getVar('view', '', 'REQUEST', 'word');

    $this->assignRef('friends',    $friends);
    $this->assignRef('total',      $total);
    $this->assignRef('max',        $max);
    $this->assignRef('pagination', $pagination);
    $this->assignRef('requests',   $requests);
    $this->assignRef('renderer',   $renderer);
    $this->assignRef('zones',      $zones);
    $this->assignRef('Itemid',     $Itemid);
    $this->assignRef('settings',   $settings);
    $this->assignRef('view',       $view);

    $this->assignJavascript('root', JURI::root());

    JHTML::stylesheet('main.css',            'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('buttons.css',         'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('search.css',          'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('myfriends.css',       'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('friends.css',         'components/com_lovefactory/assets/css/views/');
    JHTML::stylesheet('jquery-fancybox.css', 'components/com_lovefactory/assets/css/');
    JHTML::stylesheet('jquery-colortip.css', 'components/com_lovefactory/assets/css/');

    JHtmlFactory::jQueryScript('ajaxaction', 'fancybox');
    JHTML::script('myfriends.js', 'components/com_lovefactory/assets/js/views/');

    parent::display($tpl);
  }
}