<?php defined('_JEXEC') or die('Restricted access'); ?>

<h1><?php echo JText::_('MY_GALLERY_PHOTO_TITLE'); ?></h1>

<?php echo $this->loadTemplate('menu'); ?>

<ul class="lf-list" id="lf-media-photo">
  <!-- Public Media -->
  <li class="lf-media-container" id="lf-media-public">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title"><?php echo JText::_('MY_GALLERY_PUBLIC_PHOTOS'); ?></a>

    <div>
      <!-- Media List -->
      <?php $this->list = $this->photos[0]; echo $this->loadTemplate('photo_list'); ?>

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: <?php echo $this->settings->my_gallery_action_links ? 'hidden' : ''; ?>; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-public" class="lf-check-all" /><label for="lf-all-public"><?php echo JText::_('MY_GALLERY_CHECK_ALL'); ?></label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-image-star"><?php echo JText::_('MY_GALLERY_SET_AVATAR'); ?></a></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-delete lf-batch-delete"><?php echo JText::_('MY_GALLERY_DELETE'); ?></a></td>
          <?php if ($this->settings->enable_gravatar_integration): ?>
            <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-add"><?php echo JText::_('MY_GALLERY_ADD_GRAVATAR'); ?></a></td>
          <?php endif; ?>
          <td><span class="lovefactory-picture_add"><input type="button" class="lf-button" /></span></td>
        </tr>
      </table>

      <!-- Upload progress bar -->
      <div class="lf-upload">
        <div class="lf-info" style="display: none;"><b><?php echo JText::_('MY_GALLERY_UPLOAD_CURRENT_FILE'); ?>:</b> <span class="lf-current-file"></span> (<span class="lf-current"></span>/<span class="lf-total"></span>)</div>
        <div class="lf-progressbar" style="display: none;"></div>
      </div>

    </div>
  </li>

  <!-- For Friends Media -->
  <li class="lf-media-container" id="lf-media-friends">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title"><?php echo JText::_('MY_GALLERY_PHOTOS_FOR_FRIENDS'); ?></a>

    <div>
      <!-- Media List -->
      <?php $this->list = $this->photos[1]; echo $this->loadTemplate('photo_list'); ?>

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: <?php echo $this->settings->my_gallery_action_links ? 'hidden' : ''; ?>; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-friends" class="lf-check-all" /><label for="lf-all-friends"><?php echo JText::_('MY_GALLERY_CHECK_ALL'); ?></label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-delete lf-batch-delete"><?php echo JText::_('MY_GALLERY_DELETE'); ?></a></td>
          <?php if ($this->settings->enable_gravatar_integration): ?>
            <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-add"><?php echo JText::_('MY_GALLERY_ADD_GRAVATAR'); ?></a></td>
          <?php endif; ?>
          <td><span class="lovefactory-picture_add"><input type="button" class="lf-button" /></span></td>
        </tr>
      </table>

      <!-- Upload progress bar -->
      <div class="lf-upload">
        <div class="lf-info" style="display: none;"><b><?php echo JText::_('MY_GALLERY_UPLOAD_CURRENT_FILE'); ?>:</b> <span class="lf-current-file"></span> (<span class="lf-current"></span>/<span class="lf-total"></span>)</div>
        <div class="lf-progressbar" style="display: none;"></div>
      </div>

    </div>
  </li>

  <!-- Private Media -->
  <li class="lf-media-container" id="lf-media-private">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title"><?php echo JText::_('MY_GALLERY_PRIVATE_PHOTOS'); ?></a>

    <div>
      <!-- Media List -->
      <?php $this->list = $this->photos[2]; echo $this->loadTemplate('photo_list'); ?>

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: <?php echo $this->settings->my_gallery_action_links ? 'hidden' : ''; ?>; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-private" class="lf-check-all" /><label for="lf-all-private"><?php echo JText::_('MY_GALLERY_CHECK_ALL'); ?></label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-delete lf-batch-delete"><?php echo JText::_('MY_GALLERY_DELETE'); ?></a></td>
          <?php if ($this->settings->enable_gravatar_integration): ?>
            <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-picture-add"><?php echo JText::_('MY_GALLERY_ADD_GRAVATAR'); ?></a></td>
          <?php endif; ?>
          <td><span class="lovefactory-picture_add"><input type="button" class="lf-button" /></span></td>
        </tr>
      </table>

      <!-- Upload progress bar -->
      <div class="lf-upload">
        <div class="lf-info" style="display: none;"><b><?php echo JText::_('MY_GALLERY_UPLOAD_CURRENT_FILE'); ?>:</b> <span class="lf-current-file"></span> (<span class="lf-current"></span>/<span class="lf-total"></span>)</div>
        <div class="lf-progressbar" style="display: none;"></div>
      </div>

    </div>
  </li>
</ul>

<div style="clear: both;"></div>