<h1>{jtext _='MY_GALLERY_VIDEO_TITLE'}</h1>

{load_template _='mygallery/menu'}

<ul class="lf-list" id="lf-media-video">
  <!-- Public Media -->
  <li class="lf-media-container" id="lf-media-public">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title">{jtext _='MY_GALLERY_PUBLIC_VIDEOS'}</a>

    <div>
      <!-- Media List -->
      {load_template _='video_list' list=$public_videos}

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: {if $settings->my_gallery_action_links}hidden{/if}; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-public" class="lf-check-all" /><label for="lf-all-public">{jtext _='MY_GALLERY_CHECK_ALL'}</label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-delete lf-batch-delete">{jtext _='MY_GALLERY_DELETE'}</a></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-add">{jtext _='MY_GALLERY_VIDEO_ADD'}</a></td>
        </tr>
      </table>

      <!-- Add new video form -->
      {load_template _='upload_form' type='public'}
    </div>
  </li>

  <!-- For Friends Media -->
  <li class="lf-media-container" id="lf-media-friends">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title">{jtext _='MY_GALLERY_VIDEOS_FOR_FRIENDS'}</a>

    <div>
      <!-- Media List -->
      {load_template _='video_list' list=$friends_videos}

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: {if $settings->my_gallery_action_links}hidden{/if}; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-friends" class="lf-check-all" /><label for="lf-all-friends">{jtext _='MY_GALLERY_CHECK_ALL'}</label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-delete lf-batch-delete">{jtext _='MY_GALLERY_DELETE'}</a></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-add">{jtext _='MY_GALLERY_VIDEO_ADD'}</a></td>
        </tr>
      </table>

      <!-- Add new video form -->
      {load_template _='upload_form' type='friends'}
    </div>
  </li>

  <!-- Private Media -->
  <li class="lf-media-container" id="lf-media-private">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title">{jtext _='MY_GALLERY_PRIVATE_VIDEOS'}</a>

    <div>
      <!-- Media List -->
      {load_template _='video_list' list=$private_videos}

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: {if $settings->my_gallery_action_links}hidden{/if}; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-private" class="lf-check-all" /><label for="lf-all-private">{jtext _='MY_GALLERY_CHECK_ALL'}</label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-delete lf-batch-delete">{jtext _='MY_GALLERY_DELETE'}</a></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-add">{jtext _='MY_GALLERY_VIDEO_ADD'}</a></td>
        </tr>
      </table>

      <!-- Add new video form -->
      {load_template _='upload_form' type='private'}
    </div>
  </li>
</ul>