<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php $this->addTemplatePath(JPATH_COMPONENT_SITE.DS.'views'.DS.'mygallery'.DS.'tmpl'); ?>

<h1><?php echo JText::_('MY_GALLERY_VIDEO_TITLE'); ?></h1>

<?php echo $this->loadTemplate('menu'); ?>

<ul class="lf-list" id="lf-media-video">
  <!-- Public Media -->
  <li class="lf-media-container" id="lf-media-public">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title"><?php echo JText::_('MY_GALLERY_PUBLIC_VIDEOS'); ?></a>

    <div>
      <!-- Media List -->
      <?php $this->list = $this->videos[0]; echo $this->loadTemplate('video_list'); ?>

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: <?php echo $this->settings->my_gallery_action_links ? 'hidden' : ''; ?>; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-public" class="lf-check-all" /><label for="lf-all-public"><?php echo JText::_('MY_GALLERY_CHECK_ALL'); ?></label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-delete lf-batch-delete"><?php echo JText::_('MY_GALLERY_DELETE'); ?></a></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-add"><?php echo JText::_('MY_GALLERY_VIDEO_ADD'); ?></a></td>
        </tr>
      </table>

      <!-- Add new video form -->
      <?php $this->type = 'public'; echo $this->loadTemplate('upload_form'); ?>
    </div>
  </li>

  <!-- For Friends Media -->
  <li class="lf-media-container" id="lf-media-friends">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title"><?php echo JText::_('MY_GALLERY_VIDEOS_FOR_FRIENDS'); ?></a>

    <div>
      <!-- Media List -->
      <?php $this->list = $this->videos[1]; echo $this->loadTemplate('video_list'); ?>

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: <?php echo $this->settings->my_gallery_action_links ? 'hidden' : ''; ?>; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-friends" class="lf-check-all" /><label for="lf-all-friends"><?php echo JText::_('MY_GALLERY_CHECK_ALL'); ?></label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-delete lf-batch-delete"><?php echo JText::_('MY_GALLERY_DELETE'); ?></a></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-add"><?php echo JText::_('MY_GALLERY_VIDEO_ADD'); ?></a></td>
        </tr>
      </table>

      <!-- Add new video form -->
      <?php $this->type = 'friends'; echo $this->loadTemplate('upload_form'); ?>
    </div>
  </li>

  <!-- Private Media -->
  <li class="lf-media-container" id="lf-media-private">
    <a href="#" class="lovefactory-button lovefactory-toggle-minus lf-title"><?php echo JText::_('MY_GALLERY_PRIVATE_VIDEOS'); ?></a>

    <div>
      <!-- Media List -->
      <?php $this->list = $this->videos[2]; echo $this->loadTemplate('video_list'); ?>

      <!-- Actions -->
      <table class="lf-batch-actions" style="visibility: <?php echo $this->settings->my_gallery_action_links ? 'hidden' : ''; ?>; ">
        <tr>
          <td class="lovefactory-check-all"><input type="checkbox" id="lf-all-private" class="lf-check-all" /><label for="lf-all-private"><?php echo JText::_('MY_GALLERY_CHECK_ALL'); ?></label></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-delete lf-batch-delete"><?php echo JText::_('MY_GALLERY_DELETE'); ?></a></td>
          <td class="lovefactory-action"><a href="#" class="lovefactory-button lovefactory-film-add"><?php echo JText::_('MY_GALLERY_VIDEO_ADD'); ?></a></td>
        </tr>
      </table>

      <!-- Add new video form -->
      <?php $this->type = 'private'; echo $this->loadTemplate('upload_form'); ?>
    </div>
  </li>
</ul>