<h1>{jtext _='MY_MEMBERSHIPS_TITLE'}</h1>

<table cellpadding="0px" cellspacing="0px" class="lovefactory-table">
  <thead>
    <tr>
      <th style="width: 100px;">{jtext _='MY_MEMBERSHIPS_MEMBERSHIP_TITLE'}</th>
      <th style="width: 200px;">{jtext _='MY_MEMBERSHIPS_MEMBERSHIP_INFO'}</th>
      <th style="width: 120px;">{jtext _='MY_MEMBERSHIPS_UNTIL'}</th>
      <th style="width: 70px; text-align: center;">{jtext _='MY_MEMBERSHIPS_EXPIRED'}</th>
      <th style="width: 70px; text-align: center;">{jtext _='MY_MEMBERSHIPS_ACTIVE'}</th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    {foreach from=$memberships item=membership}
      <tr class="{cycle values="odd,even"}">
        <td>{$membership->title}</td>
        <td>
          <ul class="lovefactory-membership-info">
            <li><div class="lovefactory-div">{jtext _='MY_MEMBERSHIPS_FRIENDS'}:</div> <span>{$membership->max_friends}</span></li>
            <li><div class="lovefactory-div">{jtext _='MY_MEMBERSHIPS_PHOTOS'}:</div> <span>{$membership->max_photos}</span></li>
            <li><div class="lovefactory-div">{jtext _='MY_MEMBERSHIPS_VIDEOS'}:</div> <span>{$membership->max_videos}</span></li>
            <li><div class="lovefactory-div">{jtext _='MY_MEMBERSHIPS_INTERACTIONS'}:</div> <span>{$membership->max_interactions_per_day}</span></li>
            <li><div class="lovefactory-div">{jtext _='MY_MEMBERSHIPS_MESSAGES'}:</div> <span>{$membership->max_messages_per_day}</span></li>

            {if $settings->enable_top_friends}
              <li><div class="lovefactory-div">{jtext _='MY_MEMBERSHIPS_TOP_FRIENDS'}:</div> <span>{$membership->top_friends}</span></li>
            {/if}

            {if $settings->enable_shoutbox}
              <li><div class="lovefactory-div">{jtext _='MY_MEMBERSHIPS_SHOUTBOX_ACCESS'}:</div> <span>{$membership->shoutbox}</span></li>
            {/if}

            {if $settings->enable_chatfactory_integration}
              <li><div class="lovefactory-div">{jtext _='MY_MEMBERSHIPS_CHAT_FACTORY_ACCESS'}:</div> <span>{$membership->chatfactory}</span></li>
            {/if}

            {if $settings->enable_groups}
              {if $settings->groups_allow_users_create}
                <li><div class="lovefactory-div">{jtext _='MY_MEMBERSHIPS_GROUPS_CREATE'}:</div> <span>{$membership->groups_create}</span></li>
              {/if}

              <li><div class="lovefactory-div">{jtext _='MY_MEMBERSHIPS_GROUPS_JOIN'}:</div> <span>{$membership->groups_join}</span></li>
            {/if}
          </ul>
        </td>
        <td>{$membership->end_membership}</td>
        <td class="center"><img src="administrator/images/{if $membership->expired}tick{else}publish_x{/if}.png" alt="{if $membership->expired}expired{else}not expired{/if}" /></td>
        <td class="center"><img src="administrator/images/{if $membership->is_active}tick{else}publish_x{/if}.png" alt="{if $membership->is_active}active{else}not active{/if}" /></td>
        <td></td>
      </tr>
    {/foreach}
  </tbody>
</table>

<div>
  {$pagination->getPagesLinks()}
</div>