<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewPhoto extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $photo = $this->get('Data');

    if ($photo)
    {
      $profile =& JModel::getInstance('profile', 'FrontendModel');
      $profile->checkOnlineStatus($photo->user_id);

      $comments   =& $this->get('Comments');
      $total      =& $this->get('Total');
      $limitstart =& $this->get('Limitstart');
      $pagination =& $this->get('Pagination');
      $visitor    =  $profile->getVisitor();

      $this->assignRef('comments',   $comments);
      $this->assignRef('total',      $total);
      $this->assignRef('limitstart', $limitstart);
      $this->assignRef('pagination', $pagination);
      $this->assignRef('visitor',    $visitor);

      $this->assignJavascript('route_delete_comment', JURI::root().'index.php?option=com_lovefactory&amp;controller=photo&amp;task=deletecomment');
      $this->assignJavascript('route_report_comment', JURI::root().'index.php?option=com_lovefactory&amp;controller=photo&amp;task=reportcomment');
      $this->assignJavascript('route_add_comment',    JURI::root().'index.php?option=com_lovefactory&amp;controller=photo&amp;task=addcomment');
      $this->assignJavascript('txt_send',             JText::_('PHOTO_SEND'));
      $this->assignJavascript('txt_cancel',           JText::_('PHOTO_CANCEL'));
      $this->assignJavascript('txt_enter_message',    JText::_('PHOTO_ENTER_MESSAGE'));
      $this->assignJavascript('photo_id',             $photo->id);

      JHtmlFactory::jQueryScript();
      JHTML::script('main.js', 'components/com_lovefactory/assets/js/');
      JHTML::script('photo.js', 'components/com_lovefactory/assets/js/views/');

      JHTML::stylesheet('profile.css', 'components/com_lovefactory/assets/css/views/');
    }

    $this->assignRef('photo',   $photo);
    $this->assignRef('Itemid',  $Itemid);

    parent::display($tpl);
  }
}