<?php

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class FrontendViewPhoto extends JFactoryView
{
  function display($tpl = null)
  {
    global $Itemid;

    $photo = $this->get('Data');

    if ($photo)
    {
      $profile =& JModel::getInstance('profile', 'FrontendModel');
      $profile->checkOnlineStatus($photo->user_id);

      $comments   =& $this->get('Comments');
      $total      =& $this->get('Total');
      $limitstart =& $this->get('Limitstart');
      $pagination =& $this->get('Pagination');
      $visitor    =  $profile->getVisitor();

      $this->assignRef('photo',      $photo);
      $this->assignRef('comments',   $comments);
      $this->assignRef('total',      $total);
      $this->assignRef('limitstart', $limitstart);
      $this->assignRef('pagination', $pagination);
      $this->assignRef('visitor',    $visitor);
    }

    $this->assignRef('Itemid',  $Itemid);
    $this->setLayout('_list');

    parent::display($tpl);
  }
}