      {if $settings->enable_rating}
        <fieldset style="text-align: center; text-transform: lowercase;">
          <legend>{jtext _='PROFILE_RATING'}</legend>
          <span id="lovefactory-rating" style="font-size: {$rating_size}px; font-weight: bold;">{$profile->rating}</span>
          <br />
          {jtext _='PROFILE_FROM'} <span id="lovefactory-votes">{$profile->votes}</span> {jtext _='PROFILE_VOTES'}
        </fieldset>

        {if !$profile->_my_profile}
          <div class="lovefactory-action-response" id="lovefactory-rating-response" style="display: none; margin-top: 15px;"></div>
          <fieldset>
            <legend id="lovefactory-my-rating">{jtext _='PROFILE_YOUR_RATING'}</legend>
            <div id="lovefactory-my-rating-response" style="display: none;"></div>

            {if $my_rating}
              <div id="lovefactory-stars" style="margin-top: 5px;">
                {section name=i start=0 loop=10 step=1}
                  <div class="lovefactory-star lovefactory-star-off {if $smarty.section.i.index < $my_rating->rating}lovefactory-star-on{/if}"></div>
                {/section}
              </div>
            {else}
              {if 0 == $visitor->status}
                <a href="{jroute _='index.php?option=com_user&view=login&Itemid=%Itemid%&return=%return%' Itemid=$Itemid return=$visitor->referer}" style="text-transform: capitalize;">{jtext _='PROFILE_LOGIN'}</a> {jtext _='PROFILE_TO_RATE_PROFILE'}
              {elseif 1 == $visitor->status}
                <a href="{jroute _='index.php?option=com_lovefactory&view=fillin&Itemid=%Itemid%' Itemid=$Itemid}" style="text-transform: capitalize;">{jtext _='PROFILE_FILLIN'}</a> {jtext _='PROFILE_TO_RATE_PROFILE'}
              {else}
                <div style="position:relative; float: left;">
                  {jtext _='PROFILE_YOU_HAVENT_RATED_PROFILE'}
                  <div id="lovefactory-stars" style="margin-top: 5px;">
                    {section name=i start=0 loop=10 step=1}
                      <div class="lovefactory-star lovefactory-star-clickable lovefactory-star-off" id="lovefactory-star-{$smarty.section.i.index}"></div>
                    {/section}
                  </div>
                </div>
              {/if}
            {/if}
          </fieldset>
        {/if}

        <fieldset>
          <legend>{jtext _='PROFILE_LATEST_RATINGS'}</legend>

          <ul class="lovefactory-ratings">
            {foreach from=$ratings->_latest_ratings item=rating}
              <li>
                <span class="lovefactory-button lovefactory-bullet-star">{$rating->rating}</span>
                <span style="text-transform: lowercase;">{jtext _='PROFILE_FROM'}</span>
                <a href="{jroute _='index.php?option=com_lovefactory&view=profile&id=%id%&Itemid=%Itemid%' Itemid=$Itemid id=$rating->sender_id}">{$rating->username}</a>
              </li>
            {/foreach}

            {if !$ratings->_latest_ratings|@count}
              <li id="lovefactory-no-ratings">{jtext _='PROFILE_NO_ONE_RATED_PROFILE'}</li>
            {/if}
          </ul>
        </fieldset>
      {/if}