{if $profile->_my_profile}
  <div style="float: right; ">
    {if 2 == $profile->online}
      <span class="lovefactory-button lovefactory-bullet-error lovefactory-error-field">{jtext _='PROFILE_OFFLINE'}</span>
    {elseif 1 == $profile->online}
      <span class="lovefactory-button lovefactory-bullet-error">{jtext _='PROFILE_FOR_FRIENDS'}</span>
    {/if}
    <a href="{jroute _='index.php?option=com_lovefactory&view=edit&Itemid=%Itemid%' Itemid=$Itemid}" class="lovefactory-button lovefactory-go">{jtext _='PROFILE_EDIT_PROFILE'}</a>
    <a href="{jroute _='index.php?option=com_lovefactory&view=gallery&user_id=%id%&Itemid=%Itemid%' Itemid=$Itemid id=$profile->user_id}" class="lovefactory-button lovefactory-go">{jtext _='PROFILE_VIEW_PHOTOS_GALLERY'}</a>
  </div>
{/if}

{if $profile->banned}
  <h1 class="lovefactory-banned">{jtext _='PROFILE_USER_BANNED'}</h1>
{/if}

<table width="100%">
  <tr>
    <td style="vertical-align: top;">
      {$renderer->renderPageZones($zones, $profile, 'view')}
    </td>

    <td width="200" style="vertical-align: top;" class="lovefactory-right-menu">

      <!-- What are you doing right now -->
      {include_partial _='status'}

      <!-- Interactions -->
      {include_partial _='interact'}

      <!-- Ratings -->
      {include_partial _='ratings'}

      <!-- Comments -->
      {if $settings->enable_comments}
        <fieldset>
          <legend>{jtext _='PROFILE_COMMENTS'}</legend>
          {jtext|@sprintf:$comments->_total _='PROFILE_COMMENTS_INFO'}
          <br /><br />
          <a href="#" id="lovefactory-goto-comments" class="lovefactory-button lovefactory-comments-go">{jtext _='PROFILE_GO_TO_COMMENTS'}</a>
        </fieldset>
      {/if}
    </td>
  </tr>

  <tr>
    <td colspan="2">
      <!-- Wallpage -->
      {include_partial _='wallpage'}
    </td>
  </tr>

  <tr>
    <td colspan="2">
      <!-- Friends -->
      {include_partial _='friends'}
    </td>
  </tr>

  <tr>
    <td colspan="2">
      <!-- Comments -->
      {if $settings->enable_comments}
        {include_partial _='comments'}
      {/if}
    </td>
  </tr>
</table>